unit ChaImP;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    ComboBox1: TComboBox;
    Timer1: TTimer;
    RichEdit1: TRichEdit;
    ComboBox2: TComboBox;
    ComboBox3: TComboBox;
    ComboBox4: TComboBox;
    ComboBox5: TComboBox;
    ComboBox6: TComboBox;
    ComboBox7: TComboBox;
    ComboBox8: TComboBox;
    ComboBox9: TComboBox;
    procedure FormCreate(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
     initiation_of_program: boolean;
     initialize: integer;
     init_error_message: string;
     procedure Init;
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
   initiation_of_program := False;
   initialize := 0;
   init_error_message := 'no errors found by program yet';
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
   if Initiation_of_program then begin
     // run the progams major loop here
   end else begin
        if initialize > -1 then begin
           inc(initialize);
           Init;
        end else begin
           if initialize = -1 then begin
              messageDlg( init_error_message,mtError,[mbOk],0);
              initialize := initialize -1;
            end;

        end;
   end;
end;

procedure TForm1.Init;
var
  f: string;
begin



  if initialize = 1 then begin
     f := 'C:\Documents and Settings\Owner\My Documents\Branya RTF\game system.rtf';
     try
        RichEdit1.Clear;
        RichEdit1.Lines.LoadFromFile(f);
        inc(initialize);
        f := 'game system.rtf';
     except
        initialize := -1;
        init_error_message := 'File:  '+f+'  could not be found';
     end;
  end;

  if Initialize = 2 then begin
     ComboBox1.Items := RichEdit1.Lines;
     ComboBox1.Text := f;
     inc(initialize);
  end;

  if initialize = 3 then begin
     f := 'C:\Documents and Settings\Owner\My Documents\Branya RTF\Status.rtf';
     try
        RichEdit1.Clear;
        RichEdit1.Lines.LoadFromFile(f);
        inc(initialize);
        f := 'Status.rtf';
     except
        initialize := -1;
        init_error_message := 'File:  '+f+'  could not be found';
     end;
  end;

  if Initialize = 4 then begin
     ComboBox2.Items := RichEdit1.Lines;
     ComboBox2.Text := f;
     inc(initialize);
  end;

  if initialize = 5 then begin
     f := 'C:\Documents and Settings\Owner\My Documents\Branya RTF\Reality.rtf';
     try
        RichEdit1.Clear;
        RichEdit1.Lines.LoadFromFile(f);
        inc(initialize);
        f := 'Rality.rtf';
     except
        initialize := -1;
        init_error_message := 'File:  '+f+'  could not be found';
     end;
  end;

  if Initialize = 6 then begin
     ComboBox3.Items := RichEdit1.Lines;
     ComboBox3.Text := f;
     inc(initialize);
  end;

  if initialize = 7 then begin
     f := 'C:\Documents and Settings\Owner\My Documents\Branya RTF\Age.rtf';
     try
        RichEdit1.Clear;
        RichEdit1.Lines.LoadFromFile(f);
        inc(initialize);
        f := 'Age.rtf';
     except
        initialize := -1;
        init_error_message := 'File:  '+f+'  could not be found';
     end;
  end;

  if Initialize = 8 then begin
     ComboBox4.Items := RichEdit1.Lines;
     ComboBox4.Text := f;
     inc(initialize);
  end;

  if initialize = 9 then begin
     f := 'C:\Documents and Settings\Owner\My Documents\Branya RTF\Trade.rtf';
     try
        RichEdit1.Clear;
        RichEdit1.Lines.LoadFromFile(f);
        inc(initialize);
        f := 'Trade.rtf';
     except
        initialize := -1;
        init_error_message := 'File:  '+f+'  could not be found';
     end;
  end;

  if Initialize = 10 then begin
     ComboBox5.Items := RichEdit1.Lines;
     ComboBox5.Text := f;
     inc(initialize);
  end;

  if initialize = 11 then begin
     f := 'C:\Documents and Settings\Owner\My Documents\Branya RTF\Culture.rtf';
     try
        RichEdit1.Clear;
        RichEdit1.Lines.LoadFromFile(f);
        inc(initialize);
        f := 'Culture.rtf';
     except
        initialize := -1;
        init_error_message := 'File:  '+f+'  could not be found';
     end;
  end;

  if Initialize = 12 then begin
     ComboBox6.Items := RichEdit1.Lines;
     ComboBox6.Text := f;
     inc(initialize);
  end;

  if initialize = 13 then begin
     f := 'C:\Documents and Settings\Owner\My Documents\Branya RTF\HTH.rtf';
     try
        RichEdit1.Clear;
        RichEdit1.Lines.LoadFromFile(f);
        inc(initialize);
        f := 'HTH.rtf';
     except
        initialize := -1;
        init_error_message := 'File:  '+f+'  could not be found';
     end;
  end;

  if Initialize = 14 then begin
     ComboBox7.Items := RichEdit1.Lines;
     ComboBox7.Text := f;
     inc(initialize);
  end;

  if initialize = 15 then begin
     f := 'C:\Documents and Settings\Owner\My Documents\Branya RTF\Sleep.rtf';
     try
        RichEdit1.Clear;
        RichEdit1.Lines.LoadFromFile(f);
        inc(initialize);
        f := 'Sleep.rtf';
     except
        initialize := -1;
        init_error_message := 'File:  '+f+'  could not be found';
     end;
  end;

  if Initialize = 16 then begin
     ComboBox8.Items := RichEdit1.Lines;
     ComboBox8.Text := f;
     inc(initialize);
  end;

  if initialize = 17 then begin
     f := 'C:\Documents and Settings\Owner\My Documents\Branya RTF\Genus.rtf';
     try
        RichEdit1.Clear;
        RichEdit1.Lines.LoadFromFile(f);
        inc(initialize);
        f := 'Genus.rtf';
     except
        initialize := -1;
        init_error_message := 'File:  '+f+'  could not be found';
     end;
  end;

  if Initialize = 18 then begin
     ComboBox9.Items := RichEdit1.Lines;
     ComboBox9.Text := f;
     inc(initialize);
  end;

end;

end.
