unit EnchantP;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    RichEdit1: TRichEdit;
    ComboBox1: TComboBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    ListBox1: TListBox;
    procedure FormCreate(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure RichEdit1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

enchantable=record
  name: string;
  cost: integer;
  note: char;
  weeks: Double;
  STday: integer;
  CostWeek: integer;
  Notes1: string;
  Notes2: string;
  Notes3: string;
  Notes4: string;
  Notes5: string;
  count: integer;
  IQ: integer;
  D: integer;
  Plus: integer;
  BookLength: integer;
  BookCost: integer;
  end;

ItemList=record
  Equip_type: string;
  Name: string;
  Enchant1: Enchantable;
  Enchant2: Enchantable;
  Enchant3: Enchantable;
  Enchant4: Enchantable;
  Enchant5: Enchantable;
  end;

Type
  TMagicItemDMG = class
     name: string;
     cost: integer;
     note: char;
     weeks: Double;
     STday: integer;
     CostWeek: integer;
     Notes1: string;
     Notes2: string;
     Notes3: string;
     Notes4: string;
     Notes5: string;
     count: integer;
     IQ: integer;
     D: integer;
     Plus: integer;
     BookLength: integer;
     BookCost: integer;
  end;

var
  Form1: TForm1;
  Magic_Item: array [0..126] of TMagicItemDMG;
  Enchantment: array [0..126] of Enchantable;
  Item: array [0..255] of ItemList;

implementation

{$R *.DFM}

function Rectify_enchantment_list(count: integer; match: integer): integer;
var
   add: boolean;
begin
   Result := 0;
   add := True;
   // Erase section
   if Item[count].Enchant1.Name = Enchantment[match].Name then
   begin
      if Item[count].Enchant1.Note = 'A' then
      begin
         if Item[count].Enchant1.Plus = -5 then
         begin
            Item[count].Enchant1.Plus := 0;
            Item[count].Enchant1.Name := Item[count].Enchant2.Name;
            Item[count].Enchant2.Name := Item[count].Enchant3.Name;
            Item[count].Enchant3.Name := Item[count].Enchant4.Name;
            Item[count].Enchant4.Name := Item[count].Enchant5.Name;
            Item[count].Enchant5.Name := '';
         end;
         if Item[count].Enchant1.Plus = -4 then
            Item[count].Enchant1.Plus := -5;
         if Item[count].Enchant1.Plus = -3 then
            Item[count].Enchant1.Plus := -4;
         if Item[count].Enchant1.Plus = -2 then
            Item[count].Enchant1.Plus := -3;
         if Item[count].Enchant1.Plus = -1 then
            Item[count].Enchant1.Plus := -2;

         if Item[count].Enchant1.Plus = 5 then
         begin
            Item[count].Enchant1.Name := Item[count].Enchant2.Name;
            Item[count].Enchant2.Name := Item[count].Enchant3.Name;
            Item[count].Enchant3.Name := Item[count].Enchant4.Name;
            Item[count].Enchant4.Name := Item[count].Enchant5.Name;
            Item[count].Enchant5.Name := '';
         end;
         if Item[count].Enchant1.Plus = 4 then
            Item[count].Enchant1.Plus := 5;
         if Item[count].Enchant1.Plus = 3 then
            Item[count].Enchant1.Plus := 4;
         if Item[count].Enchant1.Plus = 2 then
            Item[count].Enchant1.Plus := 3;
         if Item[count].Enchant1.Plus = 1 then
            Item[count].Enchant1.Plus := 2;
         add := False;
      end
      else
      begin
         Item[count].Enchant1.Name := Item[count].Enchant2.Name;
         Item[count].Enchant2.Name := Item[count].Enchant3.Name;
         Item[count].Enchant3.Name := Item[count].Enchant4.Name;
         Item[count].Enchant4.Name := Item[count].Enchant5.Name;
         Item[count].Enchant5.Name := '';
         add := False;
      end;
   end;

   if Item[count].Enchant2.Name = Enchantment[match].Name then
   begin
      if Item[count].Enchant2.Note = 'A' then
      begin
         if Item[count].Enchant2.Plus = -5 then
         begin
            Item[count].Enchant1.Plus := 0;
            Item[count].Enchant2.Name := Item[count].Enchant3.Name;
            Item[count].Enchant3.Name := Item[count].Enchant4.Name;
            Item[count].Enchant4.Name := Item[count].Enchant5.Name;
            Item[count].Enchant5.Name := '';
         end;
         if Item[count].Enchant2.Plus = -4 then
            Item[count].Enchant2.Plus := -5;
         if Item[count].Enchant2.Plus = -3 then
            Item[count].Enchant2.Plus := -4;
         if Item[count].Enchant2.Plus = -2 then
            Item[count].Enchant2.Plus := -3;
         if Item[count].Enchant2.Plus = -1 then
            Item[count].Enchant2.Plus := -2;

         if Item[count].Enchant2.Plus = 5 then
         begin
            Item[count].Enchant2.Name := Item[count].Enchant3.Name;
            Item[count].Enchant3.Name := Item[count].Enchant4.Name;
            Item[count].Enchant4.Name := Item[count].Enchant5.Name;
            Item[count].Enchant5.Name := '';
         end;
         if Item[count].Enchant2.Plus = 4 then
            Item[count].Enchant2.Plus := 5;
         if Item[count].Enchant2.Plus = 3 then
            Item[count].Enchant2.Plus := 4;
         if Item[count].Enchant2.Plus = 2 then
            Item[count].Enchant2.Plus := 3;
         if Item[count].Enchant2.Plus = 1 then
            Item[count].Enchant2.Plus := 2;
         add := False;
      end
      else
      begin
         Item[count].Enchant2.Name := Item[count].Enchant3.Name;
         Item[count].Enchant3.Name := Item[count].Enchant4.Name;
         Item[count].Enchant4.Name := Item[count].Enchant5.Name;
         Item[count].Enchant5.Name := '';
         add := False;
      end;
   end;

   if Item[count].Enchant3.Name = Enchantment[match].Name then
   begin
      if Item[count].Enchant3.Note = 'A' then
      begin
         if Item[count].Enchant3.Plus = -5 then
         begin
            Item[count].Enchant3.Plus := 0;
            Item[count].Enchant3.Name := Item[count].Enchant4.Name;
            Item[count].Enchant4.Name := Item[count].Enchant5.Name;
            Item[count].Enchant5.Name := '';
         end;
         if Item[count].Enchant3.Plus = -4 then
            Item[count].Enchant3.Plus := -5;
         if Item[count].Enchant3.Plus = -3 then
            Item[count].Enchant3.Plus := -4;
         if Item[count].Enchant3.Plus = -2 then
            Item[count].Enchant3.Plus := -3;
         if Item[count].Enchant3.Plus = -1 then
            Item[count].Enchant3.Plus := -2;

         if Item[count].Enchant3.Plus = 5 then
         begin
            Item[count].Enchant3.Name := Item[count].Enchant4.Name;
            Item[count].Enchant4.Name := Item[count].Enchant5.Name;
            Item[count].Enchant5.Name := '';
         end;
         if Item[count].Enchant3.Plus = 4 then
            Item[count].Enchant3.Plus := 5;
         if Item[count].Enchant3.Plus = 3 then
            Item[count].Enchant3.Plus := 4;
         if Item[count].Enchant3.Plus = 2 then
            Item[count].Enchant3.Plus := 3;
         if Item[count].Enchant3.Plus = 1 then
            Item[count].Enchant3.Plus := 2;
         add := False;
      end
      else
      begin
         Item[count].Enchant3.Name := Item[count].Enchant4.Name;
         Item[count].Enchant4.Name := Item[count].Enchant5.Name;
         Item[count].Enchant5.Name := '';
         add := False;
      end;
   end;

   if Item[count].Enchant4.Name = Enchantment[match].Name then
   begin
      if Item[count].Enchant4.Note = 'A' then
      begin
         if Item[count].Enchant4.Plus = -5 then
         begin
            Item[count].Enchant4.Plus := 0;
            Item[count].Enchant4.Name := Item[count].Enchant5.Name;
            Item[count].Enchant5.Name := '';
         end;
         if Item[count].Enchant4.Plus = -4 then
            Item[count].Enchant4.Plus := -5;
         if Item[count].Enchant4.Plus = -3 then
            Item[count].Enchant4.Plus := -4;
         if Item[count].Enchant4.Plus = -2 then
            Item[count].Enchant4.Plus := -3;
         if Item[count].Enchant4.Plus = -1 then
            Item[count].Enchant4.Plus := -2;

         if Item[count].Enchant4.Plus = 5 then
         begin
            Item[count].Enchant4.Name := Item[count].Enchant5.Name;
            Item[count].Enchant5.Name := '';
         end;
         if Item[count].Enchant4.Plus = 4 then
            Item[count].Enchant4.Plus := 5;
         if Item[count].Enchant4.Plus = 3 then
            Item[count].Enchant4.Plus := 4;
         if Item[count].Enchant4.Plus = 2 then
            Item[count].Enchant4.Plus := 3;
         if Item[count].Enchant4.Plus = 1 then
            Item[count].Enchant4.Plus := 2;
         add := False;
      end
      else
      begin
         Item[count].Enchant4.Name := Item[count].Enchant5.Name;
         Item[count].Enchant5.Name := '';
         add := False;
      end;
   end;

   if Item[count].Enchant5.Name = Enchantment[match].Name then
   begin
      if Item[count].Enchant5.Note = 'A' then
      begin
         if Item[count].Enchant5.Plus = -5 then
         begin
            Item[count].Enchant5.Plus := 0;
            Item[count].Enchant5.Name := '';
         end;
         if Item[count].Enchant5.Plus = -4 then
            Item[count].Enchant5.Plus := -5;
         if Item[count].Enchant5.Plus = -3 then
            Item[count].Enchant5.Plus := -4;
         if Item[count].Enchant5.Plus = -2 then
            Item[count].Enchant5.Plus := -3;
         if Item[count].Enchant5.Plus = -1 then
            Item[count].Enchant5.Plus := -2;

         if Item[count].Enchant5.Plus = 5 then
         begin
            Item[count].Enchant5.Name := '';
         end;
         if Item[count].Enchant5.Plus = 4 then
            Item[count].Enchant5.Plus := 5;
         if Item[count].Enchant5.Plus = 3 then
            Item[count].Enchant5.Plus := 4;
         if Item[count].Enchant5.Plus = 2 then
            Item[count].Enchant5.Plus := 3;
         if Item[count].Enchant5.Plus = 1 then
            Item[count].Enchant5.Plus := 2;
         add := False;
      end
      else
      begin
         Item[count].Enchant5.Name := '';
         add := False;
      end;
   end;

      // add section
      if add then
      begin
         if Item[count].Enchant1.Name = '' then
         begin
            Item[count].Enchant1.Name := Enchantment[match].Name;
            add := False;
            Result := 1;
         end;
         if add then
         begin
            if Item[count].Enchant2.Name = '' then
            begin
               Item[count].Enchant2.Name := Enchantment[match].Name;
               add := False;
               Result := 2;
            end;
         end;
         if add then
         begin
            if Item[count].Enchant3.Name = '' then
            begin
               Item[count].Enchant3.Name := Enchantment[match].Name;
               add := False;
               Result := 3;
            end;
         end;
         if add then
         begin
            if Item[count].Enchant4.Name = '' then
            begin
               Item[count].Enchant4.Name := Enchantment[match].Name;
               add := False;
               Result := 4;
            end;
         end;
         if add then
         begin
            if Item[count].Enchant5.Name = '' then
            begin
               Item[count].Enchant5.Name := Enchantment[match].Name;
               add := False;
               Result := 5;
            end;
         end;

      end;

end;

procedure TForm1.FormCreate(Sender: TObject);
var
  count, temp: integer;
  subj: string;
begin

   Enchantment[0].Name := 'Staff';
   Enchantment[0].Cost := 0;
   Enchantment[0].Note := 'U';
   Enchantment[0].Weeks := 0;
   Enchantment[0].STday := 5;
   Enchantment[0].CostWeek := 0;
   Enchantment[0].Notes1 := 'start with rod, wand, or quarterstaff, etc.';
   Enchantment[0].Notes2 := '';
   Enchantment[0].Notes3 := '';
   Enchantment[0].Notes4 := '';
   Enchantment[0].Notes5 := '';
   Enchantment[0].IQ := 8;
   Enchantment[0].D := 0;
   Enchantment[0].Plus := 0;

   Enchantment[1].Name := 'Magic Fist';
   Enchantment[1].Cost := 2000;
   Enchantment[1].Note := ' ';
   Enchantment[1].Weeks := 3;
   Enchantment[1].STday := 235;
   Enchantment[1].CostWeek := 0;
   Enchantment[1].Notes1 := '';
   Enchantment[1].Notes2 := '';
   Enchantment[1].Notes3 := '';
   Enchantment[1].Notes4 := '';
   Enchantment[1].Notes5 := '';
   Enchantment[1].IQ := 8;
   Enchantment[1].D := 0;
   Enchantment[1].Plus := 0;

   Enchantment[2].Name := 'Blur';
   Enchantment[2].Cost := 3000;
   Enchantment[2].Note := ' ';
   Enchantment[2].Weeks := 5;
   Enchantment[2].STday := 75;
   Enchantment[2].CostWeek := 15;
   Enchantment[2].Notes1 := '';
   Enchantment[2].Notes2 := '';
   Enchantment[2].Notes3 := '';
   Enchantment[2].Notes4 := '';
   Enchantment[2].Notes5 := '';
   Enchantment[2].IQ := 8;
   Enchantment[2].D := 0;
   Enchantment[2].Plus := 0;

   Enchantment[3].Name := 'Slow Movement';
   Enchantment[3].Cost := 500;
   Enchantment[3].Note := ' ';
   Enchantment[3].Weeks := 1;
   Enchantment[3].STday := 15;
   Enchantment[3].CostWeek := 40;
   Enchantment[3].Notes1 := '';
   Enchantment[3].Notes2 := '';
   Enchantment[3].Notes3 := '';
   Enchantment[3].Notes4 := '';
   Enchantment[3].Notes5 := '';
   Enchantment[3].IQ := 8;
   Enchantment[3].D := 0;
   Enchantment[3].Plus := 0;

   Enchantment[4].Name := 'Drop Weapon';
   Enchantment[4].Cost := 500;
   Enchantment[4].Note := ' ';
   Enchantment[4].Weeks := 1;
   Enchantment[4].STday := 20;
   Enchantment[4].CostWeek := 40;
   Enchantment[4].Notes1 := '';
   Enchantment[4].Notes2 := '';
   Enchantment[4].Notes3 := '';
   Enchantment[4].Notes4 := '';
   Enchantment[4].Notes5 := '';
   Enchantment[4].IQ := 8;
   Enchantment[4].D := 0;
   Enchantment[4].Plus := 0;

   Enchantment[5].Name := 'Detect Magic';
   Enchantment[5].Cost := 5000;
   Enchantment[5].Note := ' ';
   Enchantment[5].Weeks := 3;
   Enchantment[5].STday := 100;
   Enchantment[5].CostWeek := 1013;
   Enchantment[5].Notes1 := '2 doses IQ+ poition($500): $13 ci';
   Enchantment[5].Notes2 := '';
   Enchantment[5].Notes3 := '';
   Enchantment[5].Notes4 := '';
   Enchantment[5].Notes5 := '';
   Enchantment[5].IQ := 8;
   Enchantment[5].D := 0;
   Enchantment[5].Plus := 0;

   Enchantment[6].Name := 'Light';
   Enchantment[6].Cost := 500;
   Enchantment[6].Note := ' ';
   Enchantment[6].Weeks := 1;
   Enchantment[6].STday := 10;
   Enchantment[6].CostWeek := 40;
   Enchantment[6].Notes1:= '';
   Enchantment[6].Notes2 := '';
   Enchantment[6].Notes3 := '';
   Enchantment[6].Notes4 := '';
   Enchantment[6].Notes5 := '';
   Enchantment[6].IQ := 8;
   Enchantment[6].D := 0;
   Enchantment[6].Plus := 0;

   Enchantment[7].Name := 'Clumsiness (DX-1)';
   Enchantment[7].Cost := 1000;
   Enchantment[7].Note := 'A';
   Enchantment[7].Weeks := 1;
   Enchantment[7].STday := 70;
   Enchantment[7].CostWeek := 430;
   Enchantment[7].Notes1:= '5 doses DX- potion ($80), $13 ci';
   Enchantment[7].Notes2 := '';
   Enchantment[7].Notes3 := '';
   Enchantment[7].Notes4 := '';
   Enchantment[7].Notes5 := '';
   Enchantment[7].IQ := 8;
   Enchantment[7].D := 0;
   Enchantment[7].Plus := -1;

   Enchantment[8].Name := 'Confusion (IQ-1)';
   Enchantment[8].Cost := 1000;
   Enchantment[8].Note := 'A';
   Enchantment[8].Weeks := 1;
   Enchantment[8].STday := 70;
   Enchantment[8].CostWeek := 430;
   Enchantment[8].Notes1:= '2 doses IQ- potion ($200), $13 ci';
   Enchantment[8].Notes2 := '';
   Enchantment[8].Notes3 := '';
   Enchantment[8].Notes4 := '';
   Enchantment[8].Notes5 := '';
   Enchantment[8].IQ := 8;
   Enchantment[8].D := 0;
   Enchantment[8].Plus := -1;

   Enchantment[9].Name := 'Weakness (ST-1)';
   Enchantment[9].Cost := 1000;
   Enchantment[9].Note := 'A';
   Enchantment[9].Weeks := 1;
   Enchantment[9].STday := 70;
   Enchantment[9].CostWeek := 430;
   Enchantment[9].Notes1:= '4 doses ST- potion ($100), $13 ci';
   Enchantment[9].Notes2 := '';
   Enchantment[9].Notes3 := '';
   Enchantment[9].Notes4 := '';
   Enchantment[9].Notes5 := '';
   Enchantment[9].IQ := 8;
   Enchantment[9].D := 0;
   Enchantment[9].Plus := -1;

   Enchantment[10].Name := 'Avert';
   Enchantment[10].Cost := 2000;
   Enchantment[10].Note := ' ';
   Enchantment[10].Weeks := 3;
   Enchantment[10].STday := 25;
   Enchantment[10].CostWeek := 190;
   Enchantment[10].Notes1:= '1 dose Fear potion ($150), $40 ci';
   Enchantment[10].Notes2 := '';
   Enchantment[10].Notes3 := '';
   Enchantment[10].Notes4 := '';
   Enchantment[10].Notes5 := '';
   Enchantment[10].IQ := 8;
   Enchantment[10].D := 0;
   Enchantment[10].Plus := 0;

   Enchantment[11].Name := 'Detect Life';
   Enchantment[11].Cost := 4000;
   Enchantment[11].Note := ' ';
   Enchantment[11].Weeks := 4;
   Enchantment[11].STday := 50;
   Enchantment[11].CostWeek := 450;
   Enchantment[11].Notes1:= '1 dose Smell heighten ($200)';
   Enchantment[11].Notes2 := '1 dose Acute Hearing ($250)';
   Enchantment[11].Notes3 := '';
   Enchantment[11].Notes4 := '';
   Enchantment[11].Notes5 := '';
   Enchantment[11].IQ := 8;
   Enchantment[11].D := 0;
   Enchantment[11].Plus := 0;

   Enchantment[12].Name := 'Darkness';
   Enchantment[12].Cost := 2000;
   Enchantment[12].Note := 'A';
   Enchantment[12].Weeks := 4;
   Enchantment[12].STday := 20;
   Enchantment[12].CostWeek := 25;
   Enchantment[12].Notes1:= '';
   Enchantment[12].Notes2 := '';
   Enchantment[12].Notes3 := '';
   Enchantment[12].Notes4 := '';
   Enchantment[12].Notes5 := '';
   Enchantment[12].IQ := 8;
   Enchantment[12].D := 0;
   Enchantment[12].Plus := 1;

   Enchantment[13].Name := 'Dark Vision';
   Enchantment[13].Cost := 3000;
   Enchantment[13].Note := ' ';
   Enchantment[13].Weeks := 3;
   Enchantment[13].STday := 25;
   Enchantment[13].CostWeek := 517;
   Enchantment[13].Notes1:= '1 dose Dark Vision potion ($500), $15 ci';
   Enchantment[13].Notes2 := '';
   Enchantment[13].Notes3 := '';
   Enchantment[13].Notes4 := '';
   Enchantment[13].Notes5 := '';
   Enchantment[13].IQ := 8;
   Enchantment[13].D := 0;
   Enchantment[13].Plus := 0;

   Enchantment[14].Name := 'Detect Enemies';
   Enchantment[14].Cost := 6000;
   Enchantment[14].Note := ' ';
   Enchantment[14].Weeks := 2;
   Enchantment[14].STday := 50;
   Enchantment[14].CostWeek := 2425;
   Enchantment[14].Notes1 := '2 doses Smell Heighten potion ($200)';
   Enchantment[14].Notes2 := '2 doses Acute Hearing ($250)';
   Enchantment[14].Notes3 := '1 dose Telepathy ($1500), $25 ci';
   Enchantment[14].Notes4 := '';
   Enchantment[14].Notes5 := '';
   Enchantment[14].IQ := 8;
   Enchantment[14].D := 0;
   Enchantment[14].Plus := 0;

   Enchantment[15].Name := 'Lock';
   Enchantment[15].Cost := 500;
   Enchantment[15].Note := ' ';
   Enchantment[15].Weeks := 1;
   Enchantment[15].STday := 15;
   Enchantment[15].CostWeek := 40;
   Enchantment[15].Notes1:= '';
   Enchantment[15].Notes2 := '';
   Enchantment[15].Notes3 := '';
   Enchantment[15].Notes4 := '';
   Enchantment[15].Notes5 := '';
   Enchantment[15].IQ := 8;
   Enchantment[15].D := 0;
   Enchantment[15].Plus := 0;

   Enchantment[16].Name := 'Knock';
   Enchantment[16].Cost := 1000;
   Enchantment[16].Note := ' ';
   Enchantment[16].Weeks := 2;
   Enchantment[16].STday := 15;
   Enchantment[16].CostWeek := 40;
   Enchantment[16].Notes1:= '';
   Enchantment[16].Notes2 := '';
   Enchantment[16].Notes3 := '';
   Enchantment[16].Notes4 := '';
   Enchantment[16].Notes5 := '';
   Enchantment[16].IQ := 8;
   Enchantment[16].D := 0;
   Enchantment[16].Plus := 0;

   Enchantment[17].Name := 'Trip';
   Enchantment[17].Cost := 1000;
   Enchantment[17].Note := ' ';
   Enchantment[17].Weeks := 2;
   Enchantment[17].STday := 20;
   Enchantment[17].CostWeek := 38;
   Enchantment[17].Notes1:= '';
   Enchantment[17].Notes2 := '';
   Enchantment[17].Notes3 := '';
   Enchantment[17].Notes4 := '';
   Enchantment[17].Notes5 := '';
   Enchantment[17].IQ := 8;
   Enchantment[17].D := 0;
   Enchantment[17].Plus := 0;

   Enchantment[18].Name := 'Speed Movement';
   Enchantment[18].Cost := 1500;
   Enchantment[18].Note := ' ';
   Enchantment[18].Weeks := 1;
   Enchantment[18].STday := 25;
   Enchantment[18].CostWeek := 1020;
   Enchantment[18].Notes1:= '1 dose Speed Movement potion ($1000), $20 ci';
   Enchantment[18].Notes2 := '';
   Enchantment[18].Notes3 := '';
   Enchantment[18].Notes4 := '';
   Enchantment[18].Notes5 := '';
   Enchantment[18].IQ := 8;
   Enchantment[18].D := 0;
   Enchantment[18].Plus := 0;

   Enchantment[19].Name := 'Dazzle Gem';
   Enchantment[19].Cost := 250;
   Enchantment[19].Note := ' ';
   Enchantment[19].Weeks := 0.42;
   Enchantment[19].STday := 10;
   Enchantment[19].CostWeek := 20;
   Enchantment[19].Notes1:= '1 $20 gem';
   Enchantment[19].Notes2 := '';
   Enchantment[19].Notes3 := '';
   Enchantment[19].Notes4 := '';
   Enchantment[19].Notes5 := '';
   Enchantment[19].IQ := 8;
   Enchantment[19].D := 0;
   Enchantment[19].Plus := 0;

   Enchantment[20].Name := 'Shock Shield';
   Enchantment[20].Cost := 5000;
   Enchantment[20].Note := ' ';
   Enchantment[20].Weeks := 6;
   Enchantment[20].STday := 125;
   Enchantment[20].CostWeek := 100;
   Enchantment[20].Notes1:= '1 dose Gun Powder ($100)';
   Enchantment[20].Notes2 := '';
   Enchantment[20].Notes3 := '';
   Enchantment[20].Notes4 := '';
   Enchantment[20].Notes5 := '';
   Enchantment[20].IQ := 8;
   Enchantment[20].D := 0;
   Enchantment[20].Plus := 0;

   Enchantment[21].Name := 'Shadow';
   Enchantment[21].Cost := 1000;
   Enchantment[21].Note := ' ';
   Enchantment[21].Weeks := 1;
   Enchantment[21].STday := 175;
   Enchantment[21].CostWeek := 230;
   Enchantment[21].Notes1:= '1 dose Sleep potion ($150), $80 ci';
   Enchantment[21].Notes2 := '';
   Enchantment[21].Notes3 := '';
   Enchantment[21].Notes4 := '';
   Enchantment[21].Notes5 := '';
   Enchantment[21].IQ := 8;
   Enchantment[21].D := 0;
   Enchantment[21].Plus := 0;

   Enchantment[22].Name := 'Far Vision';
   Enchantment[22].Cost := 2500;
   Enchantment[22].Note := ' ';
   Enchantment[22].Weeks := 4;
   Enchantment[22].STday := 70;
   Enchantment[22].CostWeek := 45;
   Enchantment[22].Notes1:= '2 fresh hawk''s eyes ($20), $5 ci';
   Enchantment[22].Notes2 := '';
   Enchantment[22].Notes3 := '';
   Enchantment[22].Notes4 := '';
   Enchantment[22].Notes5 := '';
   Enchantment[22].IQ := 8;
   Enchantment[22].D := 0;
   Enchantment[22].Plus := 0;

   Enchantment[23].Name := 'Sleep';
   Enchantment[23].Cost := 1000;
   Enchantment[23].Note := ' ';
   Enchantment[23].Weeks := 1;
   Enchantment[23].STday := 125;
   Enchantment[23].CostWeek := 330;
   Enchantment[23].Notes1:= '2 doses Sleep potion ($150), $30 ci';
   Enchantment[23].Notes2 := '';
   Enchantment[23].Notes3 := '';
   Enchantment[23].Notes4 := '';
   Enchantment[23].Notes5 := '';
   Enchantment[23].IQ := 8;
   Enchantment[23].D := 0;
   Enchantment[23].Plus := 0;

   Enchantment[24].Name := 'reverse Missiles';
   Enchantment[24].Cost := 5000;
   Enchantment[24].Note := ' ';
   Enchantment[24].Weeks := 6;
   Enchantment[24].STday := 175;
   Enchantment[24].CostWeek := 15;
   Enchantment[24].Notes1:= '';
   Enchantment[24].Notes2 := '';
   Enchantment[24].Notes3 := '';
   Enchantment[24].Notes4 := '';
   Enchantment[24].Notes5 := '';
   Enchantment[24].IQ := 8;
   Enchantment[24].D := 0;
   Enchantment[24].Plus := 0;

   Enchantment[25].Name := 'Rope';
   Enchantment[25].Cost := 1000;
   Enchantment[25].Note := ' ';
   Enchantment[25].Weeks := 1;
   Enchantment[25].STday := 50;
   Enchantment[25].CostWeek := 480;
   Enchantment[25].Notes1:= '6 doses DX- potion ($80)';
   Enchantment[25].Notes2 := '';
   Enchantment[25].Notes3 := '';
   Enchantment[25].Notes4 := '';
   Enchantment[25].Notes5 := '';
   Enchantment[25].IQ := 8;
   Enchantment[25].D := 0;
   Enchantment[25].Plus := 0;

   Enchantment[26].Name := 'Destroy Illusion';
   Enchantment[26].Cost := 2000;
   Enchantment[26].Note := ' ';
   Enchantment[26].Weeks := 2;
   Enchantment[26].STday := 270;
   Enchantment[26].CostWeek := 25;
   Enchantment[26].Notes1:= '';
   Enchantment[26].Notes2 := '';
   Enchantment[26].Notes3 := '';
   Enchantment[26].Notes4 := '';
   Enchantment[26].Notes5 := '';
   Enchantment[26].IQ := 8;
   Enchantment[26].D := 0;
   Enchantment[26].Plus := 0;

   Enchantment[27].Name := 'Silent Movement';
   Enchantment[27].Cost := 2000;
   Enchantment[27].Note := ' ';
   Enchantment[27].Weeks := 4;
   Enchantment[27].STday := 25;
   Enchantment[27].CostWeek := 25;
   Enchantment[27].Notes1:= '';
   Enchantment[27].Notes2 := '';
   Enchantment[27].Notes3 := '';
   Enchantment[27].Notes4 := '';
   Enchantment[27].Notes5 := '';
   Enchantment[27].IQ := 8;
   Enchantment[27].D := 0;
   Enchantment[27].Plus := 0;

   Enchantment[28].Name := 'Persuasiveness';
   Enchantment[28].Cost := 12000;
   Enchantment[28].Note := ' ';
   Enchantment[28].Weeks := 5;
   Enchantment[28].STday := 175;
   Enchantment[28].CostWeek := 1500;
   Enchantment[28].Notes1:= '1 dose Telepathy potion ($1500)';
   Enchantment[28].Notes2 := '';
   Enchantment[28].Notes3 := '';
   Enchantment[28].Notes4 := '';
   Enchantment[28].Notes5 := '';
   Enchantment[28].IQ := 8;
   Enchantment[28].D := 0;
   Enchantment[28].Plus := 0;

   Enchantment[29].Name := 'Freeze';
   Enchantment[29].Cost := 5000;
   Enchantment[29].Note := ' ';
   Enchantment[29].Weeks := 6;
   Enchantment[29].STday := 100;
   Enchantment[29].CostWeek := 150;
   Enchantment[29].Notes1:= 'Fresh Basilisk brain & eyes ($150)';
   Enchantment[29].Notes2 := '';
   Enchantment[29].Notes3 := '';
   Enchantment[29].Notes4 := '';
   Enchantment[29].Notes5 := '';
   Enchantment[29].IQ := 8;
   Enchantment[29].D := 0;
   Enchantment[29].Plus := 0;

   Enchantment[30].Name := 'Fireball';
   Enchantment[30].Cost := 5500;
   Enchantment[30].Note := ' ';
   Enchantment[30].Weeks := 4;
   Enchantment[30].STday := 200;
   Enchantment[30].CostWeek := 500;
   Enchantment[30].Notes1:= '1 dose Pyrotic potion ($500)';
   Enchantment[30].Notes2 := '';
   Enchantment[30].Notes3 := '';
   Enchantment[30].Notes4 := '';
   Enchantment[30].Notes5 := '';
   Enchantment[30].IQ := 8;
   Enchantment[30].D := 0;
   Enchantment[30].Plus := 0;

   Enchantment[31].Name := 'Invisibility';
   Enchantment[31].Cost := 6500;
   Enchantment[31].Note := ' ';
   Enchantment[31].Weeks := 3;
   Enchantment[31].STday := 100;
   Enchantment[31].CostWeek := 1500;
   Enchantment[31].Notes1:= '1 dose Invisibility potion ($1500)';
   Enchantment[31].Notes2 := '';
   Enchantment[31].Notes3 := '';
   Enchantment[31].Notes4 := '';
   Enchantment[31].Notes5 := '';
   Enchantment[31].IQ := 8;
   Enchantment[31].D := 0;
   Enchantment[31].Plus := 0;

   Enchantment[32].Name := 'Mage Sight';
   Enchantment[32].Cost := 6000;
   Enchantment[32].Note := ' ';
   Enchantment[32].Weeks := 6;
   Enchantment[32].STday := 200;
   Enchantment[32].CostWeek := 120;
   Enchantment[32].Notes1:= '';
   Enchantment[32].Notes2 := '';
   Enchantment[32].Notes3 := '';
   Enchantment[32].Notes4 := '';
   Enchantment[32].Notes5 := '';
   Enchantment[32].IQ := 8;
   Enchantment[32].D := 0;
   Enchantment[32].Plus := 0;

   Enchantment[33].Name := 'Magic Rainstorm';
   Enchantment[33].Cost := 4500;
   Enchantment[33].Note := ' ';
   Enchantment[33].Weeks := 6;
   Enchantment[33].STday := 125;
   Enchantment[33].CostWeek := 35;
   Enchantment[33].Notes1:= '';
   Enchantment[33].Notes2 := '';
   Enchantment[33].Notes3 := '';
   Enchantment[33].Notes4 := '';
   Enchantment[33].Notes5 := '';
   Enchantment[33].IQ := 8;
   Enchantment[33].D := 0;
   Enchantment[33].Plus := 0;

   Enchantment[34].Name := 'Eyes-Behind';
   Enchantment[34].Cost := 3000;
   Enchantment[34].Note := ' ';
   Enchantment[34].Weeks := 3;
   Enchantment[34].STday := 50;
   Enchantment[34].CostWeek := 465;
   Enchantment[34].Notes1:= '1 dose Acute Hearing potion ($250)';
   Enchantment[34].Notes2 := 'one pickled dragonet ($100), $115 ci';
   Enchantment[34].Notes3 := '';
   Enchantment[34].Notes4 := '';
   Enchantment[34].Notes5 := '';
   Enchantment[34].IQ := 8;
   Enchantment[34].D := 0;
   Enchantment[34].Plus := 0;

   Enchantment[35].Name := 'Flight';
   Enchantment[35].Cost := 10000;
   Enchantment[35].Note := ' ';
   Enchantment[35].Weeks := 5;
   Enchantment[35].STday := 125;
   Enchantment[35].CostWeek := 1235;
   Enchantment[35].Notes1:= '1 dose Flight potion ($1200), $35 ci';
   Enchantment[35].Notes2 := '';
   Enchantment[35].Notes3 := '';
   Enchantment[35].Notes4 := '';
   Enchantment[35].Notes5 := '';
   Enchantment[35].IQ := 8;
   Enchantment[35].D := 0;
   Enchantment[35].Plus := 0;

   Enchantment[36].Name := 'Stone Flesh';
   Enchantment[36].Cost := 4000;
   Enchantment[36].Note := ' ';
   Enchantment[36].Weeks := 5;
   Enchantment[36].STday := 175;
   Enchantment[36].CostWeek := 0;
   Enchantment[36].Notes1:= '';
   Enchantment[36].Notes2 := '';
   Enchantment[36].Notes3 := '';
   Enchantment[36].Notes4 := '';
   Enchantment[36].Notes5 := '';
   Enchantment[36].IQ := 8;
   Enchantment[36].D := 0;
   Enchantment[36].Plus := 0;

   Enchantment[37].Name := 'Slippery Floor';
   Enchantment[37].Cost := 2000;
   Enchantment[37].Note := 'C';
   Enchantment[37].Weeks := 4;
   Enchantment[37].STday := 20;
   Enchantment[37].CostWeek := 26;
   Enchantment[37].Notes1:= '';
   Enchantment[37].Notes2 := '';
   Enchantment[37].Notes3 := '';
   Enchantment[37].Notes4 := '';
   Enchantment[37].Notes5 := '';
   Enchantment[37].IQ := 8;
   Enchantment[37].D := 0;
   Enchantment[37].Plus := 0;

   Enchantment[38].Name := 'Mobile Slippery Floor';
   Enchantment[38].Cost := 4000;
   Enchantment[38].Note := 'C';
   Enchantment[38].Weeks := 4;
   Enchantment[38].STday := 40;
   Enchantment[38].CostWeek := 52;
   Enchantment[38].Notes1:= '';
   Enchantment[38].Notes2 := '';
   Enchantment[38].Notes3 := '';
   Enchantment[38].Notes4 := '';
   Enchantment[38].Notes5 := '';
   Enchantment[38].IQ := 8;
   Enchantment[38].D := 0;
   Enchantment[38].Plus := 0;

   Enchantment[39].Name := 'Sticky Floor';
   Enchantment[39].Cost := 2000;
   Enchantment[39].Note := 'C';
   Enchantment[39].Weeks := 4;
   Enchantment[39].STday := 20;
   Enchantment[39].CostWeek := 26;
   Enchantment[39].Notes1:= '';
   Enchantment[39].Notes2 := '';
   Enchantment[39].Notes3 := '';
   Enchantment[39].Notes4 := '';
   Enchantment[39].Notes5 := '';
   Enchantment[39].IQ := 8;
   Enchantment[39].D := 0;
   Enchantment[39].Plus := 0;

   Enchantment[40].Name := 'Mobile Sticky Floor';
   Enchantment[40].Cost := 4000;
   Enchantment[40].Note := 'C';
   Enchantment[40].Weeks := 4;
   Enchantment[40].STday := 40;
   Enchantment[40].CostWeek := 52;
   Enchantment[40].Notes1:= '';
   Enchantment[40].Notes2 := '';
   Enchantment[40].Notes3 := '';
   Enchantment[40].Notes4 := '';
   Enchantment[40].Notes5 := '';
   Enchantment[40].IQ := 8;
   Enchantment[40].D := 0;
   Enchantment[40].Plus := 0;

   Enchantment[41].Name := 'Curse';
   Enchantment[41].Cost := 3500;
   Enchantment[41].Note := 'A';
   Enchantment[41].Weeks := 4;
   Enchantment[41].STday := 25;
   Enchantment[41].CostWeek := 380;
   Enchantment[41].Notes1:= '1 dose ST- potion ($100)';
   Enchantment[41].Notes2 := '1 dose DX- potion ($80)';
   Enchantment[41].Notes3 := '1 dose IQ- potion ($200)';
   Enchantment[41].Notes4 := '';
   Enchantment[41].Notes5 := '';
   Enchantment[41].IQ := 8;
   Enchantment[41].D := 0;
   Enchantment[41].Plus := -1;

   Enchantment[42].Name := 'Fireproofing';
   Enchantment[42].Cost := 5000;
   Enchantment[42].Note := ' ';
   Enchantment[42].Weeks := 5;
   Enchantment[42].STday := 25;
   Enchantment[42].CostWeek := 500;
   Enchantment[42].Notes1 := '2 doses Fireproofing potion ($250)';
   Enchantment[42].Notes2 := '';
   Enchantment[42].Notes3 := '';
   Enchantment[42].Notes4 := '';
   Enchantment[42].Notes5 := '';
   Enchantment[42].IQ := 8;
   Enchantment[42].D := 0;
   Enchantment[42].Plus := 0;

   Enchantment[43].Name := 'Telekenesis';
   Enchantment[43].Cost := 5000;
   Enchantment[43].Note := ' ';
   Enchantment[43].Weeks := 4;
   Enchantment[43].STday := 120;
   Enchantment[43].CostWeek := 540;
   Enchantment[43].Notes1 := '1 dose Telekenisis potion ($500), $40 ci';
   Enchantment[43].Notes2 := '';
   Enchantment[43].Notes3 := '';
   Enchantment[43].Notes4 := '';
   Enchantment[43].Notes5 := '';
   Enchantment[43].IQ := 8;
   Enchantment[43].D := 0;
   Enchantment[43].Plus := 0;

   Enchantment[44].Name := 'Lightning';
   Enchantment[44].Cost := 15000;
   Enchantment[44].Note := 'D';
   Enchantment[44].Weeks := 10;
   Enchantment[44].STday := 375;
   Enchantment[44].CostWeek := 150;
   Enchantment[44].Notes1 := '1 silver slime, live ($150)';
   Enchantment[44].Notes2 := '';
   Enchantment[44].Notes3 := '';
   Enchantment[44].Notes4 := '';
   Enchantment[44].Notes5 := '';
   Enchantment[44].IQ := 8;
   Enchantment[44].D := 0;
   Enchantment[44].Plus := 0;

   Enchantment[45].Name := 'Dispel illusions';
   Enchantment[45].Cost := 5000;
   Enchantment[45].Note := ' ';
   Enchantment[45].Weeks := 6;
   Enchantment[45].STday := 175;
   Enchantment[45].CostWeek := 0;
   Enchantment[45].Notes1 := '';
   Enchantment[45].Notes2 := '';
   Enchantment[45].Notes3 := '';
   Enchantment[45].Notes4 := '';
   Enchantment[45].Notes5 := '';
   Enchantment[45].IQ := 8;
   Enchantment[45].D := 0;
   Enchantment[45].Plus := 0;

   Enchantment[46].Name := 'Spell Shield';
   Enchantment[46].Cost := 6000;
   Enchantment[46].Note := ' ';
   Enchantment[46].Weeks := 6;
   Enchantment[46].STday := 225;
   Enchantment[46].CostWeek := 0;
   Enchantment[46].Notes1 := '';
   Enchantment[46].Notes2 := '';
   Enchantment[46].Notes3 := '';
   Enchantment[46].Notes4 := '';
   Enchantment[46].Notes5 := '';
   Enchantment[47].IQ := 8;
   Enchantment[47].D := 0;
   Enchantment[47].Plus := 0;

   Enchantment[47].Name := 'Telepathy';
   Enchantment[47].Cost := 20000;
   Enchantment[47].Note := ' ';
   Enchantment[47].Weeks := 5;
   Enchantment[47].STday := 100;
   Enchantment[47].CostWeek := 3600;
   Enchantment[47].Notes1 := '2 doses Telepathy ($1500)';
   Enchantment[47].Notes2 := '1 dose IQ+ potion ($600)';
   Enchantment[47].Notes3 := '';
   Enchantment[47].Notes4 := '';
   Enchantment[47].Notes5 := '';
   Enchantment[47].IQ := 8;
   Enchantment[47].D := 0;
   Enchantment[47].Plus := 0;

   Enchantment[48].Name := 'Glamor';
   Enchantment[48].Cost := 4000;
   Enchantment[48].Note := ' ';
   Enchantment[48].Weeks := 5;
   Enchantment[48].STday := 160;
   Enchantment[48].CostWeek := 0;
   Enchantment[48].Notes1 := '';
   Enchantment[48].Notes2 := '';
   Enchantment[48].Notes3 := '';
   Enchantment[48].Notes4 := '';
   Enchantment[48].Notes5 := '';
   Enchantment[48].IQ := 8;
   Enchantment[48].D := 0;
   Enchantment[48].Plus := 0;

   Enchantment[49].Name := 'Fresh Air';
   Enchantment[49].Cost := 3000;
   Enchantment[49].Note := ' ';
   Enchantment[49].Weeks := 3;
   Enchantment[49].STday := 25;
   Enchantment[49].CostWeek := 515;
   Enchantment[49].Notes1 := '1 dose Water Breathing ptotion ($500), $15 ci';
   Enchantment[49].Notes2 := '';
   Enchantment[49].Notes3 := '';
   Enchantment[49].Notes4 := '';
   Enchantment[49].Notes5 := '';
   Enchantment[49].IQ := 8;
   Enchantment[49].D := 0;
   Enchantment[49].Plus := 0;

   Enchantment[50].Name := 'Gem: Wolf, 6 turn';
   Enchantment[50].Cost := 500;
   Enchantment[50].Note := 'C';
   Enchantment[50].Weeks := 1;
   Enchantment[50].STday := 25;
   Enchantment[50].CostWeek := 0;
   Enchantment[50].Notes1 := 'Must start with a $40 gem';
   Enchantment[50].Notes2 := '';
   Enchantment[50].Notes3 := '';
   Enchantment[50].Notes4 := '';
   Enchantment[50].Notes5 := '';
   Enchantment[50].IQ := 8;
   Enchantment[50].D := 0;
   Enchantment[50].Plus := 0;

   Enchantment[51].Name := 'Gem: Wolf, 12 turn';
   Enchantment[51].Cost := 1000;
   Enchantment[51].Note := 'C';
   Enchantment[51].Weeks := 1;
   Enchantment[51].STday := 50;
   Enchantment[51].CostWeek := 0;
   Enchantment[51].Notes1 := 'Must start with a $40 gem';
   Enchantment[51].Notes2 := '';
   Enchantment[51].Notes3 := '';
   Enchantment[51].Notes4 := '';
   Enchantment[51].Notes5 := '';
   Enchantment[51].IQ := 8;
   Enchantment[51].D := 0;
   Enchantment[51].Plus := 0;

   Enchantment[52].Name := 'Gem: Myrmidon, 6 turn';
   Enchantment[52].Cost := 500;
   Enchantment[52].Note := 'C';
   Enchantment[52].Weeks := 1;
   Enchantment[52].STday := 25;
   Enchantment[52].CostWeek := 0;
   Enchantment[52].Notes1 := 'Must start with a $40 gem';
   Enchantment[52].Notes2 := '';
   Enchantment[52].Notes3 := '';
   Enchantment[52].Notes4 := '';
   Enchantment[52].Notes5 := '';
   Enchantment[52].IQ := 8;
   Enchantment[52].D := 0;
   Enchantment[52].Plus := 0;

   Enchantment[53].Name := 'Gem: Myrmidon, 12 turn';
   Enchantment[53].Cost := 1000;
   Enchantment[53].Note := 'C';
   Enchantment[53].Weeks := 1;
   Enchantment[53].STday := 50;
   Enchantment[53].CostWeek := 0;
   Enchantment[53].Notes1 := 'Must start with a $40 gem';
   Enchantment[53].Notes2 := '';
   Enchantment[53].Notes3 := '';
   Enchantment[53].Notes4 := '';
   Enchantment[53].Notes5 := '';
   Enchantment[53].IQ := 8;
   Enchantment[53].D := 0;
   Enchantment[53].Plus := 0;

   Enchantment[54].Name := 'Gem: Bear, 6 turn';
   Enchantment[54].Cost := 1000;
   Enchantment[54].Note := 'C';
   Enchantment[54].Weeks := 2;
   Enchantment[54].STday := 25;
   Enchantment[54].CostWeek := 0;
   Enchantment[54].Notes1 := 'Must start with a $80 gem';
   Enchantment[54].Notes2 := '';
   Enchantment[54].Notes3 := '';
   Enchantment[54].Notes4 := '';
   Enchantment[54].Notes5 := '';
   Enchantment[54].IQ := 8;
   Enchantment[54].D := 0;
   Enchantment[54].Plus := 0;

   Enchantment[55].Name := 'Gem: Bear, 12 turn';
   Enchantment[55].Cost := 2000;
   Enchantment[55].Note := 'C';
   Enchantment[55].Weeks := 2;
   Enchantment[55].STday := 50;
   Enchantment[55].CostWeek := 0;
   Enchantment[55].Notes1 := 'Must start with a $80 gem';
   Enchantment[55].Notes2 := '';
   Enchantment[55].Notes3 := '';
   Enchantment[55].Notes4 := '';
   Enchantment[55].Notes5 := '';
   Enchantment[55].IQ := 8;
   Enchantment[55].D := 0;
   Enchantment[55].Plus := 0;

   Enchantment[56].Name := 'Gem: Gargoyle, 6 turn';
   Enchantment[56].Cost := 1000;
   Enchantment[56].Note := 'C';
   Enchantment[56].Weeks := 2;
   Enchantment[56].STday := 25;
   Enchantment[56].CostWeek := 0;
   Enchantment[56].Notes1 := 'Must start with a $80 gem';
   Enchantment[56].Notes2 := '';
   Enchantment[56].Notes3 := '';
   Enchantment[56].Notes4 := '';
   Enchantment[56].Notes5 := '';
   Enchantment[56].IQ := 8;
   Enchantment[56].D := 0;
   Enchantment[56].Plus := 0;

   Enchantment[57].Name := 'Gem: Gargoyle, 12 turn';
   Enchantment[57].Cost := 2000;
   Enchantment[57].Note := 'C';
   Enchantment[57].Weeks := 2;
   Enchantment[57].STday := 50;
   Enchantment[57].CostWeek := 0;
   Enchantment[57].Notes1 := 'Must start with a $80 gem';
   Enchantment[57].Notes2 := '';
   Enchantment[57].Notes3 := '';
   Enchantment[57].Notes4 := '';
   Enchantment[57].Notes5 := '';
   Enchantment[57].IQ := 8;
   Enchantment[57].D := 0;
   Enchantment[57].Plus := 0;

   Enchantment[58].Name := 'Gem: Giant, 6 turn';
   Enchantment[58].Cost := 2000;
   Enchantment[58].Note := 'C';
   Enchantment[58].Weeks := 3;
   Enchantment[58].STday := 75;
   Enchantment[58].CostWeek := 0;
   Enchantment[58].Notes1 := 'Must start with a $285 gem';
   Enchantment[58].Notes2 := '';
   Enchantment[58].Notes3 := '';
   Enchantment[58].Notes4 := '';
   Enchantment[58].Notes5 := '';
   Enchantment[58].IQ := 8;
   Enchantment[58].D := 0;
   Enchantment[58].Plus := 0;

   Enchantment[59].Name := 'Gem: Giant, 12 turn';
   Enchantment[59].Cost := 4000;
   Enchantment[59].Note := 'C';
   Enchantment[59].Weeks := 3;
   Enchantment[59].STday := 150;
   Enchantment[59].CostWeek := 0;
   Enchantment[59].Notes1 := 'Must start with a $285 gem';
   Enchantment[59].Notes2 := '';
   Enchantment[59].Notes3 := '';
   Enchantment[59].Notes4 := '';
   Enchantment[59].Notes5 := '';
   Enchantment[59].IQ := 8;
   Enchantment[59].D := 0;
   Enchantment[59].Plus := 0;

   Enchantment[60].Name := 'Gem: 4-Hex dragon, 6 turn';
   Enchantment[60].Cost := 2000;
   Enchantment[60].Note := 'C';
   Enchantment[60].Weeks := 3;
   Enchantment[60].STday := 75;
   Enchantment[60].CostWeek := 0;
   Enchantment[60].Notes1 := 'Must start with a $285 gem';
   Enchantment[60].Notes2 := '';
   Enchantment[60].Notes3 := '';
   Enchantment[60].Notes4 := '';
   Enchantment[60].Notes5 := '';
   Enchantment[60].IQ := 8;
   Enchantment[60].D := 0;
   Enchantment[60].Plus := 0;

   Enchantment[61].Name := 'Gem: 4-Hex dragon, 12 turn';
   Enchantment[61].Cost := 4000;
   Enchantment[61].Note := 'C';
   Enchantment[61].Weeks := 3;
   Enchantment[61].STday := 150;
   Enchantment[61].CostWeek := 0;
   Enchantment[61].Notes1 := 'Must start with a $285 gem';
   Enchantment[61].Notes2 := '';
   Enchantment[61].Notes3 := '';
   Enchantment[61].Notes4 := '';
   Enchantment[61].Notes5 := '';
   Enchantment[61].IQ := 8;
   Enchantment[61].D := 0;
   Enchantment[61].Plus := 0;

   Enchantment[62].Name := 'Gem: 7-Hex dragon, 6 turn';
   Enchantment[62].Cost := 4000;
   Enchantment[62].Note := 'C';
   Enchantment[62].Weeks := 4;
   Enchantment[62].STday := 200;
   Enchantment[62].CostWeek := 0;
   Enchantment[62].Notes1 := 'Must start with a $600 gem';
   Enchantment[62].Notes2 := '';
   Enchantment[62].Notes3 := '';
   Enchantment[62].Notes4 := '';
   Enchantment[62].Notes5 := '';
   Enchantment[62].IQ := 8;
   Enchantment[62].D := 0;
   Enchantment[62].Plus := 0;

   Enchantment[63].Name := 'Gem: 7-Hex dragon, 12 turn';
   Enchantment[63].Cost := 8000;
   Enchantment[63].Note := 'C';
   Enchantment[63].Weeks := 4;
   Enchantment[63].STday := 400;
   Enchantment[63].CostWeek := 0;
   Enchantment[63].Notes1 := 'Must start with a $600 gem';
   Enchantment[63].Notes2 := '';
   Enchantment[63].Notes3 := '';
   Enchantment[63].Notes4 := '';
   Enchantment[63].Notes5 := '';
   Enchantment[63].IQ := 8;
   Enchantment[63].D := 0;
   Enchantment[63].Plus := 0;

   Enchantment[64].Name := 'Quiver of Replenishment';
   Enchantment[64].Cost := 1000;
   Enchantment[64].Note := ' ';
   Enchantment[64].Weeks := 2;
   Enchantment[64].STday := 20;
   Enchantment[64].CostWeek := 35;
   Enchantment[64].Notes1 := '';
   Enchantment[64].Notes2 := '';
   Enchantment[64].Notes3 := '';
   Enchantment[64].Notes4 := '';
   Enchantment[64].Notes5 := '';
   Enchantment[64].IQ := 8;
   Enchantment[64].D := 0;
   Enchantment[64].Plus := 0;

   Enchantment[65].Name := ' with silver arrow';
   Enchantment[65].Cost := 5000;
   Enchantment[65].Note := ' ';
   Enchantment[65].Weeks := 6;
   Enchantment[65].STday := 150;
   Enchantment[65].CostWeek := 60;
   Enchantment[65].Notes1 := 'must start with silver arrow';
   Enchantment[65].Notes2 := '';
   Enchantment[65].Notes3 := '';
   Enchantment[65].Notes4 := '';
   Enchantment[65].Notes5 := '';
   Enchantment[65].IQ := 8;
   Enchantment[65].D := 0;
   Enchantment[65].Plus := 0;

   Enchantment[66].Name := ' giving DX+1';
   Enchantment[66].Cost := 15000;
   Enchantment[66].Note := ' ';
   Enchantment[66].Weeks := 10;
   Enchantment[66].STday := 150;
   Enchantment[66].CostWeek := 600;
   Enchantment[66].Notes1 := '1 dose DX+ potion ($600)';
   Enchantment[66].Notes2 := '';
   Enchantment[66].Notes3 := '';
   Enchantment[66].Notes4 := '';
   Enchantment[66].Notes5 := '';
   Enchantment[66].IQ := 8;
   Enchantment[66].D := 0;
   Enchantment[66].Plus := 0;

   Enchantment[67].Name := 'Amulet: vs. Drunkenness';
   Enchantment[67].Cost := 1500;
   Enchantment[67].Note := ' ';
   Enchantment[67].Weeks := 2;
   Enchantment[67].STday := 150;
   Enchantment[67].CostWeek := 30;
   Enchantment[67].Notes1 := '1 bottle good wine ($30)';
   Enchantment[67].Notes2 := '';
   Enchantment[67].Notes3 := '';
   Enchantment[67].Notes4 := '';
   Enchantment[67].Notes5 := '';
   Enchantment[67].IQ := 8;
   Enchantment[67].D := 0;
   Enchantment[67].Plus := 0;

   Enchantment[68].Name := 'Amulet: vs. Drowning';
   Enchantment[68].Cost := 2000;
   Enchantment[68].Note := ' ';
   Enchantment[68].Weeks := 1;
   Enchantment[68].STday := 210;
   Enchantment[68].CostWeek := 1100;
   Enchantment[68].Notes1 := '1 dose DX+ potion ($600)';
   Enchantment[68].Notes2 := 'Water Breathing ($500)';
   Enchantment[68].Notes3 := '';
   Enchantment[68].Notes4 := '';
   Enchantment[68].Notes5 := '';
   Enchantment[68].IQ := 8;
   Enchantment[68].D := 0;
   Enchantment[68].Plus := 0;

   Enchantment[69].Name := 'Amulet: vs. creature';
   Enchantment[69].Cost := 3000;
   Enchantment[69].Note := ' ';
   Enchantment[69].Weeks := 3;
   Enchantment[69].STday := 125;
   Enchantment[69].CostWeek := 300;
   Enchantment[69].Notes1 := '2 doses Fear potion ($150)';
   Enchantment[69].Notes2 := '';
   Enchantment[69].Notes3 := '';
   Enchantment[69].Notes4 := '';
   Enchantment[69].Notes5 := '';
   Enchantment[69].IQ := 8;
   Enchantment[69].D := 0;
   Enchantment[69].Plus := 0;

   Enchantment[70].Name := 'Amulet: vs. one elemental';
   Enchantment[70].Cost := 3000;
   Enchantment[70].Note := ' ';
   Enchantment[70].Weeks := 3;
   Enchantment[70].STday := 125;
   Enchantment[70].CostWeek := 300;
   Enchantment[70].Notes1 := '2 doses Fear potion ($150)';
   Enchantment[70].Notes2 := '';
   Enchantment[70].Notes3 := '';
   Enchantment[70].Notes4 := '';
   Enchantment[70].Notes5 := '';
   Enchantment[70].IQ := 8;
   Enchantment[70].D := 0;
   Enchantment[70].Plus := 0;

   Enchantment[71].Name := 'Amulet: vs. all elementals';
   Enchantment[71].Cost := 5000;
   Enchantment[71].Note := ' ';
   Enchantment[71].Weeks := 4;
   Enchantment[71].STday := 175;
   Enchantment[71].CostWeek := 480;
   Enchantment[71].Notes1 := '3 doses Fear potion ($150), $30 ci';
   Enchantment[71].Notes2 := '';
   Enchantment[71].Notes3 := '';
   Enchantment[71].Notes4 := '';
   Enchantment[71].Notes5 := '';
   Enchantment[71].IQ := 8;
   Enchantment[71].D := 0;
   Enchantment[71].Plus := 0;

   Enchantment[72].Name := 'Amulet: vs. Disease';
   Enchantment[72].Cost := 10000;
   Enchantment[72].Note := ' ';
   Enchantment[72].Weeks := 5;
   Enchantment[72].STday := 25;
   Enchantment[72].CostWeek := 1420;
   Enchantment[72].Notes1 := '3 doses Healing potion ($150)';
   Enchantment[72].Notes2 := '1 dose Simple Poison ($120)';
   Enchantment[72].Notes3 := '1 dose Plant Poison ($200)';
   Enchantment[72].Notes4 := '1 dose Insect Poison ($150)';
   Enchantment[72].Notes5 := '1 dose Pyrotic potion ($500)';
   Enchantment[72].IQ := 8;
   Enchantment[72].D := 0;
   Enchantment[72].Plus := 0;

   Enchantment[73].Name := '1-Hex Pentagram';
   Enchantment[73].Cost := 2000;
   Enchantment[73].Note := 'B';
   Enchantment[73].Weeks := 3;
   Enchantment[73].STday := 125;
   Enchantment[73].CostWeek := 0;
   Enchantment[73].Notes1 := '';
   Enchantment[73].Notes2 := '';
   Enchantment[73].Notes3 := '';
   Enchantment[73].Notes4 := '';
   Enchantment[73].Notes5 := '';
   Enchantment[73].IQ := 8;
   Enchantment[73].D := 0;
   Enchantment[73].Plus := 0;

   Enchantment[74].Name := 'Maintain Illusion';
   Enchantment[74].Cost := 3000;
   Enchantment[74].Note := 'B';
   Enchantment[74].Weeks := 5;
   Enchantment[74].STday := 75;
   Enchantment[74].CostWeek := 0;
   Enchantment[74].Notes1 := '';
   Enchantment[74].Notes2 := '';
   Enchantment[74].Notes3 := '';
   Enchantment[74].Notes4 := '';
   Enchantment[74].Notes5 := '';
   Enchantment[74].IQ := 8;
   Enchantment[74].D := 0;
   Enchantment[74].Plus := 0;

   Enchantment[75].Name := 'Maintain Image';
   Enchantment[75].Cost := 1400;
   Enchantment[75].Note := 'B';
   Enchantment[75].Weeks := 3;
   Enchantment[75].STday := 20;
   Enchantment[75].CostWeek := 0;
   Enchantment[75].Notes1 := '';
   Enchantment[75].Notes2 := '';
   Enchantment[75].Notes3 := '';
   Enchantment[75].Notes4 := '';
   Enchantment[75].Notes5 := '';
   Enchantment[75].IQ := 8;
   Enchantment[75].D := 0;
   Enchantment[75].Plus := 0;

   Enchantment[76].Name := 'Ring of Control';
   Enchantment[76].Cost := 10000;
   Enchantment[76].Note := 'E';
   Enchantment[76].Weeks := 18;
   Enchantment[76].STday := 25;
   Enchantment[76].CostWeek := 0;
   Enchantment[76].Notes1 := '';
   Enchantment[76].Notes2 := '';
   Enchantment[76].Notes3 := '';
   Enchantment[76].Notes4 := '';
   Enchantment[76].Notes5 := '';
   Enchantment[76].IQ := 8;
   Enchantment[76].D := 0;
   Enchantment[76].Plus := 0;

   Enchantment[77].Name := '2-hex Magic Carpet';
   Enchantment[77].Cost := 10000;
   Enchantment[77].Note := ' ';
   Enchantment[77].Weeks := 5;
   Enchantment[77].STday := 75;
   Enchantment[77].CostWeek := 1200;
   Enchantment[77].Notes1 := '1 dose Flight potion ($1200)';
   Enchantment[77].Notes2 := 'must start with a $500 carpet';
   Enchantment[77].Notes3 := '';
   Enchantment[77].Notes4 := '';
   Enchantment[77].Notes5 := '';
   Enchantment[77].IQ := 8;
   Enchantment[77].D := 0;
   Enchantment[77].Plus := 0;

   Enchantment[78].Name := '4-hex Magic Carpet';
   Enchantment[78].Cost := 20000;
   Enchantment[78].Note := 'B';
   Enchantment[78].Weeks := 5;
   Enchantment[78].STday := 150;
   Enchantment[78].CostWeek := 1200;
   Enchantment[78].Notes1 := '1 dose Flight potion ($1200)';
   Enchantment[78].Notes2 := 'must start with a $1000 carpet';
   Enchantment[78].Notes3 := '';
   Enchantment[78].Notes4 := '';
   Enchantment[78].Notes5 := '';
   Enchantment[78].IQ := 8;
   Enchantment[78].D := 0;
   Enchantment[78].Plus := 0;

   Enchantment[79].Name := '7-hex Magic Carpet';
   Enchantment[79].Cost := 50000;
   Enchantment[79].Note := 'I';
   Enchantment[79].Weeks := 5;
   Enchantment[79].STday := 375;
   Enchantment[79].CostWeek := 1200;
   Enchantment[79].Notes1 := '1 dose Flight potion ($1200)';
   Enchantment[79].Notes2 := 'must start with a $2000 carpet';
   Enchantment[79].Notes3 := '';
   Enchantment[79].Notes4 := '';
   Enchantment[79].Notes5 := '';
   Enchantment[79].IQ := 8;
   Enchantment[79].D := 0;
   Enchantment[79].Plus := 0;

   Enchantment[80].Name := 'Serpent Torc';
   Enchantment[80].Cost := 2000;
   Enchantment[80].Note := ' ';
   Enchantment[80].Weeks := 3;
   Enchantment[80].STday := 75;
   Enchantment[80].CostWeek := 95;
   Enchantment[80].Notes1 := 'must start with silver beads ($55)';
   Enchantment[80].Notes2 := 'must start with a snake''s backbone';
   Enchantment[80].Notes3 := '';
   Enchantment[80].Notes4 := '';
   Enchantment[80].Notes5 := '';
   Enchantment[80].IQ := 8;
   Enchantment[80].D := 0;
   Enchantment[80].Plus := 0;

   Enchantment[81].Name := 'Restring Broken Torc';
   Enchantment[81].Cost := 500;
   Enchantment[81].Note := ' ';
   Enchantment[81].Weeks := 1;
   Enchantment[81].STday := 20;
   Enchantment[81].CostWeek := 40;
   Enchantment[81].Notes1 := 'must start with a snake''s backbone';
   Enchantment[81].Notes2 := '';
   Enchantment[81].Notes3 := '';
   Enchantment[81].Notes4 := '';
   Enchantment[81].Notes5 := '';
   Enchantment[81].IQ := 8;
   Enchantment[81].D := 0;
   Enchantment[81].Plus := 0;

   Enchantment[82].Name := 'Limiting Spell';
   Enchantment[82].Cost := 1000;
   Enchantment[82].Note := ' ';
   Enchantment[82].Weeks := 2;
   Enchantment[82].STday := 25;
   Enchantment[82].CostWeek := 35;
   Enchantment[82].Notes1 := 'Immune to doubling rule';
   Enchantment[82].Notes2 := '';
   Enchantment[82].Notes3 := '';
   Enchantment[82].Notes4 := '';
   Enchantment[82].Notes5 := '';
   Enchantment[82].IQ := 8;
   Enchantment[82].D := 0;
   Enchantment[82].Plus := 0;

   Enchantment[83].Name := 'Expunge Spell';
   Enchantment[83].Cost := 2000;
   Enchantment[83].Note := ' ';
   Enchantment[83].Weeks := 3;
   Enchantment[83].STday := 125;
   Enchantment[83].CostWeek := 0;
   Enchantment[83].Notes1 := 'Immune to doubling rule';
   Enchantment[83].Notes2 := '';
   Enchantment[83].Notes3 := '';
   Enchantment[83].Notes4 := '';
   Enchantment[83].Notes5 := '';
   Enchantment[83].IQ := 8;
   Enchantment[83].D := 0;
   Enchantment[83].Plus := 0;

   Enchantment[84].Name := 'Staff of Power';
   Enchantment[84].Cost := 0;
   Enchantment[84].Note := 'U';
   Enchantment[84].Weeks := 4;
   Enchantment[84].STday := 10;
   Enchantment[84].CostWeek := 0;
   Enchantment[84].Notes1 := 'Immunity to drop weapon';
   Enchantment[84].Notes2 := 'Immunity to break weapon';
   Enchantment[84].Notes3 := '';
   Enchantment[84].Notes4 := '';
   Enchantment[84].Notes5 := '';
   Enchantment[84].IQ := 8;
   Enchantment[84].D := 0;
   Enchantment[84].Plus := 0;

   Enchantment[85].Name := 'Iron Flesh';
   Enchantment[85].Cost := 16000;
   Enchantment[85].Note := 'D';
   Enchantment[85].Weeks := 10;
   Enchantment[85].STday := 250;
   Enchantment[85].CostWeek := 366;
   Enchantment[85].Notes1 := '1/20 of the hide of a 14-hex dragon ($1600)';
   Enchantment[85].Notes2 := '';
   Enchantment[85].Notes3 := '';
   Enchantment[85].Notes4 := '';
   Enchantment[85].Notes5 := '';
   Enchantment[85].IQ := 8;
   Enchantment[85].D := 0;
   Enchantment[85].Plus := 0;

   Enchantment[86].Name := 'Teleport';
   Enchantment[86].Cost := 15000;
   Enchantment[86].Note := 'D';
   Enchantment[86].Weeks := 10;
   Enchantment[86].STday := 400;
   Enchantment[86].CostWeek := 25;
   Enchantment[86].Notes1 := '';
   Enchantment[86].Notes2 := '';
   Enchantment[86].Notes3 := '';
   Enchantment[86].Notes4 := '';
   Enchantment[86].Notes5 := '';
   Enchantment[86].IQ := 8;
   Enchantment[86].D := 0;
   Enchantment[86].Plus := 0;

   Enchantment[87].Name := 'Giant Rope';
   Enchantment[87].Cost := 2000;
   Enchantment[87].Note := ' ';
   Enchantment[87].Weeks := 1;
   Enchantment[87].STday := 275;
   Enchantment[87].CostWeek := 960;
   Enchantment[87].Notes1 := '12 doses DX- potion ($80)';
   Enchantment[87].Notes2 := '';
   Enchantment[87].Notes3 := '';
   Enchantment[87].Notes4 := '';
   Enchantment[87].Notes5 := '';
   Enchantment[87].IQ := 8;
   Enchantment[87].D := 0;
   Enchantment[87].Plus := 0;

   Enchantment[88].Name := 'Astral Projection';
   Enchantment[88].Cost := 20000;
   Enchantment[88].Note := ' ';
   Enchantment[88].Weeks := 6;
   Enchantment[88].STday := 175;
   Enchantment[88].CostWeek := 2200;
   Enchantment[88].Notes1 := '1 dose Flight potion ($1200)';
   Enchantment[88].Notes2 := '2 doses Telekinesis potion ($500)';
   Enchantment[88].Notes3 := '';
   Enchantment[88].Notes4 := '';
   Enchantment[88].Notes5 := '';
   Enchantment[88].IQ := 8;
   Enchantment[88].D := 0;
   Enchantment[88].Plus := 0;

   Enchantment[89].Name := 'Hammertouch';
   Enchantment[89].Cost := 5000;
   Enchantment[89].Note := 'N';
   Enchantment[89].Weeks := 6;
   Enchantment[89].STday := 75;
   Enchantment[89].CostWeek := 100;
   Enchantment[89].Notes1 := '1 dose Gunpowder ($100)';
   Enchantment[89].Notes2 := '';
   Enchantment[89].Notes3 := '';
   Enchantment[89].Notes4 := '';
   Enchantment[89].Notes5 := '';
   Enchantment[89].IQ := 8;
   Enchantment[89].D := 0;
   Enchantment[89].Plus := 0;

   Enchantment[90].Name := 'Unnoticeability';
   Enchantment[90].Cost := 5000;
   Enchantment[90].Note := ' ';
   Enchantment[90].Weeks := 2;
   Enchantment[90].STday := 200;
   Enchantment[90].CostWeek := 1540;
   Enchantment[90].Notes1 := '1 dose Telepathy ($1500), $40 ci';
   Enchantment[90].Notes2 := '';
   Enchantment[90].Notes3 := '';
   Enchantment[90].Notes4 := '';
   Enchantment[90].Notes5 := '';
   Enchantment[90].IQ := 8;
   Enchantment[90].D := 0;
   Enchantment[90].Plus := 0;

   Enchantment[91].Name := 'Long-Distance Telepathy';
   Enchantment[91].Cost := 20000;
   Enchantment[91].Note := ' ';
   Enchantment[91].Weeks := 5;
   Enchantment[91].STday := 125;
   Enchantment[91].CostWeek := 3000;
   Enchantment[91].Notes1 := '2 doses Telepathy ($1500)';
   Enchantment[91].Notes2 := '';
   Enchantment[91].Notes3 := '';
   Enchantment[91].Notes4 := '';
   Enchantment[91].Notes5 := '';
   Enchantment[91].IQ := 8;
   Enchantment[91].D := 0;
   Enchantment[91].Plus := 0;

   Enchantment[92].Name := 'Insubstantiality';
   Enchantment[92].Cost := 21000;
   Enchantment[92].Note := ' ';
   Enchantment[92].Weeks := 5;
   Enchantment[92].STday := 125;
   Enchantment[92].CostWeek := 3200;
   Enchantment[92].Notes1 := '1 dose Invisibility ($1500)';
   Enchantment[92].Notes2 := '1 dose Flight ($1200)';
   Enchantment[92].Notes3 := '1 dose Telekenisis ($500)';
   Enchantment[92].Notes4 := '';
   Enchantment[92].Notes5 := '';
   Enchantment[92].IQ := 8;
   Enchantment[92].D := 0;
   Enchantment[92].Plus := 0;

   Enchantment[93].Name := 'Cleansing';
   Enchantment[93].Cost := 50000;
   Enchantment[93].Note := 'D';
   Enchantment[93].Weeks := 10;
   Enchantment[93].STday := 75;
   Enchantment[93].CostWeek := 3770;
   Enchantment[93].Notes1 := '1 dose Universal Antidote';
   Enchantment[93].Notes2 := '1 dose Pyrotic';
   Enchantment[93].Notes3 := '1 dose Simple, & Plant poison';
   Enchantment[93].Notes4 := '1 dose Insect poison';
   Enchantment[93].Notes5 := '2 doses Healing';
   Enchantment[93].IQ := 8;
   Enchantment[93].D := 0;
   Enchantment[93].Plus := 0;

   Enchantment[94].Name := 'Spellsniffer';
   Enchantment[94].Cost := 20000;
   Enchantment[94].Note := 'D';
   Enchantment[94].Weeks := 10;
   Enchantment[94].STday := 125;
   Enchantment[94].CostWeek := 1020;
   Enchantment[94].Notes1 := '1 dose IQ+ potion ($600), $420 ci';
   Enchantment[94].Notes2 := '';
   Enchantment[94].Notes3 := '';
   Enchantment[94].Notes4 := '';
   Enchantment[94].Notes5 := '';
   Enchantment[94].IQ := 8;
   Enchantment[94].D := 0;
   Enchantment[94].Plus := 0;

   Enchantment[95].Name := 'Little Death';
   Enchantment[95].Cost := 10000;
   Enchantment[95].Note := ' ';
   Enchantment[95].Weeks := 5;
   Enchantment[95].STday := 75;
   Enchantment[95].CostWeek := 1200;
   Enchantment[95].Notes1 := '8 doses Sleep potion ($150)';
   Enchantment[95].Notes2 := '';
   Enchantment[95].Notes3 := '';
   Enchantment[95].Notes4 := '';
   Enchantment[95].Notes5 := '';
   Enchantment[95].IQ := 8;
   Enchantment[95].D := 0;
   Enchantment[95].Plus := 0;

   Enchantment[96].Name := 'Geas';
   Enchantment[96].Cost := 5000;
   Enchantment[96].Note := ' ';
   Enchantment[96].Weeks := 6;
   Enchantment[96].STday := 100;
   Enchantment[96].CostWeek := 150;
   Enchantment[96].Notes1 := '1 dose Fear potion ($150)';
   Enchantment[96].Notes2 := '';
   Enchantment[96].Notes3 := '';
   Enchantment[96].Notes4 := '';
   Enchantment[96].Notes5 := '';
   Enchantment[96].IQ := 8;
   Enchantment[96].D := 0;
   Enchantment[96].Plus := 0;

   Enchantment[97].Name := 'Shapeshifting';
   Enchantment[97].Cost := 10000;
   Enchantment[97].Note := 'D';
   Enchantment[97].Weeks := 10;
   Enchantment[97].STday := 175;
   Enchantment[97].CostWeek := 35;
   Enchantment[97].Notes1 := '';
   Enchantment[97].Notes2 := '';
   Enchantment[97].Notes3 := '';
   Enchantment[97].Notes4 := '';
   Enchantment[97].Notes5 := '';
   Enchantment[97].IQ := 8;
   Enchantment[97].D := 0;
   Enchantment[97].Plus := 0;

   Enchantment[98].Name := 'Wizard''s Wrath';
   Enchantment[98].Cost := 40000;
   Enchantment[98].Note := 'F';
   Enchantment[98].Weeks := 25;
   Enchantment[98].STday := 375;
   Enchantment[98].CostWeek := 0;
   Enchantment[98].Notes1 := '';
   Enchantment[98].Notes2 := '';
   Enchantment[98].Notes3 := '';
   Enchantment[98].Notes4 := '';
   Enchantment[98].Notes5 := '';
   Enchantment[98].IQ := 8;
   Enchantment[98].D := 0;
   Enchantment[98].Plus := 0;

   Enchantment[99].Name := 'Long-Distance Teleport';
   Enchantment[99].Cost := 50000;
   Enchantment[99].Note := 'F';
   Enchantment[99].Weeks := 25;
   Enchantment[99].STday := 500;
   Enchantment[99].CostWeek := 65;
   Enchantment[99].Notes1 := '';
   Enchantment[99].Notes2 := '';
   Enchantment[99].Notes3 := '';
   Enchantment[99].Notes4 := '';
   Enchantment[99].Notes5 := '';
   Enchantment[99].IQ := 8;
   Enchantment[99].D := 0;
   Enchantment[99].Plus := 0;

   Enchantment[100].Name := 'Word of Command';
   Enchantment[100].Cost := 20000;
   Enchantment[100].Note := 'F';
   Enchantment[100].Weeks := 25;
   Enchantment[100].STday := 50;
   Enchantment[100].CostWeek := 25;
   Enchantment[100].Notes1 := '';
   Enchantment[100].Notes2 := '';
   Enchantment[100].Notes3 := '';
   Enchantment[100].Notes4 := '';
   Enchantment[100].Notes5 := '';
   Enchantment[100].IQ := 8;
   Enchantment[100].D := 0;
   Enchantment[100].Plus := 0;

   Enchantment[101].Name := 'Crystal Ball';
   Enchantment[101].Cost := 50000;
   Enchantment[101].Note := 'G';
   Enchantment[101].Weeks := 40;
   Enchantment[101].STday := 175;
   Enchantment[101].CostWeek := 0;
   Enchantment[101].Notes1 := 'must start with a $250 crystal sphere';
   Enchantment[101].Notes2 := '';
   Enchantment[101].Notes3 := '';
   Enchantment[101].Notes4 := '';
   Enchantment[101].Notes5 := '';
   Enchantment[101].IQ := 8;
   Enchantment[101].D := 0;
   Enchantment[101].Plus := 0;

   Enchantment[102].Name := 'Flamming Weapon';
   Enchantment[102].Cost := 10000;
   Enchantment[102].Note := 'C';
   Enchantment[102].Weeks := 5;
   Enchantment[102].STday := 50;
   Enchantment[102].CostWeek := 1270;
   Enchantment[102].Notes1 := '1 dose Fireproofing ($250)';
   Enchantment[102].Notes2 := '2 doses Pyrotic ($500), $20 ci';
   Enchantment[102].Notes3 := '';
   Enchantment[102].Notes4 := '';
   Enchantment[102].Notes5 := '';
   Enchantment[102].IQ := 8;
   Enchantment[102].D := 0;
   Enchantment[102].Plus := 0;

   Enchantment[103].Name := 'Flamming Missile Weapon';
   Enchantment[103].Cost := 20000;
   Enchantment[103].Note := ' ';
   Enchantment[103].Weeks := 10;
   Enchantment[103].STday := 350;
   Enchantment[103].CostWeek := 2540;
   Enchantment[103].Notes1 := '2 doses Fireproofing ($250)';
   Enchantment[103].Notes2 := '4 doses Pyrotic ($500), $40 ci';
   Enchantment[103].Notes3 := '';
   Enchantment[103].Notes4 := '';
   Enchantment[103].Notes5 := '';
   Enchantment[103].IQ := 8;
   Enchantment[103].D := 0;
   Enchantment[103].Plus := 0;

   Enchantment[104].Name := 'Wards';
   Enchantment[104].Cost := 6000;
   Enchantment[104].Note := ' ';
   Enchantment[104].Weeks := 5;
   Enchantment[104].STday := 250;
   Enchantment[104].CostWeek := 125;
   Enchantment[104].Notes1 := 'Each of the five wards must be made';
   Enchantment[104].Notes2 := ' from a $125 gem or carving.';
   Enchantment[104].Notes3 := '';
   Enchantment[104].Notes4 := '';
   Enchantment[104].Notes5 := '';
   Enchantment[104].IQ := 8;
   Enchantment[104].D := 0;
   Enchantment[104].Plus := 0;

   Enchantment[105].Name := 'ST battery (1 point)';
   Enchantment[105].Cost := 1000;
   Enchantment[105].Note := 'B';
   Enchantment[105].Weeks := 1;
   Enchantment[105].STday := 40;
   Enchantment[105].CostWeek := 380;
   Enchantment[105].Notes1 := '2 doses Healing ($150), $80 ci';
   Enchantment[105].Notes2 := 'must start with a gem worth at least $1000';
   Enchantment[105].Notes3 := '';
   Enchantment[105].Notes4 := '';
   Enchantment[105].Notes5 := '';
   Enchantment[105].IQ := 8;
   Enchantment[105].D := 0;
   Enchantment[105].Plus := 0;

   Enchantment[106].Name := 'ST battery (5 points)';
   Enchantment[106].Cost := 5000;
   Enchantment[106].Note := 'B';
   Enchantment[106].Weeks := 2;
   Enchantment[106].STday := 50;
   Enchantment[106].CostWeek := 1800;
   Enchantment[106].Notes1 := '12 doses Healing ($150), $80 ci';
   Enchantment[106].Notes2 := 'Must start with a gem worth at least $1000';
   Enchantment[106].Notes3 := '';
   Enchantment[106].Notes4 := '';
   Enchantment[106].Notes5 := '';
   Enchantment[106].IQ := 8;
   Enchantment[106].D := 0;
   Enchantment[106].Plus := 0;

   Enchantment[107].Name := 'Charm (+1)';
   Enchantment[107].Cost := 30000;
   Enchantment[107].Note := 'D';
   Enchantment[107].Weeks := 10;
   Enchantment[107].STday := 245;
   Enchantment[107].CostWeek := 1650;
   Enchantment[107].Notes1 := '1 dose ST+ potion';
   Enchantment[107].Notes2 := '1 dose DX+ potion';
   Enchantment[107].Notes3 := '1 dose IQ+ potion';
   Enchantment[107].Notes4 := '';
   Enchantment[107].Notes5 := '';
   Enchantment[107].IQ := 8;
   Enchantment[107].D := 0;
   Enchantment[107].Plus := 0;

   Enchantment[108].Name := 'Charm (+2)';
   Enchantment[108].Cost := 100000;
   Enchantment[108].Note := 'F';
   Enchantment[108].Weeks := 25;
   Enchantment[108].STday := 225;
   Enchantment[108].CostWeek := 2150;
   Enchantment[108].Notes1 := '1 dose ST+ potion';
   Enchantment[108].Notes2 := '1 dose DX+ potion';
   Enchantment[108].Notes3 := '1 dose IQ+ potion';
   Enchantment[108].Notes4 := '1 dose Telekinesis';
   Enchantment[108].Notes5 := '';
   Enchantment[108].IQ := 8;
   Enchantment[108].D := 0;
   Enchantment[108].Plus := 0;

   Enchantment[109].Name := 'Increase one attribute (+1)';
   Enchantment[109].Cost := 2000;
   Enchantment[109].Note := 'A';
   Enchantment[109].Weeks := 3;
   Enchantment[109].STday := 75;
   Enchantment[109].CostWeek := 0;
   Enchantment[109].Notes1 := '';
   Enchantment[109].Notes2 := '';
   Enchantment[109].Notes3 := '';
   Enchantment[109].Notes4 := '';
   Enchantment[109].Notes5 := '';
   Enchantment[109].IQ := 8;
   Enchantment[109].D := 0;
   Enchantment[109].Plus := 1;

   Enchantment[110].Name := 'Magic Fist rod(1 point)';
   Enchantment[110].Cost := 1000;
   Enchantment[110].Note := 'B';
   Enchantment[110].Weeks := 1;
   Enchantment[110].STday := 225;
   Enchantment[110].CostWeek := 30;
   Enchantment[110].Notes1 := '';
   Enchantment[110].Notes2 := '';
   Enchantment[110].Notes3 := '';
   Enchantment[110].Notes4 := '';
   Enchantment[110].Notes5 := '';
   Enchantment[110].IQ := 8;
   Enchantment[110].D := 0;
   Enchantment[110].Plus := 0;

   Enchantment[111].Name := 'Fireball rod(1 point)';
   Enchantment[111].Cost := 2000;
   Enchantment[111].Note := 'B';
   Enchantment[111].Weeks := 1;
   Enchantment[111].STday := 225;
   Enchantment[111].CostWeek := 1000;
   Enchantment[111].Notes1 := '2 doses Pyrotic potion ($500)';
   Enchantment[111].Notes2 := '';
   Enchantment[111].Notes3 := '';
   Enchantment[111].Notes4 := '';
   Enchantment[111].Notes5 := '';
   Enchantment[111].IQ := 8;
   Enchantment[111].D := 0;
   Enchantment[111].Plus := 0;

   Enchantment[112].Name := 'Lightning-bolt rod(1 point)';
   Enchantment[112].Cost := 5000;
   Enchantment[112].Note := 'B';
   Enchantment[112].Weeks := 4;
   Enchantment[112].STday := 250;
   Enchantment[112].CostWeek := 190;
   Enchantment[112].Notes1 := '1 live silver slime ($150)';
   Enchantment[112].Notes2 := '';
   Enchantment[112].Notes3 := '';
   Enchantment[112].Notes4 := '';
   Enchantment[112].Notes5 := '';
   Enchantment[112].IQ := 8;
   Enchantment[112].D := 0;
   Enchantment[112].Plus := 0;

   Enchantment[113].Name := 'Wizard''s Wrath rod(1 point)';
   Enchantment[113].Cost := 10000;
   Enchantment[113].Note := 'B';
   Enchantment[113].Weeks := 6;
   Enchantment[113].STday := 450;
   Enchantment[113].CostWeek := 125;
   Enchantment[113].Notes1 := '';
   Enchantment[113].Notes2 := '';
   Enchantment[113].Notes3 := '';
   Enchantment[113].Notes4 := '';
   Enchantment[113].Notes5 := '';
   Enchantment[113].IQ := 8;
   Enchantment[113].D := 0;
   Enchantment[113].Plus := 0;

   Enchantment[114].Name := 'Unicorn Horn';
   Enchantment[114].Cost := 6500;
   Enchantment[114].Note := ' ';
   Enchantment[114].Weeks := 2;
   Enchantment[114].STday := 75;
   Enchantment[114].CostWeek := 2520;
   Enchantment[114].Notes1 := '1 dose Universal Antidote, $20 ci.';
   Enchantment[114].Notes2 := '';
   Enchantment[114].Notes3 := '';
   Enchantment[114].Notes4 := '';
   Enchantment[114].Notes5 := '';
   Enchantment[114].IQ := 8;
   Enchantment[114].D := 0;
   Enchantment[114].Plus := 0;

   Enchantment[115].Name := 'Gate Key';
   Enchantment[115].Cost := 10000;
   Enchantment[115].Note := ' ';
   Enchantment[115].Weeks := 4;
   Enchantment[115].STday := 170;
   Enchantment[115].CostWeek := 1500;
   Enchantment[115].Notes1 := '1 dose Telpathy potion ($1500)';
   Enchantment[115].Notes2 := 'must start with $100 silver key';
   Enchantment[115].Notes3 := '';
   Enchantment[115].Notes4 := '';
   Enchantment[115].Notes5 := '';
   Enchantment[115].IQ := 8;
   Enchantment[115].D := 0;
   Enchantment[115].Plus := 0;

   Enchantment[116].Name := 'Gate Lock';
   Enchantment[116].Cost := 5000;
   Enchantment[116].Note := ' ';
   Enchantment[116].Weeks := 4;
   Enchantment[116].STday := 75;
   Enchantment[116].CostWeek := 500;
   Enchantment[116].Notes1 := '1 dose Telekinesis potion ($500)';
   Enchantment[116].Notes2 := 'Must start with $100 silver key';
   Enchantment[116].Notes3 := '';
   Enchantment[116].Notes4 := '';
   Enchantment[116].Notes5 := '';
   Enchantment[116].IQ := 8;
   Enchantment[116].D := 0;
   Enchantment[116].Plus := 0;

   Enchantment[117].Name := 'Bound Small Demon';
   Enchantment[117].Cost := 20000;
   Enchantment[117].Note := 'E';
   Enchantment[117].Weeks := 18;
   Enchantment[117].STday := 200;
   Enchantment[117].CostWeek := 0;
   Enchantment[117].Notes1 := 'Requires one large ($1000+) gem or statue.';
   Enchantment[117].Notes2 := 'Wizard must have IQ: 24+';
   Enchantment[117].Notes3 := '';
   Enchantment[117].Notes4 := '';
   Enchantment[117].Notes5 := '';
   Enchantment[117].IQ := 8;
   Enchantment[117].D := 0;
   Enchantment[117].Plus := 0;

   Enchantment[118].Name := 'Amulet of Skepticism';
   Enchantment[118].Cost := 4000;
   Enchantment[118].Note := ' ';
   Enchantment[118].Weeks := 5;
   Enchantment[118].STday := 100;
   Enchantment[118].CostWeek := 55;
   Enchantment[118].Notes1 := '1 well-rotted zombie''s eye ($30), $25 ci.';
   Enchantment[118].Notes2 := '';
   Enchantment[118].Notes3 := '';
   Enchantment[118].Notes4 := '';
   Enchantment[118].Notes5 := '';
   Enchantment[118].IQ := 8;
   Enchantment[118].D := 0;
   Enchantment[118].Plus := 0;

   Enchantment[119].Name := 'Hand of Glory';
   Enchantment[119].Cost := 4000;
   Enchantment[119].Note := ' ';
   Enchantment[119].Weeks := 4;
   Enchantment[119].STday := 75;
   Enchantment[119].CostWeek := 35;
   Enchantment[119].Notes1 := '$35 ci.';
   Enchantment[119].Notes2 := 'must start with hand.';
   Enchantment[119].Notes3 := '';
   Enchantment[119].Notes4 := '';
   Enchantment[119].Notes5 := '';
   Enchantment[119].IQ := 8;
   Enchantment[119].D := 0;
   Enchantment[119].Plus := 0;

   Enchantment[120].Name := 'Lens of Translation';
   Enchantment[120].Cost := 6000;
   Enchantment[120].Note := 'B';
   Enchantment[120].Weeks := 6;
   Enchantment[120].STday := 200;
   Enchantment[120].CostWeek := 10;
   Enchantment[120].Notes1 := 'must start with hand ($200)';
   Enchantment[120].Notes2 := '';
   Enchantment[120].Notes3 := '';
   Enchantment[120].Notes4 := '';
   Enchantment[120].Notes5 := '';
   Enchantment[120].IQ := 8;
   Enchantment[120].D := 0;
   Enchantment[120].Plus := 0;

   Enchantment[121].Name := 'Adding 1 language to lens';
   Enchantment[121].Cost := 80000;
   Enchantment[121].Note := 'B';
   Enchantment[121].Weeks := 6;
   Enchantment[121].STday := 350;
   Enchantment[121].CostWeek := 10;
   Enchantment[121].Notes1 := '';
   Enchantment[121].Notes2 := '';
   Enchantment[121].Notes3 := '';
   Enchantment[121].Notes4 := '';
   Enchantment[121].Notes5 := '';
   Enchantment[121].IQ := 8;
   Enchantment[121].D := 0;
   Enchantment[121].Plus := 0;

   Enchantment[122].Name := 'Zombie Ring';
   Enchantment[122].Cost := 3000;
   Enchantment[122].Note := ' ';
   Enchantment[122].Weeks := 4;
   Enchantment[122].STday := 100;
   Enchantment[122].CostWeek := 10;
   Enchantment[122].Notes1 := '';
   Enchantment[122].Notes2 := '';
   Enchantment[122].Notes3 := '';
   Enchantment[122].Notes4 := '';
   Enchantment[122].Notes5 := '';
   Enchantment[122].IQ := 8;
   Enchantment[122].D := 0;
   Enchantment[122].Plus := 0;

   Enchantment[123].Name := 'Proxy';
   Enchantment[123].Cost := 0;
   Enchantment[123].Note := 'U';
   Enchantment[123].Weeks := 20;
   Enchantment[123].STday := 25;
   Enchantment[123].CostWeek := 1500;
   Enchantment[123].Notes1 := '1 dose Telepathy ($1500)';
   Enchantment[123].Notes2 := '';
   Enchantment[123].Notes3 := '';
   Enchantment[123].Notes4 := '';
   Enchantment[123].Notes5 := '';
   Enchantment[123].IQ := 8;
   Enchantment[123].D := 0;
   Enchantment[123].Plus := 0;

   Enchantment[124].Name := 'Weapon/Armor +1';
   Enchantment[124].Cost := 1000;
   Enchantment[124].Note := 'A';
   Enchantment[124].Weeks := 2;
   Enchantment[124].STday := 75;
   Enchantment[124].CostWeek := 40;
   Enchantment[124].Notes1 := '';
   Enchantment[124].Notes2 := '';
   Enchantment[124].Notes3 := '';
   Enchantment[124].Notes4 := '';
   Enchantment[124].Notes5 := '';
   Enchantment[124].IQ := 8;
   Enchantment[124].D := 0;
   Enchantment[124].Plus := +1;

   for count := 0 to 124 do
   begin
      Enchantment[count].Count := count;
      Enchantment[count].BookLength := round(5* Enchantment[count].Weeks);
      Enchantment[count].BookCost := 20 * Enchantment[count].BookLength;
   end;

   for count := 1 to 255 do
   begin
      Item[count].Name := '';
      Item[count].Enchant1.Name := '';
      Item[count].Enchant2.Name := '';
      Item[count].Enchant3.Name := '';
      Item[count].Enchant4.Name := '';
      Item[count].Enchant5.Name := '';
   end;

   RichEdit1.Clear;
   for count := 0 to 124 do
   begin
      Subj := '';
      Subj := Subj +(Enchantment[count].Name);
      Subj := Subj +StringOfChar(' ', (34
                          -length(Enchantment[count].Name)
                          -length(IntToStr(Enchantment[count].Cost) )));
      if Enchantment[count].Cost = 0 then
         Subj := Subj + '-'
      else
         Subj := Subj + (IntToStr(Enchantment[count].Cost));
      Subj := Subj + StringOfChar(' ', (5
                          -length(Enchantment[count].Note) ));
      Subj := Subj + (Enchantment[count].Note);
      Subj := Subj + StringOfChar(' ', (6
                          -length(FloatToStr(Enchantment[count].Weeks)) ));
      if Enchantment[count].Weeks = 0 then
         Subj := Subj + '-'
      else
         Subj := Subj + (FloatToStr(Enchantment[count].Weeks));
      Subj := Subj + StringOfChar(' ', (7
                          -length(IntToStr(Enchantment[count].STday)) ));
      Subj := Subj + (IntToStr(Enchantment[count].STday));
      Subj := Subj + StringOfChar(' ', (7
                          -length(IntToSTr(Enchantment[count].CostWeek)) ));
      if Enchantment[count].CostWeek = 0 then
         Subj := Subj + '-'
      else
         Subj := Subj + (IntToSTr(Enchantment[count].CostWeek));
      Subj := Subj + StringOfChar(' ', (4));
      Subj := Subj + (Enchantment[count].Notes1);
      Subj := Subj + StringOfChar(' ', (52-length(Enchantment[count].Notes1)));
      RichEdit1.Lines.add(Subj);
      if Enchantment[count].Notes2 <> '' then
      begin
         Subj := StringOfChar(' ', (63));
         Subj := Subj + (Enchantment[count].Notes2);
         Subj := Subj + StringOfChar(' ', (52
                 -length(Enchantment[count].Notes2)));
         RichEdit1.Lines.add(Subj);
      end;
      if Enchantment[count].Notes3 <> '' then
      begin
         Subj := StringOfChar(' ', (63));
         Subj := Subj + (Enchantment[count].Notes3);
         Subj := Subj + StringOfChar(' ', (52
                 -length(Enchantment[count].Notes3)));
         RichEdit1.Lines.add(Subj);
      end;
      if Enchantment[count].Notes4 <> '' then
      begin
         Subj := StringOfChar(' ', (63));
         Subj := Subj + (Enchantment[count].Notes4);
         Subj := Subj + StringOfChar(' ', (52
                 -length(Enchantment[count].Notes4)));
         RichEdit1.Lines.add(Subj);
      end;
      if Enchantment[count].Notes5 <> '' then
      begin
         Subj := StringOfChar(' ', (63));
         Subj := Subj + (Enchantment[count].Notes5);
         Subj := Subj + StringOfChar(' ', (52
                 -length(Enchantment[count].Notes5)));
         RichEdit1.Lines.add(Subj);
      end;
      RichEdit1.SelLength := 0;
      RichEdit1.SelStart := 0;
   end;



   for count := 0 to 126 do
   begin
      Subj := '';
      Subj := Subj +(Enchantment[count].Name);
      Subj := Subj +StringOfChar(' ', (34
                          -length(Enchantment[count].Name)
                          -length(IntToStr(Enchantment[count].Cost) )));
      if Enchantment[count].Cost = 0 then
         Subj := Subj + '-'
      else
         Subj := Subj + (IntToStr(Enchantment[count].Cost));
      Subj := Subj + StringOfChar(' ', (5
                          -length(Enchantment[count].Note) ));
      Subj := Subj + (Enchantment[count].Note);
      Subj := Subj + StringOfChar(' ', (6
                          -length(FloatToStr(Enchantment[count].Weeks)) ));
      if Enchantment[count].Weeks = 0 then
         Subj := Subj + '-'
      else
         Subj := Subj + (FloatToStr(Enchantment[count].Weeks));
      Subj := Subj + StringOfChar(' ', (7
                          -length(IntToStr(Enchantment[count].STday)) ));
      Subj := Subj + (IntToStr(Enchantment[count].STday));
      Subj := Subj + StringOfChar(' ', (7
                          -length(IntToSTr(Enchantment[count].CostWeek)) ));
      if Enchantment[count].CostWeek = 0 then
         Subj := Subj + '-'
      else
         Subj := Subj + (IntToSTr(Enchantment[count].CostWeek));
{      Subj := Subj + StringOfChar(' ', (4));
      Subj := Subj + (Enchantment[count].Notes1);
      if Enchantment[count].Notes2 <> '' then
      begin
         Subj := Subj + ', ';
         Subj := Subj + (Enchantment[count].Notes2);
      end;
      if Enchantment[count].Notes3 <> '' then
      begin
         Subj := Subj + ', ';
         Subj := Subj + (Enchantment[count].Notes3);
      end;
      if Enchantment[count].Notes4 <> '' then
      begin
         Subj := Subj + ', ';
         Subj := Subj + (Enchantment[count].Notes4);
      end;
      if Enchantment[count].Notes5 <> '' then
      begin
         Subj := Subj + ', ';
         Subj := Subj + (Enchantment[count].Notes5);
      end;                      }
      if count = 1 then
         ComboBox1.Text := Subj;
      ComboBox1.Items.Add(Subj);
   end;

end;

procedure TForm1.ComboBox1Change(Sender: TObject);
begin
   ComboBox1.Tag := ComboBox1.ItemIndex;
   Form1.Caption := IntToStr(ComboBox1.Tag);
   ListBox1.Clear;
   ListBox1.Items.Add(Enchantment[ComboBox1.Tag].Notes1);
   ListBox1.Items.Add(Enchantment[ComboBox1.Tag].Notes2);
   ListBox1.Items.Add(Enchantment[ComboBox1.Tag].Notes3);
   ListBox1.Items.Add(Enchantment[ComboBox1.Tag].Notes4);
   ListBox1.Items.Add(Enchantment[ComboBox1.Tag].Notes5);
end;

procedure TForm1.RichEdit1MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
var
  m,n, count, match, number: integer;
  subj: string;
begin
   ListBox1.Clear;
   n := RichEdit1.SelStart;
//   ListBox1.Items.Add(IntToStr(n));
   m := 0;
   if n > 0 then
      m := (n-((n div 117) * 117));
   n := n-m;
//   ListBox1.Items.Add(IntToStr(n));
   RichEdit1.SelStart := (n);
   RichEdit1.SelLength := 28;
//   ListBox1.Items.Add(RichEdit1.SelText);
   subj := '';
   match := -1;
   for count := 0 to 126 do
   begin
      Subj := Enchantment[count].Name;
      Subj := Subj + StringOfChar(' ', (28-Length(Enchantment[count].Name)));
      if subj = RichEdit1.SelText then
         match := count;
   end;
   if Match > -1 then
   begin
      number := Rectify_enchantment_list(1,match);

      if number = 1 then
      begin
        Item[1].Enchant1.name := Enchantment[match].name;
        Item[1].Enchant1.cost := Enchantment[match].cost;
        Item[1].Enchant1.note := Enchantment[match].note;
        Item[1].Enchant1.weeks := Enchantment[match].weeks;
        Item[1].Enchant1.STday := Enchantment[match].STday;
        Item[1].Enchant1.CostWeek := Enchantment[match].CostWeek;
        Item[1].Enchant1.Notes1 := Enchantment[match].Notes1;
        Item[1].Enchant1.Notes2 := Enchantment[match].Notes2;
        Item[1].Enchant1.Notes3 := Enchantment[match].Notes3;
        Item[1].Enchant1.Notes4 := Enchantment[match].Notes4;
        Item[1].Enchant1.Notes5 := Enchantment[match].Notes5;
        Item[1].Enchant1.count := Enchantment[match].count;
        Item[1].Enchant1.IQ := Enchantment[match].IQ;
        Item[1].Enchant1.D := Enchantment[match].D;
        Item[1].Enchant1.Plus := Enchantment[match].Plus;
        Item[1].Enchant1.BookLength := Enchantment[match].BookLength;
        Item[1].Enchant1.BookCost := Enchantment[match].BookCost;
      end;

      if number = 2 then
      begin
        Item[1].Enchant2.Name := Enchantment[match].Name;
        Item[1].Enchant2.cost := Enchantment[match].cost;
        Item[1].Enchant2.note := Enchantment[match].note;
        Item[1].Enchant2.weeks := Enchantment[match].weeks;
        Item[1].Enchant2.STday := Enchantment[match].STday;
        Item[1].Enchant2.CostWeek := Enchantment[match].CostWeek;
        Item[1].Enchant2.Notes1 := Enchantment[match].Notes1;
        Item[1].Enchant2.Notes2 := Enchantment[match].Notes2;
        Item[1].Enchant2.Notes3 := Enchantment[match].Notes3;
        Item[1].Enchant2.Notes4 := Enchantment[match].Notes4;
        Item[1].Enchant2.Notes5 := Enchantment[match].Notes5;
        Item[1].Enchant2.count := Enchantment[match].count;
        Item[1].Enchant2.IQ := Enchantment[match].IQ;
        Item[1].Enchant2.D := Enchantment[match].D;
        Item[1].Enchant2.Plus := Enchantment[match].Plus;
        Item[1].Enchant2.BookLength := Enchantment[match].BookLength;
        Item[1].Enchant2.BookCost := Enchantment[match].BookCost;
      end;

      if number = 3 then
      begin
        Item[1].Enchant3.Name := Enchantment[match].Name;
        Item[1].Enchant3.cost := Enchantment[match].cost;
        Item[1].Enchant3.note := Enchantment[match].note;
        Item[1].Enchant3.weeks := Enchantment[match].weeks;
        Item[1].Enchant3.STday := Enchantment[match].STday;
        Item[1].Enchant3.CostWeek := Enchantment[match].CostWeek;
        Item[1].Enchant3.Notes1 := Enchantment[match].Notes1;
        Item[1].Enchant3.Notes2 := Enchantment[match].Notes2;
        Item[1].Enchant3.Notes3 := Enchantment[match].Notes3;
        Item[1].Enchant3.Notes4 := Enchantment[match].Notes4;
        Item[1].Enchant3.Notes5 := Enchantment[match].Notes5;
        Item[1].Enchant3.count := Enchantment[match].count;
        Item[1].Enchant3.IQ := Enchantment[match].IQ;
        Item[1].Enchant3.D := Enchantment[match].D;
        Item[1].Enchant3.Plus := Enchantment[match].Plus;
        Item[1].Enchant3.BookLength := Enchantment[match].BookLength;
        Item[1].Enchant3.BookCost := Enchantment[match].BookCost;
      end;

      if number = 4 then
      begin
        Item[1].Enchant4.Name := Enchantment[match].Name;
        Item[1].Enchant4.cost := Enchantment[match].cost;
        Item[1].Enchant4.note := Enchantment[match].note;
        Item[1].Enchant4.weeks := Enchantment[match].weeks;
        Item[1].Enchant4.STday := Enchantment[match].STday;
        Item[1].Enchant4.CostWeek := Enchantment[match].CostWeek;
        Item[1].Enchant4.Notes1 := Enchantment[match].Notes1;
        Item[1].Enchant4.Notes2 := Enchantment[match].Notes2;
        Item[1].Enchant4.Notes3 := Enchantment[match].Notes3;
        Item[1].Enchant4.Notes4 := Enchantment[match].Notes4;
        Item[1].Enchant4.Notes5 := Enchantment[match].Notes5;
        Item[1].Enchant4.count := Enchantment[match].count;
        Item[1].Enchant4.IQ := Enchantment[match].IQ;
        Item[1].Enchant4.D := Enchantment[match].D;
        Item[1].Enchant4.Plus := Enchantment[match].Plus;
        Item[1].Enchant4.BookLength := Enchantment[match].BookLength;
        Item[1].Enchant4.BookCost := Enchantment[match].BookCost;
      end;

      if number = 5 then
      begin
        Item[1].Enchant5.Name := Enchantment[match].Name;
        Item[1].Enchant5.cost := Enchantment[match].cost;
        Item[1].Enchant5.note := Enchantment[match].note;
        Item[1].Enchant5.weeks := Enchantment[match].weeks;
        Item[1].Enchant5.STday := Enchantment[match].STday;
        Item[1].Enchant5.CostWeek := Enchantment[match].CostWeek;
        Item[1].Enchant5.Notes1 := Enchantment[match].Notes1;
        Item[1].Enchant5.Notes2 := Enchantment[match].Notes2;
        Item[1].Enchant5.Notes3 := Enchantment[match].Notes3;
        Item[1].Enchant5.Notes4 := Enchantment[match].Notes4;
        Item[1].Enchant5.Notes5 := Enchantment[match].Notes5;
        Item[1].Enchant5.count := Enchantment[match].count;
        Item[1].Enchant5.IQ := Enchantment[match].IQ;
        Item[1].Enchant5.D := Enchantment[match].D;
        Item[1].Enchant5.Plus := Enchantment[match].Plus;
        Item[1].Enchant5.BookLength := Enchantment[match].BookLength;
        Item[1].Enchant5.BookCost := Enchantment[match].BookCost;
      end;

      Subj := '';
      if Item[1].Enchant1.Note = 'A' then
         Subj := ' '+IntToStr(Item[1].Enchant1.Plus);
      ListBox1.Items.Add(Item[1].Enchant1.Name+subj);

      Subj := '';
      if Item[1].Enchant2.Note = 'A' then
         Subj := ' '+IntToStr(Item[1].Enchant2.Plus);
      ListBox1.Items.Add(Item[1].Enchant2.Name+subj);

      Subj := '';
      if Item[1].Enchant3.Note = 'A' then
         Subj := ' '+IntToStr(Item[1].Enchant3.Plus);
      ListBox1.Items.Add(Item[1].Enchant3.Name+subj);

      Subj := '';
      if Item[1].Enchant4.Note = 'A' then
         Subj := ' '+IntToStr(Item[1].Enchant4.Plus);
      ListBox1.Items.Add(Item[1].Enchant4.Name+subj);

      Subj := '';
      if Item[1].Enchant5.Note = 'A' then
         Subj := ' '+IntToStr(Item[1].Enchant5.Plus);
      ListBox1.Items.Add(Item[1].Enchant5.Name+subj);
   end;
end;

end.
