unit TempSolP;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, Math;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    UpDown1: TUpDown;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    Label16: TLabel;
    Label17: TLabel;
    Label18: TLabel;
    Label19: TLabel;
    Label20: TLabel;
    Label21: TLabel;
    Label22: TLabel;
    Label23: TLabel;
    Label24: TLabel;
    Label25: TLabel;
    Label26: TLabel;
    Label27: TLabel;
    Label28: TLabel;
    Label29: TLabel;
    Label30: TLabel;
    Label31: TLabel;
    Label32: TLabel;
    Label33: TLabel;
    Label34: TLabel;
    Label35: TLabel;
    Label36: TLabel;
    Label37: TLabel;
    Label38: TLabel;
    Label39: TLabel;
    Label40: TLabel;
    Label41: TLabel;
    Label42: TLabel;
    Label43: TLabel;
    Label44: TLabel;
    procedure UpDown1Click(Sender: TObject; Button: TUDBtnType);
    procedure FormCreate(Sender: TObject);
  private
    Procedure Redisplay;
    Procedure ReCalculate;
    { Private declarations }
  public

    { Public declarations }
  end;

var
  Form1: TForm1;
    planet: array [1..10, 1..3] of Extended;
    AU_temp,
    Corona_temp,
    solar_radius,
    Photo_thickness,
    Corona_thickness: Extended;

implementation

{$R *.DFM}

Procedure TForm1.Redisplay;
begin
   //
   Label6.Caption := Format( '%0.2f', [planet[1,1]]);
   Label7.Caption := Format( '%0.3f', [planet[1,2]]);
   Label8.Caption := Format( '%0.3f', [planet[1,3]]);

   Label10.Caption := Format( '%0.2f', [planet[2,1]]);
   Label11.Caption := Format( '%0.3f', [planet[2,2]]);
   Label12.Caption := Format( '%0.3f', [planet[2,3]]);

   Label14.Caption := Format( '%0.2f', [planet[3,1]]);
   Label15.Caption := Format( '%0.3f', [planet[3,2]]);
   Label16.Caption := Format( '%0.3f', [planet[3,3]]);

   Label18.Caption := Format( '%0.2f', [planet[4,1]]);
   Label19.Caption := Format( '%0.3f', [planet[4,2]]);
   Label20.Caption := Format( '%0.3f', [planet[4,3]]);

   Label22.Caption := Format( '%0.2f', [planet[5,1]]);
   Label23.Caption := Format( '%0.3f', [planet[5,2]]);
   Label24.Caption := Format( '%0.3f', [planet[5,3]]);

   Label26.Caption := Format( '%0.2f', [planet[6,1]]);
   Label27.Caption := Format( '%0.3f', [planet[6,2]]);
   Label28.Caption := Format( '%0.3f', [planet[6,3]]);

   Label30.Caption := Format( '%0.2f', [planet[7,1]]);
   Label31.Caption := Format( '%0.3f', [planet[7,2]]);
   Label32.Caption := Format( '%0.3f', [planet[7,3]]);

   Label34.Caption := Format( '%0.2f', [planet[8,1]]);
   Label35.Caption := Format( '%0.3f', [planet[8,2]]);
   Label36.Caption := Format( '%0.3f', [planet[8,3]]);

   Label38.Caption := Format( '%0.2f', [planet[9,1]]);
   Label39.Caption := Format( '%0.3f', [planet[9,2]]);
   Label40.Caption := Format( '%0.3f', [planet[9,3]]);

   Label42.Caption := Format( '%0.2f', [planet[10,1]]);
   Label43.Caption := Format( '%0.3f', [planet[10,2]]);
   Label44.Caption := Format( '%0.3f', [planet[10,3]]);

   Form1.Invalidate;
end;

procedure TForm1.Recalculate;
var
  x: double;
  count: integer;
begin
   //
   for count := 1 to 10 do begin
      x := Planet[count, 1]
         - Solar_radius
         - Photo_thickness
         - Corona_thickness;
      x := sqrt(x);
      if x = 0 then x := 0.00000001;
      x := 1/x;
  //    x := UpDown1.Position * x;
      x := Corona_temp * x;
      Planet[count, 2] := x;
   end;

end;

procedure TForm1.UpDown1Click(Sender: TObject; Button: TUDBtnType);
begin
  Edit1.Text := IntToStr(UpDown1.position);
  ReCalculate;
  ReDisplay;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
//   AU_temp := 1000000;
   AU_temp := 1000000000;
   
//   Corona_temp := 3510000;
//   Corona_temp := 5840;

//   Corona_temp := 120000000;  // 120 million K,
                                // if AU down to the meter

//   Corona_temp := 528550000;  // to get a 1366.560 solar constant

   Corona_temp := 98358000; // to get black body temp of 254.3

//   Corona_temp := 1366560;
//   Corona_temp := 2300000;
//   Corona_temp := 3480000;

   Solar_radius := 695000;
   photo_thickness := 0; //:= 700000;
   Corona_thickness := 3000000;

   planet[1,1] := 56.847 * AU_temp;
   planet[1,2] := 56.847;
   planet[1,3] := 783;

   planet[2,1] := 107.71 * AU_temp;
   planet[2,2] := 149;
   planet[2,3] := 737;

   planet[3,1] := 149.598 * AU_temp;
   planet[3,2] := 56.847;
   planet[3,3] := 310;

   planet[4,1] := 227.38896 * AU_temp;
   planet[4,2] := 56.847;
   planet[4,3] := 293;


   planet[5,1] := 777.9096 * AU_temp;
   planet[5,2] := 56.847;
   planet[5,3] := 152;

   planet[6,1] := 1424.17 * AU_temp;
   planet[6,2] := 56.847;
   planet[6,3] := 93;

   planet[7,1] := 2874.9743 * AU_temp;
   planet[7,2] := 56.847;
   planet[7,3] := 99;

   planet[8,1] := 4496.9158 * AU_temp;
   planet[8,2] := 56.847;
   planet[8,3] := 68;

   planet[9,1] := 5909.121 * AU_temp;
   planet[9,2] := 56.847;
   planet[9,3] := 55;

   planet[10,1] := 412.89 * AU_temp;
   planet[10,2] := 56.847;
   planet[10,3] := 230;

   ReCalculate;
   ReDisplay;
end;

end.
