unit Word99P;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, ExtCtrls, ToolWin, Menus, StdCtrls;

type
  TForm1 = class(TForm)
    ToolBar1: TToolBar;
    Panel1: TPanel;
    Splitter1: TSplitter;
    Panel2: TPanel;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    ToolButton4: TToolButton;
    ToolButton5: TToolButton;
    ToolButton6: TToolButton;
    ImageList1: TImageList;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    RichEdit1: TRichEdit;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    Open1: TMenuItem;
    Save1: TMenuItem;
    N1: TMenuItem;
    Exit1: TMenuItem;
    procedure FormCreate(Sender: TObject);
    procedure ToolButton2Click(Sender: TObject);
    procedure Open1Click(Sender: TObject);
    procedure ToolButton1Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
  private
    procedure FormShow(Sender: TObject) ;
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormShow(Sender: TObject) ;
var
   r : TRect;
begin
   Borderstyle := bsNone;
   SystemParametersInfo
      (SPI_GETWORKAREA, 0, @r,0) ;
   SetBounds
     (r.Left, r.Top, r.Right-r.Left, r.Bottom-r.Top) ;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
   OpenDialog1.FileName := 'kjv12.txt';
   FormShow(Sender);
end;

procedure TForm1.ToolButton2Click(Sender: TObject);
begin
    If OpenDialog1.Execute then
    begin
       RichEdit1.Clear;
       RichEdit1.Lines.LoadFromFile(OpenDialog1.FileName);
    end;
end;

procedure TForm1.Open1Click(Sender: TObject);
begin
   ToolButton2Click(Sender);
end;

procedure TForm1.ToolButton1Click(Sender: TObject);
begin
   Close;
end;

procedure TForm1.Exit1Click(Sender: TObject);
begin
   ToolButton1Click(Sender);
end;

end.
