unit matrix_5p;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, Math, StdCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    Timer1: TTimer;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    ListBox1: TListBox;
    OpenLab: TOpenDialog;
    TrackBar1: TTrackBar;
    TrackBar2: TTrackBar;
    TrackBar3: TTrackBar;
    procedure FormResize(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormPaint(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure TrackBar1Change(Sender: TObject);
    procedure TrackBar3Change(Sender: TObject);
    procedure TrackBar2Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;
      Matrix = record
                Mhex: array [1..6,1..3] of integer;
                x: integer;
                y: integer;
                z: integer;
             end;
    HexData = record
         valid: boolean;
         x,y,z: integer;
         wall: array [1..8] of smallint;
         Hadjacent: array[1..8] of integer;
         CeilBmp: string;
         FloorBmp: string;
         WallBmp: string;
         end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

var
   Hmap: array[1..919,-20..20] of HexData;
   mat: array [1..919] of Matrix;
   cx,cy,ty,rx,ry, z: integer;
   altitude: integer;
   cycle : longint;
   wow: TColor;
   D, incriment: real;
   Radian_x, Radian_y, Radian_z : real;
   redraw: boolean;

function Render(Altitude: integer):Boolean;
var
   x,t,y, count, count2, vx,vy,vz: integer;
begin
     wow :=$00FFFFFF;
     Form1.Canvas.Pen.color := clBtnFace;
     Form1.Canvas.Brush.Color := clBtnFace;
     Form1.Canvas.Rectangle(0,0,Form1.Clientwidth,Form1.ClientHeight);
   {  for count2 := 1 to 919 do
     begin
     if (Mat[count2].Mhex[1,1]-Mat[count2].Mhex[6,1]+cx > 0) and
        (Mat[count2].Mhex[1,1]-Mat[count2].Mhex[6,1]+cx < Form1.ClientWidth) then
     begin
          if (cy-Mat[count2].Mhex[1,2]+Mat[count2].Mhex[6,2] > 0) and
             (cy-Mat[count2].Mhex[1,2]+Mat[count2].Mhex[6,2] < Form1.ClientHeight) then
          begin
             Form1.Canvas.Polygon([
                  Point(Mat[count2].Mhex[1,1]+cx, cy-Mat[count2].Mhex[1,2]),
                  Point(Mat[count2].Mhex[2,1]+cx, cy-Mat[count2].Mhex[2,2]),
                  Point(Mat[count2].Mhex[3,1]+cx, cy-Mat[count2].Mhex[3,2]),
                  Point(Mat[count2].Mhex[4,1]+cx, cy-Mat[count2].Mhex[4,2]),
                  Point(Mat[count2].Mhex[5,1]+cx, cy-Mat[count2].Mhex[5,2]),
                  Point(Mat[count2].Mhex[6,1]+cx, cy-Mat[count2].Mhex[6,2]),
                  Point(Mat[count2].Mhex[1,1]+cx, cy-Mat[count2].Mhex[1,2])]);
          {        Form1.Canvas.MoveTo(Mat[count2].Mhex[1,1]+cx  ,cy-Mat[count2].Mhex[1,2]);
                  Form1.Canvas.LineTo(Mat[count2].Mhex[2,1]+cx  ,cy-Mat[count2].Mhex[2,2]);
                  Form1.Canvas.LineTo(Mat[count2].Mhex[3,1]+cx  ,cy-Mat[count2].Mhex[3,2]);
                  Form1.Canvas.LineTo(Mat[count2].Mhex[4,1]+cx  ,cy-Mat[count2].Mhex[4,2]);
                  Form1.Canvas.LineTo(Mat[count2].Mhex[5,1]+cx  ,cy-Mat[count2].Mhex[5,2]);
                  Form1.Canvas.LineTo(Mat[count2].Mhex[6,1]+cx  ,cy-Mat[count2].Mhex[6,2]);
                  Form1.Canvas.LineTo(Mat[count2].Mhex[1,1]+cx  ,cy-Mat[count2].Mhex[1,2]);

          end;
     end; 
     end; }
     x := rx;
     t := ty;
     y := ry;
     //Form1.Canvas.Pen.color := clBlack;
   for count2 := 1 to 919 do
   begin
      case count2 of
          1..282: dec(wow,$00000001);
        283..607: dec(wow,$00000100);
        608..919: dec(wow,$00010000);
      end;

     Form1.Canvas.Pen.Color := wow;
     Form1.Canvas.Brush.Color := clWhite;
     Mat[count2].Mhex[1,1] := 0 + Hmap[count2,0].x;
     Mat[count2].Mhex[1,2] := t + Hmap[count2,0].y;
     Mat[count2].Mhex[1,3] := Form1.TrackBar2.Position + Hmap[count2,0].z;

     Mat[count2].Mhex[2,1] := x + Hmap[count2,0].x;
     Mat[count2].Mhex[2,2] := y + Hmap[count2,0].y;
     Mat[count2].Mhex[2,3] := Form1.TrackBar2.Position + Hmap[count2,0].z;

     Mat[count2].Mhex[3,1] := x + Hmap[count2,0].x;
     Mat[count2].Mhex[3,2] := -y + Hmap[count2,0].y;
     Mat[count2].Mhex[3,3] := Form1.TrackBar2.Position + Hmap[count2,0].z;

     Mat[count2].Mhex[4,1] := 0 + Hmap[count2,0].x;
     Mat[count2].Mhex[4,2] := -t + Hmap[count2,0].y;
     Mat[count2].Mhex[4,3] := Form1.TrackBar2.Position + Hmap[count2,0].z;

     Mat[count2].Mhex[5,1] := -x + Hmap[count2,0].x;
     Mat[count2].Mhex[5,2] := -y + Hmap[count2,0].y;
     Mat[count2].Mhex[5,3] := Form1.TrackBar2.Position + Hmap[count2,0].z;

     Mat[count2].Mhex[6,1] := -x + Hmap[count2,0].x;
     Mat[count2].Mhex[6,2] := y + Hmap[count2,0].y;
     Mat[count2].Mhex[6,3] := Form1.TrackBar2.Position + Hmap[count2,0].z;

     For count := 1 to 6 do
     begin
         // z
         vx := Mat[count2].Mhex[count,1];
         vy := Mat[count2].Mhex[count,2];
         vz := Mat[count2].Mhex[count,3];
         Mat[count2].Mhex[count,1] := round((vx *    Cos(Radian_z) ) +
                                (vy *   -Sin(Radian_z) ));
         Mat[count2].Mhex[count,2] := round((vx *    Sin(Radian_z) ) +
                                (vy *    Cos(Radian_z) ));
         Mat[count2].Mhex[count,3] := vz;
         // y
         vx := Mat[count2].Mhex[count,1];
         vy := Mat[count2].Mhex[count,2];
         vz := Mat[count2].Mhex[count,3];
         Mat[count2].Mhex[count,1] := round((vx *      Cos(Radian_y)) +
                                (vz *      Sin(Radian_y)));
         Mat[count2].Mhex[count,2] := vy;
         Mat[count2].Mhex[count,3] := round((vx *      -Sin(Radian_y))  +
                                (vz *      Cos(Radian_y)))  ;
         // x
         vx := Mat[count2].Mhex[count,1];
         vy := Mat[count2].Mhex[count,2];
         vz := Mat[count2].Mhex[count,3];
         Mat[count2].Mhex[count,1] := vx;
         Mat[count2].Mhex[count,2] := round((vy *      Cos(Radian_x))  +
                                (vz *   (-Sin(Radian_x)))) ;
         Mat[count2].Mhex[count,3] := round((vy *      Sin(Radian_x))  +
                                (vz *      Cos(Radian_x)))  ;

          Mat[count2].Mhex[count,3] := Mat[count2].Mhex[count,3] + Form1.Trackbar1.Position; //15000;
         if Mat[count2].Mhex[count,3] = 0 then
            Mat[count2].Mhex[count,3] := 1;
          Mat[count2].Mhex[count,1] := round(Mat[count2].Mhex[count,1] * D/ Mat[count2].Mhex[count,3]);
          Mat[count2].Mhex[count,2] := round(Mat[count2].Mhex[count,2] * D/ Mat[count2].Mhex[count,3]);
     end;

     if (Mat[count2].Mhex[1,1]-Mat[count2].Mhex[6,1]+cx > 0) and
        (Mat[count2].Mhex[1,1]-Mat[count2].Mhex[6,1]+cx < Form1.ClientWidth) then
     begin
          if (cy-Mat[count2].Mhex[1,2]+Mat[count2].Mhex[6,2] > 0) and
             (cy-Mat[count2].Mhex[1,2]+Mat[count2].Mhex[6,2] < Form1.ClientHeight) then
          begin
             Form1.Canvas.Polygon([
                  Point(Mat[count2].Mhex[1,1]+cx, cy-Mat[count2].Mhex[1,2]),
                  Point(Mat[count2].Mhex[2,1]+cx, cy-Mat[count2].Mhex[2,2]),
                  Point(Mat[count2].Mhex[3,1]+cx, cy-Mat[count2].Mhex[3,2]),
                  Point(Mat[count2].Mhex[4,1]+cx, cy-Mat[count2].Mhex[4,2]),
                  Point(Mat[count2].Mhex[5,1]+cx, cy-Mat[count2].Mhex[5,2]),
                  Point(Mat[count2].Mhex[6,1]+cx, cy-Mat[count2].Mhex[6,2]),
                  Point(Mat[count2].Mhex[1,1]+cx, cy-Mat[count2].Mhex[1,2])]);
          end;
     end;
   end;
    Result := True;
end;

procedure LoadHexMapData;
var
   count, face: integer;
begin
     Form1.OpenLab.FileName := 'Hex_919d.txt';
     Form1.ListBox1.Clear;
     Form1.ListBox1.Items.LoadFromFile(Form1.OpenLab.FileName);
     for count := 1 to Round(Form1.ListBox1.Items.Count/2) do
     begin
          Hmap[count,altitude].x := Round(StrToFloat(
                       Form1.ListBox1.Items[count * 2 -2]));
          Hmap[count,altitude].y := Round(StrToFloat(
                       Form1.ListBox1.Items[count*2-1]));
          Hmap[count,altitude].z := random(400)+1;
          Hmap[count,altitude].Valid := False;
          for face := 1 to 8 do
          begin
          Hmap[count,altitude].Hadjacent[face] := 0;
          end;
     end;

end;

procedure AssignHexMapAdjacent;
var
   count, count1: integer;
   xdoes, ydoes: boolean;
begin
    // begin adjacent asignment
    for count := 1 to 919 do
    begin
         xdoes := false;
         ydoes := false;
         for count1 := 1 to 919 do
         begin

             If Hmap[count,altitude].x + 112 = Hmap[count1,altitude].x then
                xdoes := true;
             if Hmap[count,altitude].y+192 = Hmap[count1,altitude].y then
                ydoes := true;
             if xdoes and ydoes then
             begin
                  Hmap[count,altitude].hadjacent[1] := count1;
             end;
             xdoes := false;
             ydoes := false;

             If Hmap[count,altitude].x+224 = Hmap[count1,altitude].x then
                xdoes := true;
             if Hmap[count,altitude].y = Hmap[count1,altitude].y then
                ydoes := true;
             if xdoes and ydoes then
             begin
                  Hmap[count,altitude].hadjacent[2] := count1;
             end;
             xdoes := false;
             ydoes := false;

             If Hmap[count,altitude].x+112 = Hmap[count1,altitude].x then
                xdoes := true;
             if Hmap[count,altitude].y-192 = Hmap[count1,altitude].y then
                ydoes := true;
             if xdoes and ydoes then
             begin
                  Hmap[count,altitude].hadjacent[3] := count1;
             end;
             xdoes := false;
             ydoes := false;

             If Hmap[count,altitude].x-112 = Hmap[count1,altitude].x then
                xdoes := true;
             if Hmap[count,altitude].y-192 = Hmap[count1,altitude].y then
                ydoes := true;
             if xdoes and ydoes then
             begin
                  Hmap[count,altitude].hadjacent[4] := count1;
             end;
             xdoes := false;
             ydoes := false;

             If Hmap[count,altitude].x-224 = Hmap[count1,altitude].x then
                xdoes := true;
             if Hmap[count,altitude].y = Hmap[count1,altitude].y then
                ydoes := true;
             if xdoes and ydoes then
             begin
                  Hmap[count,altitude].hadjacent[5] := count1;
             end;
             xdoes := false;
             ydoes := false;

             If Hmap[count,altitude].x-112 = Hmap[count1,altitude].x then
                xdoes := true;
             if Hmap[count,altitude].y+192 = Hmap[count1,altitude].y then
                ydoes := true;
             if xdoes and ydoes then
             begin
                  Hmap[count,altitude].hadjacent[6] := count1;
             end;
             xdoes := false;
             ydoes := false;
         end;
    end;
end;     // end adjacent asignment

procedure TForm1.FormResize(Sender: TObject);
begin
     cx := Form1.ClientWidth div 2;
     cy := Form1.ClientHeight div 2;
     Form1.TrackBar2.Left := Form1.ClientWidth -37;
     Form1.TrackBar1.Left := Form1.ClientWidth -37;
     Form1.Invalidate;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
     D := 500;
     Radian_x := 1;
     Radian_y := 0;
     Radian_z := 0;
     z := TrackBar2.Position;
     incriment := 0.01745329252;
     ty := 128;
     rx := 112;
     ry := 64;
     cycle := 0;
     OpenLab.FileName := 'Hex_919d.txt';
     ListBox1.Items.LoadFromFile(OpenLab.FileName);
     LoadHexMapData;
     AssignHexMapAdjacent;
     redraw:= false;
end;

procedure TForm1.FormPaint(Sender: TObject);
begin
    Render(0);
    Label1.Caption := 'Distance  '+FloatToStr(D);
    Label2.Caption := 'Timer     '+IntToStr(Cycle);
    Label3.Caption := 'top y     '+IntToStr(Mat[919].Mhex[1,2]);
    Label4.Caption := 'right y   '+IntToStr(Mat[919].Mhex[2,2]);
    Label5.Caption := 'Radian_x  '+FloatToStr(Radian_x);
    Label6.Caption := 'Radian_y  '+FloatToStr(Radian_y);
    Label7.Caption := 'Radian_z  '+FloatToStr(Radian_z);
    Label8.Caption := 'cos z  '+FloatToStr(cos(Radian_z));
    Label9.Caption := 'sin z  '+FloatToStr(Sin(Radian_z));
    Label10.Caption := '1x  '+IntToStr(Mat[919].Mhex[1,1]);
    Label11.Caption := '1y  '+IntToStr(Mat[919].Mhex[1,2]);
    Label12.Caption := '2x  '+IntToStr(Mat[919].Mhex[2,1]);
    Label13.Caption := '2y  '+IntToStr(Mat[919].Mhex[2,2]);
    Label14.Caption := '3x  '+IntToStr(Mat[919].Mhex[3,1]);
    Label15.Caption := '3y  '+IntToStr(Mat[919].Mhex[3,2]);
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
     Cycle := Cycle +1;
   if redraw then
   begin
      render(0);
      redraw := False;
   end;
{     Radian_x := Radian_x + incriment;
     if Radian_x > 6.28318530718 then
         Radian_x := Radian_x - 6.28318530718;
     Radian_y := Radian_y + incriment;
     if Radian_y > 6.28318530718 then
         Radian_y := Radian_y - 6.28318530718;
     Radian_z := Radian_z + incriment;
     if Radian_z > 6.28318530718 then
         Radian_z := Radian_z - 6.28318530718;
     Radian_z := TrackBar3.Position div 1000000;
     Form1.Invalidate;
       Render(altitude);
}
end;


procedure TForm1.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
     Form1.Caption := IntToSTr(Key);
     if Key = 38 then
     begin
          D := D + 1;
     end;
     if Key = 40 then
     begin
          D := D - 1;
     end;
end;


procedure TForm1.TrackBar1Change(Sender: TObject);
begin
   redraw := true;
end;

procedure TForm1.TrackBar2Change(Sender: TObject);
begin
   redraw := true;
end;

procedure TForm1.TrackBar3Change(Sender: TObject);
begin
   Radian_z := TrackBar3.Position div 10;
   redraw := true;
end;

end.

