unit CookieCutterWeapons;

interface

uses
   Classes;

type
   TCCWeapons = class(TComponent)
   private
   public
      Procedure InitWeapons;
   published
      Weapon : array [1.585] of TWeaper;
   end; // TCCWeapons

procedure register;

implementation

constructor TLight.Create(AOwner: TComponent);
begin
   inherited Create(AOwner);
   InitWeapons;
end;

procedure TForm1.InitWeapons;
var
   count, body: integer;
   f, i: double;
begin
    count := 1;
    weapon[count].name := 'quarrel';
    weapon[count].nameP := 'quarrels';
    weapon[count].page := 'R';
    weapon[count].hand := '1';
    weapon[count].mult := 0.080024;
    weapon[count].bog := 0.015;
    weapon[count].cost := 1.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (8 -f);

    count := count +1;
    weapon[count].name := 'quarrel';
    weapon[count].nameP := 'quarrels';
    weapon[count].page := 'R';
    weapon[count].hand := '1';
    weapon[count].mult := 0.080028;
    weapon[count].bog := 0.015;
    weapon[count].cost := 1.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (8 -f);

    count := count +1;
    weapon[count].name := 'quarrel';
    weapon[count].nameP := 'quarrels';
    weapon[count].page := 'R';
    weapon[count].hand := '1';
    weapon[count].mult := 0.080040;
    weapon[count].bog := 0.015;
    weapon[count].cost := 1.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (8 -f);

    count := count +1;
    weapon[count].name := 'arrow';
    weapon[count].nameP := 'arrows';
    weapon[count].page := 'B';
    weapon[count].hand := '1';
    weapon[count].mult := 0.090007;
    weapon[count].bog := 0.015;
    weapon[count].cost := 1.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (4 -f);

    count := count +1;
    weapon[count].name := 'arrow';
    weapon[count].nameP := 'arrows';
    weapon[count].page := 'B';
    weapon[count].hand := '1';
    weapon[count].mult := 0.090009;
    weapon[count].bog := 0.015;
    weapon[count].cost := 1.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (4 -f);

    count := count +1;
    weapon[count].name := 'arrow';
    weapon[count].nameP := 'arrows';
    weapon[count].page := 'B';
    weapon[count].hand := '1';
    weapon[count].mult := 0.090011;
    weapon[count].bog := 0.015;
    weapon[count].cost := 1.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (4 -f);

    count := count +1;
    weapon[count].name := 'tetsubishi';
    weapon[count].nameP := 'tetsubishi';
    weapon[count].page := 'T';
    weapon[count].hand := '1';
    weapon[count].mult := 0.120070;
    weapon[count].bog := 0.07;
    weapon[count].cost := 10.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (11 -f);

    count := count +1;
    weapon[count].name := 'blowgun';
    weapon[count].nameP := 'glowguns';
    weapon[count].page := 'B';
    weapon[count].hand := '#';
    weapon[count].mult := 0.140070;
    weapon[count].bog := 0.05;
    weapon[count].cost := 15.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (9 -f);

    count := count +1;
    weapon[count].name := 'shurikens';
    weapon[count].nameP := 'shuriken';
    weapon[count].page := 'T';
    weapon[count].hand := '1';
    weapon[count].mult := 0.140070;
    weapon[count].bog := 0.05;
    weapon[count].cost := 3.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (64 -f);

    count := count +1;
    weapon[count].name := 'discus';
    weapon[count].nameP := 'discus';
    weapon[count].page := 'T';
    weapon[count].hand := '1';
    weapon[count].mult := 0.140110;
    weapon[count].bog := 0.05;
    weapon[count].cost := 3.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (64 -f);

    count := count +1;
    weapon[count].name := 'chock';
    weapon[count].nameP := 'chocks';
    weapon[count].page := 'R';
    weapon[count].hand := '#';
    weapon[count].mult := 0.140240;
    weapon[count].bog := 4.0;
    weapon[count].cost := 150.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (18 -f);

    count := count +1;
    weapon[count].name := 'tails';
    weapon[count].nameP := 'tail';
    weapon[count].page := 'F';
    weapon[count].hand := '1';
    weapon[count].mult := 0.180080;
    weapon[count].bog := 0.4;
    weapon[count].cost := 30.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (16 -f);

    count := count +1;
    weapon[count].name := 'amentum';
    weapon[count].nameP := 'amentums';
    weapon[count].page := 'T';
    weapon[count].hand := '1';
    weapon[count].mult := 0.200070;
    weapon[count].bog := 0.2;
    weapon[count].cost := 15.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (11 -f);

    count := count +1;
    weapon[count].name := 'atl';
    weapon[count].nameP := 'atls';
    weapon[count].page := 'T';
    weapon[count].hand := '1';
    weapon[count].mult := 0.200070;
    weapon[count].bog := 1.0;
    weapon[count].cost := 15.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (11 -f);

    count := count +1;
    weapon[count].name := 'sling';
    weapon[count].nameP := 'slings';
    weapon[count].page := 'T';
    weapon[count].hand := '1';
    weapon[count].mult := 0.210060;
    weapon[count].bog := 0.3;
    weapon[count].cost := 2.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (11 -f);

    count := count +1;
    weapon[count].name := 'knife';
    weapon[count].nameP := 'knives';
    weapon[count].page := 'T';
    weapon[count].hand := '1';
    weapon[count].mult := 0.230070;
    weapon[count].bog := 0.1;
    weapon[count].cost := 10.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (17 -f);

    count := count +1;
    weapon[count].name := 'chain';
    weapon[count].nameP := 'chains';
    weapon[count].page := 'T';
    weapon[count].hand := '1';
    weapon[count].mult := 0.230100;
    weapon[count].bog := 2.0;
    weapon[count].cost := 10.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (13 -f);

    count := count +1;
    weapon[count].name := 'bola';
    weapon[count].nameP := 'bolas';
    weapon[count].page := 'T';
    weapon[count].hand := '1';
    weapon[count].mult := 0.240090;
    weapon[count].bog := 0.5;
    weapon[count].cost := 15.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (13 -f);

    count := count +1;
    weapon[count].name := 'lasso';
    weapon[count].nameP := 'lassos';
    weapon[count].page := 'T';
    weapon[count].hand := '1';
    weapon[count].mult := 0.240110;
    weapon[count].bog := 0.5;
    weapon[count].cost := 30.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (13 -f);

    count := count +1;
    weapon[count].name := 'fist';
    weapon[count].nameP := 'fists';
    weapon[count].page := 'I';
    weapon[count].hand := '1';
    weapon[count].mult := 0.240090;
    weapon[count].bog := 0.5;
    weapon[count].cost := 0.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (1000 -f);

    count := count +1;
    weapon[count].name := 'knife';
    weapon[count].nameP := 'knives';
    weapon[count].page := 'T';
    weapon[count].hand := '1';
    weapon[count].mult := 0.250070;
    weapon[count].bog := 0.1;
    weapon[count].cost := 10.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (17 -f);

    count := count +1;
    weapon[count].name := 'boomerang';
    weapon[count].nameP := 'boomerangs';
    weapon[count].page := 'T';
    weapon[count].hand := '1';
    weapon[count].mult := 0.240090;
    weapon[count].bog := 1.5;
    weapon[count].cost := 15.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (21 -f);

    count := count +1;
    weapon[count].name := 'crossbow';
    weapon[count].nameP := 'crossbows';
    weapon[count].page := 'R';
    weapon[count].hand := '#';
//    weapon[count].mult := 0.250240;
    weapon[count].mult := 0.250120;
    weapon[count].bog := 3.0;
    weapon[count].cost := 50.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (18 -f);

    count := count +1;
    weapon[count].name := 'arbalest';
    weapon[count].nameP := 'arbalests';
    weapon[count].page := 'R';
    weapon[count].hand := '#';
//    weapon[count].mult := 0.250280;
    weapon[count].mult := 0.250140;
    weapon[count].bog := 5.0;
    weapon[count].cost := 80.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (18 -f);

    count := count +1;
    weapon[count].name := 'scorpion';
    weapon[count].nameP := 'scorpions';
    weapon[count].page := 'R';
    weapon[count].hand := '#';
    weapon[count].mult := 0.250160;
    weapon[count].mult := 0.250160;
    weapon[count].bog := 10.0;
    weapon[count].cost := 160.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (18 -f);

    count := count +1;
    weapon[count].name := 'bottle';
    weapon[count].nameP := 'bottles';
    weapon[count].page := 'I';
    weapon[count].hand := '1';
    weapon[count].mult := 0.260070;
    weapon[count].bog := 0.1;
    weapon[count].cost := 10.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (8 -f);

    count := count +1;
    weapon[count].name := 'mug';
    weapon[count].nameP := 'mugs';
    weapon[count].page := 'I';
    weapon[count].hand := '1';
    weapon[count].mult := 0.260070;
    weapon[count].bog := 0.1;
    weapon[count].cost := 1.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (8 -f);

    count := count +1;
    weapon[count].name := 'stiletto';
    weapon[count].nameP := 'stilettos';
    weapon[count].page := 'S';
    weapon[count].hand := '1';
    weapon[count].mult := 0.260070;
    weapon[count].bog := 0.1;
    weapon[count].cost := 10.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (17 -f);

    count := count +1;
    weapon[count].name := 'dagger';
    weapon[count].nameP := 'daggers';
    weapon[count].page := 'S';
    weapon[count].hand := '1';
    weapon[count].mult := 0.270070;
    weapon[count].bog := 0.1;
    weapon[count].cost := 10.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (17 -f);

    count := count +1;
    weapon[count].name := 'dirk';
    weapon[count].nameP := 'dirks';
    weapon[count].page := 'S';
    weapon[count].hand := '1';
    weapon[count].mult := 0.270070;
    weapon[count].bog := 0.1;
    weapon[count].cost := 10.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (17 -f);

    count := count +1;
    weapon[count].name := 'gauche';
    weapon[count].nameP := 'gauches';
    weapon[count].page := 'S';
    weapon[count].hand := '1';
    weapon[count].mult := 0.270070;
    weapon[count].bog := 0.1;
    weapon[count].cost := 10.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (17 -f);

    count := count +1;
    weapon[count].name := 'breaker';
    weapon[count].nameP := 'breakers';
    weapon[count].page := 'S';
    weapon[count].hand := '1';
    weapon[count].mult := 0.270070;
    weapon[count].bog := 0.1;
    weapon[count].cost := 10.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (17 -f);

    count := count +1;
    weapon[count].name := 'javelin';
    weapon[count].nameP := 'javelins';
    weapon[count].page := 'P';
    weapon[count].hand := '1';
    weapon[count].mult := 0.270090;
    weapon[count].bog := 1.5;
    weapon[count].cost := 20.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (15 -f);

    count := count +1;
    weapon[count].name := 'blade';
    weapon[count].nameP := 'blades';
    weapon[count].page := 'S';
    weapon[count].hand := '1';
    weapon[count].mult := 0.270090;
    weapon[count].bog := 0.5;
    weapon[count].cost := 20.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (17 -f);

    count := count +1;
    weapon[count].name := 'chair';
    weapon[count].nameP := 'chairs';
    weapon[count].page := 'I';
    weapon[count].hand := '1';
    weapon[count].mult := 0.290120;
    weapon[count].bog := 0.5;
    weapon[count].cost := 20.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (25 -f);

    count := count +1;
    weapon[count].name := 'tanto';
    weapon[count].nameP := 'tantos';
    weapon[count].page := 'S';
    weapon[count].hand := '1';
    weapon[count].mult := 0.290090;
    weapon[count].bog := 0.2;
    weapon[count].cost := 20.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (16 -f);

    count := count +1;
    weapon[count].name := 'baton';
    weapon[count].nameP := 'batons';
    weapon[count].page := 'O';
    weapon[count].hand := '1';
    weapon[count].mult := 0.300090;
    weapon[count].bog := 1.0;
    weapon[count].cost := 20.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (16 -f);

    count := count +1;
    weapon[count].name := 'sap';
    weapon[count].nameP := 'saps';
    weapon[count].page := 'I';
    weapon[count].hand := '1';
    weapon[count].mult := 0.300080;
    weapon[count].bog := 0.5;
    weapon[count].cost := 20.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (11 -f);

    count := count +1;
    weapon[count].name := 'staff';
    weapon[count].nameP := 'staves';
    weapon[count].page := 'P';
    weapon[count].hand := '#';
    weapon[count].mult := 0.300090;
    weapon[count].bog := 0.5;
    weapon[count].cost := 20.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (19 -f);

    count := count +1;
    weapon[count].name := 'net';
    weapon[count].nameP := 'nets';
    weapon[count].page := 'T';
    weapon[count].hand := '1';
    weapon[count].mult := 0.300100;
    weapon[count].bog := 1.0;
    weapon[count].cost := 40.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (11 -f);

    count := count +1;
    weapon[count].name := 'bullwhip';
    weapon[count].nameP := 'bullwhips';
    weapon[count].page := 'F';
    weapon[count].hand := '1';
    weapon[count].mult := 0.310090;
    weapon[count].bog := 0.5;
    weapon[count].cost := 30.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (16 -f);

    count := count +1;
    weapon[count].name := 'kama';
    weapon[count].nameP := 'kamas';
    weapon[count].page := 'T';
    weapon[count].hand := '1';
    weapon[count].mult := 0.310100;
    weapon[count].bog := 0.5;
    weapon[count].cost := 40.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (11 -f);

    count := count +1;
    weapon[count].name := 'lance';
    weapon[count].nameP := 'lances';
    weapon[count].page := 'P';
    weapon[count].hand := '1';
    weapon[count].mult := 0.270090;
    weapon[count].bog := 2.0;
    weapon[count].cost := 30.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (15 -f);

    count := count +1;
    weapon[count].name := 'spear';
    weapon[count].nameP := 'spears';
    weapon[count].page := 'P';
    weapon[count].hand := '1';
    weapon[count].mult := 0.310110;
    weapon[count].bog := 3.0;
    weapon[count].cost := 40.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (15 -f);

    count := count +1;
    weapon[count].name := 'blade';
    weapon[count].nameP := 'blades';
    weapon[count].page := 'T';
    weapon[count].hand := '1';
    weapon[count].mult := 0.320100;
    weapon[count].bog := 0.5;
    weapon[count].cost := 4.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (17 -f);

    count := count +1;
    weapon[count].name := 'blade';
    weapon[count].nameP := 'blades';
    weapon[count].page := 'S';
    weapon[count].hand := '1';
    weapon[count].mult := 0.320110;
    weapon[count].bog := 0.5;
    weapon[count].cost := 4.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (17 -f);

    count := count +1;
    weapon[count].name := 'rock';
    weapon[count].nameP := 'rocks';
    weapon[count].page := 'T';
    weapon[count].hand := '1';
    weapon[count].mult := 0.330070;
    weapon[count].bog := 0.5;
    weapon[count].cost := 0.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (8 -f);

    count := count +1;
    weapon[count].name := 'cudgel';
    weapon[count].nameP := 'cudgels';
    weapon[count].page := 'O';
    weapon[count].hand := '1';
    weapon[count].mult := 0.330070;
    weapon[count].bog := 1.5;
    weapon[count].cost := 10.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (16 -f);

    count := count +1;
    weapon[count].name := 'club';
    weapon[count].nameP := 'clubs';
    weapon[count].page := 'O';
    weapon[count].hand := '1';
    weapon[count].mult := 0.330080;
    weapon[count].bog := 1.5;
    weapon[count].cost := 10.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (16 -f);

    count := count +1;
    weapon[count].name := 'crowbar';
    weapon[count].nameP := 'crowbars';
    weapon[count].page := 'I';
    weapon[count].hand := '1';
    weapon[count].mult := 0.330080;
    weapon[count].bog := 2.0;
    weapon[count].cost := 10.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (16 -f);

    count := count +1;
    weapon[count].name := 'kiseru';
    weapon[count].nameP := 'kiser';
    weapon[count].page := 'O';
    weapon[count].hand := '1';
    weapon[count].mult := 0.330070;
    weapon[count].bog := 1.0;
    weapon[count].cost := 40.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (16 -f);

    count := count +1;
    weapon[count].name := 'escrima';
    weapon[count].nameP := 'escrim';
    weapon[count].page := 'O';
    weapon[count].hand := '1';
    weapon[count].mult := 0.330070;
    weapon[count].bog := 1.0;
    weapon[count].cost := 20.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (16 -f);

    count := count +1;
    weapon[count].name := 'sword';
    weapon[count].nameP := 'swords';
    weapon[count].page := 'S';
    weapon[count].hand := '1';
    weapon[count].mult := 0.330070;
    weapon[count].bog := 0.5;
    weapon[count].cost := 60.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (17 -f);

    count := count +1;
    weapon[count].name := 'tessun';
    weapon[count].nameP := 'tessu';
    weapon[count].page := 'O';
    weapon[count].hand := '1';
    weapon[count].mult := 0.330070;
    weapon[count].bog := 1.5;
    weapon[count].cost := 60.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (16 -f);

    count := count +1;
    weapon[count].name := 'stool';
    weapon[count].nameP := 'stools';
    weapon[count].page := 'I';
    weapon[count].hand := '1';
    weapon[count].mult := 0.330090;
    weapon[count].bog := 0.5;
    weapon[count].cost := 40.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (17 -f);

    count := count +1;
    weapon[count].name := 'tonfa';
    weapon[count].nameP := 'tonfas';
    weapon[count].page := 'O';
    weapon[count].hand := '1';
    weapon[count].mult := 0.330090;
    weapon[count].bog := 1.5;
    weapon[count].cost := 60.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (16 -f);

    count := count +1;
    weapon[count].name := 'chair';
    weapon[count].nameP := 'chairs';
    weapon[count].page := 'I';
    weapon[count].hand := '#';
    weapon[count].mult := 0.340120;
    weapon[count].bog := 0.5;
    weapon[count].cost := 50.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (25 -f);

    count := count +1;
    weapon[count].name := 'hunting';
    weapon[count].nameP := 'hunting';
    weapon[count].page := 'B';
    weapon[count].hand := '1';
    weapon[count].mult := 0.350070;
    weapon[count].bog := 0.5;
    weapon[count].cost := 20.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (14 -f);

    count := count +1;
    weapon[count].name := 'ashiko';
    weapon[count].nameP := 'ashik';
    weapon[count].page := 'I';
    weapon[count].hand := '1';
    weapon[count].mult := 0.350110;
    weapon[count].bog := 0.5;
    weapon[count].cost := 30.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (12 -f);

    count := count +1;
    weapon[count].name := 'trident';
    weapon[count].nameP := 'tridents';
    weapon[count].page := 'P';
    weapon[count].hand := '1';
    weapon[count].mult := 0.350100;
    weapon[count].bog := 0.5;
    weapon[count].cost := 30.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (15 -f);

    count := count +1;
    weapon[count].name := 'arbalest';
    weapon[count].nameP := 'arbalests';
    weapon[count].page := 'R';
    weapon[count].hand := '1';
    weapon[count].mult := 0.350140;
    weapon[count].bog := 0.5;
    weapon[count].cost := 100.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (18 -f);

    count := count +1;
    weapon[count].name := 'spear';
    weapon[count].nameP := 'spear';
    weapon[count].page := 'P';
    weapon[count].hand := '#';
    weapon[count].mult := 0.360110;
    weapon[count].bog := 0.5;
    weapon[count].cost := 40.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (15 -f);

    count := count +1;
    weapon[count].name := 'pike';
    weapon[count].nameP := 'pikes';
    weapon[count].page := 'P';
    weapon[count].hand := '#';
    weapon[count].mult := 0.360120;
    weapon[count].bog := 0.5;
    weapon[count].cost := 50.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (15 -f);

    count := count +1;
    weapon[count].name := 'staff';
    weapon[count].nameP := 'staves';
    weapon[count].page := 'P';
    weapon[count].hand := '#';
    weapon[count].mult := 0.370070;
    weapon[count].bog := 0.5;
    weapon[count].cost := 20.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (19 -f);

    count := count +1;
    weapon[count].name := 'bo';
    weapon[count].nameP := 'bos';
    weapon[count].page := 'P';
    weapon[count].hand := '#';
    weapon[count].mult := 0.370080;
    weapon[count].bog := 0.5;
    weapon[count].cost := 65.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (15 -f);

    count := count +1;
    weapon[count].name := 'shinobi';
    weapon[count].nameP := 'shinob';
    weapon[count].page := 'I';
    weapon[count].hand := '1';
    weapon[count].mult := 0.370110;
    weapon[count].bog := 0.5;
    weapon[count].cost := 65.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (11 -f);

    count := count +1;
    weapon[count].name := 'club';
    weapon[count].nameP := 'clubs';
    weapon[count].page := 'T';
    weapon[count].hand := '#';
    weapon[count].mult := 0.380080;
    weapon[count].bog := 0.5;
    weapon[count].cost := 10.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (8 -f);

    count := count +1;
    weapon[count].name := 'nunchucka';
    weapon[count].nameP := 'nunchucks';
    weapon[count].page := 'O';
    weapon[count].hand := '1';
    weapon[count].mult := 0.380080;
    weapon[count].bog := 0.5;
    weapon[count].cost := 35.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (8 -f);

    count := count +1;
    weapon[count].name := 'epee';
    weapon[count].nameP := 'epee';
    weapon[count].page := 'S';
    weapon[count].hand := '1';
    weapon[count].mult := 0.380090;
    weapon[count].bog := 0.5;
    weapon[count].cost := 40.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (17 -f);

    count := count +1;
    weapon[count].name := 'hatchet';
    weapon[count].nameP := 'hatchets';
    weapon[count].page := 'M';
    weapon[count].hand := '1';
    weapon[count].mult := 0.380090;
    weapon[count].bog := 1.0;
    weapon[count].cost := 15.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (16 -f);

    count := count +1;
    weapon[count].name := 'horse';
    weapon[count].nameP := 'horse';
    weapon[count].page := 'B';
    weapon[count].hand := '1';
    weapon[count].mult := 0.380090;
    weapon[count].bog := 2.0;
    weapon[count].cost := 30.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (14 -f);

    count := count +1;
    weapon[count].name := 'rapier';
    weapon[count].nameP := 'rapiers';
    weapon[count].page := 'S';
    weapon[count].hand := '1';
    weapon[count].mult := 0.380090;
    weapon[count].bog := 0.5;
    weapon[count].cost := 40.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (17 -f);

    count := count +1;
    weapon[count].name := 'staff';
    weapon[count].nameP := 'staffs';
    weapon[count].page := 'T';
    weapon[count].hand := '1';
    weapon[count].mult := 0.380090;
    weapon[count].bog := 1.8;
    weapon[count].cost := 20.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (19 -f);

    count := count +1;
    weapon[count].name := 'stool';
    weapon[count].nameP := 'stools';
    weapon[count].page := 'I';
    weapon[count].hand := '#';
    weapon[count].mult := 0.380090;
    weapon[count].bog := 4.5;
    weapon[count].cost := 20.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (14 -f);

    count := count +1;
    weapon[count].name := 'hammer';
    weapon[count].nameP := 'hammers';
    weapon[count].page := 'M';
    weapon[count].hand := '1';
    weapon[count].mult := 0.380100;
    weapon[count].bog := 2.0;
    weapon[count].cost := 25.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (16 -f);

    count := count +1;
    weapon[count].name := 'bench';
    weapon[count].nameP := 'benches';
    weapon[count].page := 'I';
    weapon[count].hand := '1';
    weapon[count].mult := 0.380110;
    weapon[count].bog := 8.0;
    weapon[count].cost := 25.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (14 -f);

    count := count +1;
    weapon[count].name := 'table';
    weapon[count].nameP := 'tables';
    weapon[count].page := 'I';
    weapon[count].hand := '#';
    weapon[count].mult := 0.390120;
    weapon[count].bog := 20.0;
    weapon[count].cost := 30.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (25 -f);

    count := count +1;
    weapon[count].name := 'sai';
    weapon[count].nameP := 'sai';
    weapon[count].page := 'O';
    weapon[count].hand := '1';
    weapon[count].mult := 0.400080;
    weapon[count].bog := 0.5;
    weapon[count].cost := 20.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (8 -f);

    count := count +1;
    weapon[count].name := 'naginata';
    weapon[count].nameP := 'naginatas';
    weapon[count].page := 'P';
    weapon[count].hand := '#';
    weapon[count].mult := 0.400100;
    weapon[count].bog := 4.0;
    weapon[count].cost := 65.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (15 -f);

    count := count +1;
    weapon[count].name := 'scythe';
    weapon[count].nameP := 'scythes';
    weapon[count].page := 'S';
    weapon[count].hand := '1';
    weapon[count].mult := 0.400110;
    weapon[count].bog := 4.5;
    weapon[count].cost := 40.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (17 -f);

    count := count +1;
    weapon[count].name := 'sectional';
    weapon[count].nameP := 'staves';
    weapon[count].page := 'F';
    weapon[count].hand := '1';
    weapon[count].mult := 0.420100;
    weapon[count].bog := 3.5;
    weapon[count].cost := 40.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (16 -f);

    count := count +1;
    weapon[count].name := 'hammer';
    weapon[count].nameP := 'hammers';
    weapon[count].page := 'P';
    weapon[count].hand := '#';
    weapon[count].mult := 0.420140;
    weapon[count].bog := 8.0;
    weapon[count].cost := 110.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (16 -f);

    count := count +1;
    weapon[count].name := 'foil';
    weapon[count].nameP := 'foils';
    weapon[count].page := 'S';
    weapon[count].hand := '1';
    weapon[count].mult := 0.450100;
    weapon[count].bog := 0.5;
    weapon[count].cost := 50.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (17 -f);

    count := count +1;
    weapon[count].name := 'lance';
    weapon[count].nameP := 'lances';
    weapon[count].page := 'P';
    weapon[count].hand := '1';
    weapon[count].mult := 0.450110;
    weapon[count].bog := 2.0;
    weapon[count].cost := 100.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (15 -f);

    count := count +1;
    weapon[count].name := 'glave';
    weapon[count].nameP := 'glaves';
    weapon[count].page := 'P';
    weapon[count].hand := '#';
    weapon[count].mult := 0.450120;
    weapon[count].bog := 6.0;
    weapon[count].cost := 65.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (15 -f);

    count := count +1;
    weapon[count].name := 'longbow';
    weapon[count].nameP := 'longbows';
    weapon[count].page := 'B';
    weapon[count].hand := '#';
    weapon[count].mult := 0.460110;
    weapon[count].bog := 2.0;
    weapon[count].cost := 40.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (14 -f);

    count := count +1;
    weapon[count].name := 'quarterstaff';
    weapon[count].nameP := 'quarterstaves';
    weapon[count].page := 'P';
    weapon[count].hand := '#';
    weapon[count].mult := 0.460110;
    weapon[count].bog := 1.5;
    weapon[count].cost := 20.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (19 -f);

    count := count +1;
    weapon[count].name := 'axe';
    weapon[count].nameP := 'axes';
    weapon[count].page := 'M';
    weapon[count].hand := '#';
    weapon[count].mult := 0.460110;
    weapon[count].bog := 2.5;
    weapon[count].cost := 30.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (16 -f);

    count := count +1;
    weapon[count].name := 'bisen';
    weapon[count].nameP := 'bisen';
    weapon[count].page := 'P';
    weapon[count].hand := '#';
    weapon[count].mult := 0.500120;
    weapon[count].bog := 7.0;
    weapon[count].cost := 80.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (15 -f);

    count := count +1;
    weapon[count].name := 'axe';
    weapon[count].nameP := 'axes';
    weapon[count].page := 'P';
    weapon[count].hand := '#';
    weapon[count].mult := 0.500150;
    weapon[count].bog := 10.0;
    weapon[count].cost := 130.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (16 -f);

    count := count +1;
    weapon[count].name := 'cutlass';
    weapon[count].nameP := 'cutlass';
    weapon[count].page := 'S';
    weapon[count].hand := '#';
    weapon[count].mult := 0.530100;
    weapon[count].bog := 1.5;
    weapon[count].cost := 50.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (17 -f);

    count := count +1;
    weapon[count].name := 'halberd';
    weapon[count].nameP := 'halberds';
    weapon[count].page := 'P';
    weapon[count].hand := '#';
    weapon[count].mult := 0.530130;
    weapon[count].bog := 8.0;
    weapon[count].cost := 70.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (15 -f);

    count := count +1;
    weapon[count].name := 'mace';
    weapon[count].nameP := 'maces';
    weapon[count].page := 'M';
    weapon[count].hand := '1';
    weapon[count].mult := 0.540110;
    weapon[count].bog := 3.0;
    weapon[count].cost := 40.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (16 -f);

    count := count +1;
    weapon[count].name := 'sabre';
    weapon[count].nameP := 'sabres';
    weapon[count].page := 'S';
    weapon[count].hand := '1';
    weapon[count].mult := 0.540110;
    weapon[count].bog := 2.0;
    weapon[count].cost := 60.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (17 -f);

    count := count +1;
    weapon[count].name := 'sword';
    weapon[count].nameP := 'sword';
    weapon[count].page := 'S';
    weapon[count].hand := '1';
    weapon[count].mult := 0.540110;
    weapon[count].bog := 2.0;
    weapon[count].cost := 60.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (17 -f);

    count := count +1;
    weapon[count].name := 'wakazashi';
    weapon[count].nameP := 'wakazashis';
    weapon[count].page := 'S';
    weapon[count].hand := '1';
    weapon[count].mult := 0.540110;
    weapon[count].bog := 2.0;
    weapon[count].cost := 150.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (17 -f);

    count := count +1;
    weapon[count].name := 'pick';
    weapon[count].nameP := 'picks';
    weapon[count].page := 'P';
    weapon[count].hand := '#';
    weapon[count].mult := 0.540130;
    weapon[count].bog := 10.0;
    weapon[count].cost := 100.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (16 -f);

    count := count +1;
    weapon[count].name := 'pick';
    weapon[count].nameP := 'picks';
    weapon[count].page := 'M';
    weapon[count].hand := '#';
    weapon[count].mult := 0.560120;
    weapon[count].bog := 4.0;
    weapon[count].cost := 60.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (16 -f);

    count := count +1;
    weapon[count].name := 'boomerang';
    weapon[count].nameP := 'boomerangs';
    weapon[count].page := 'T';
    weapon[count].hand := '1';
    weapon[count].mult := 0.560120;
    weapon[count].bog := 1.5;
    weapon[count].cost := 20.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (13 -f);

    count := count +1;
    weapon[count].name := 'flail';
    weapon[count].nameP := 'flails';
    weapon[count].page := 'F';
    weapon[count].hand := '1';
    weapon[count].mult := 0.580120;
    weapon[count].bog := 4.0;
    weapon[count].cost := 70.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (16 -f);

    count := count +1;
    weapon[count].name := 'broadsword';
    weapon[count].nameP := 'broadswrods';
    weapon[count].page := 'S';
    weapon[count].hand := '1';
    weapon[count].mult := 0.600120;
    weapon[count].bog := 2.5;
    weapon[count].cost := 80.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (17 -f);

    count := count +1;
    weapon[count].name := 'ninja';
    weapon[count].nameP := 'ninjato';
    weapon[count].page := 'S';
    weapon[count].hand := '1';
    weapon[count].mult := 0.600120;
    weapon[count].bog := 2.5;
    weapon[count].cost := 180.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (17 -f);

    count := count +1;
    weapon[count].name := 'sword';
    weapon[count].nameP := 'sword';
    weapon[count].page := 'S';
    weapon[count].hand := '3';
    weapon[count].mult := 0.610130;
    weapon[count].bog := 3.5;
    weapon[count].cost := 100.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (17 -f);

    count := count +1;
    weapon[count].name := 'katana';
    weapon[count].nameP := 'katanas';
    weapon[count].page := 'S';
    weapon[count].hand := '1';
    weapon[count].mult := 0.610130;
    weapon[count].bog := 3.5;
    weapon[count].cost := 150.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (17 -f);

    count := count +1;
    weapon[count].name := 'maul';
    weapon[count].nameP := 'mauls';
    weapon[count].page := 'O';
    weapon[count].hand := '#';
    weapon[count].mult := 0.610130;
    weapon[count].bog := 6.0;
    weapon[count].cost := 100.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (16 -f);

    count := count +1;
    weapon[count].name := 'star';
    weapon[count].nameP := 'stars';
    weapon[count].page := 'M';
    weapon[count].hand := '1';
    weapon[count].mult := 0.610130;
    weapon[count].bog := 6.0;
    weapon[count].cost := 100.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (16 -f);

    count := count +1;
    weapon[count].name := 'scimitar';
    weapon[count].nameP := 'scimitars';
    weapon[count].page := 'S';
    weapon[count].hand := '1';
    weapon[count].mult := 0.610130;
    weapon[count].bog := 3.5;
    weapon[count].cost := 100.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (17 -f);

    count := count +1;
    weapon[count].name := 'hammer';
    weapon[count].nameP := 'hammers';
    weapon[count].page := 'M';
    weapon[count].hand := '1';
    weapon[count].mult := 0.620130;
    weapon[count].bog := 6.0;
    weapon[count].cost := 100.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (16 -f);

    count := count +1;
    weapon[count].name := 'hammer';
    weapon[count].nameP := 'hammers';
    weapon[count].page := 'M';
    weapon[count].hand := '#';
    weapon[count].mult := 0.620140;
    weapon[count].bog := 8.0;
    weapon[count].cost := 110.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (16 -f);

    count := count +1;
    weapon[count].name := 'sword';
    weapon[count].nameP := 'swords';
    weapon[count].page := 'S';
    weapon[count].hand := '3';
    weapon[count].mult := 0.660130;
    weapon[count].bog := 3.5;
    weapon[count].cost := 100.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (17 -f);

    count := count +1;
    weapon[count].name := 'katana';
    weapon[count].nameP := 'katanas';
    weapon[count].page := 'S';
    weapon[count].hand := '#';
    weapon[count].mult := 0.660130;
    weapon[count].bog := 3.5;
    weapon[count].cost := 150.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (17 -f);

    count := count +1;
    weapon[count].name := 'cestus';
    weapon[count].nameP := 'cestus';
    weapon[count].page := 'I';
    weapon[count].hand := '#';
    weapon[count].mult := 0.670070;
    weapon[count].bog := 1.0;
    weapon[count].cost := 20.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (8 -f);

    count := count +1;
    weapon[count].name := 'axe';
    weapon[count].nameP := 'axes';
    weapon[count].page := 'M';
    weapon[count].hand := '#';
    weapon[count].mult := 0.700150;
    weapon[count].bog := 10.0;
    weapon[count].cost := 130.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (16 -f);

    count := count +1;
    weapon[count].name := 'claymore';
    weapon[count].nameP := 'claymore';
    weapon[count].page := 'S';
    weapon[count].hand := '#';
    weapon[count].mult := 0.720160;
    weapon[count].bog := 7.0;
    weapon[count].cost := 150.0;
    f := weapon[count].mult * 1000;
    i := round(f);
    f := (weapon[count].mult * 1000000) -(i *1000);
    f := f /10;
    body := round(f);
    weapon[count].body := body;
    weapon[count].oldBody := body;
    weapon[count].bog := f / (17 -f);

   total_so_far := count;
   TrackBar1.Max := Total_so_far;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
   total_so_far := 0;
   InitWeapons;
   TrackBar1.Position := 2;
   TrackBar2.Position := 0;
   armorer_value := 150;
   modified := False;
   Filepath := ExtractFilePath(Application.ExeName);
   FileName := 'armory.txt';
   TrackBar1.Position := 2;
   TrackBar1.Invalidate;
   TrackBar1.Position := 3;
   TrackBar1.Invalidate;   //
end;

procedure TForm1.Button1Click(Sender: TObject);
var
   s: string;
begin
   if TrackBar1.Position <> Total_so_far then
   begin
      TrackBar1.position := Total_so_far;
   end else begin
      richEdit1.Lines.Clear;
      inc(Total_so_far);
      TrackBar1.Max := Total_so_far;
      TrackBar1.Position := Total_so_far;
      weapon[Total_so_far].Name := EditName.Text;
      if total_so_far < max_weapon_set then
      begin
            s := format('name: %s',[weapon[TrackBar1.position].name]);
            s := s + stringOfChar(' ',32-Length(s));
            s := s + weapon[TrackBar1.position].Page;
            s := s + stringOfChar(' ',36-Length(s));
            s := s + format(' %13f',[weapon[TrackBar1.position].Mult]);
            s := s + stringOfChar(' ',63-Length(s));
            richedit1.lines.add(s);
      end;
   end;
end;

procedure REgister;
begin
   RegisterComponents('CCWeapons', [TCCWeapons]);
end;

end.
 