unit CubeRooP;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics,
  Controls, Forms, Dialogs, math, StdCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    Label16: TLabel;
    Label17: TLabel;
    Label18: TLabel;
    Label19: TLabel;
    Label20: TLabel;
    Label21: TLabel;
    Label22: TLabel;
    Label23: TLabel;
    Label24: TLabel;
    Label25: TLabel;
    Label26: TLabel;
    Label27: TLabel;
    Label28: TLabel;
    Label29: TLabel;
    Label30: TLabel;
    Label31: TLabel;
    Label32: TLabel;
    bLabel6: TLabel;
    bLabel7: TLabel;
    bLabel8: TLabel;
    Label36: TLabel;
    bLabel10: TLabel;
    bLabel11: TLabel;
    bLabel12: TLabel;
    Label40: TLabel;
    bLabel14: TLabel;
    bLabel15: TLabel;
    bLabel16: TLabel;
    Label44: TLabel;
    bLabel18: TLabel;
    bLabel19: TLabel;
    bLabel20: TLabel;
    Label48: TLabel;
    bLabel22: TLabel;
    bLabel23: TLabel;
    bLabel24: TLabel;
    Label52: TLabel;
    bLabel26: TLabel;
    bLabel27: TLabel;
    bLabel28: TLabel;
    Label56: TLabel;
    bLabel30: TLabel;
    bLabel31: TLabel;
    bLabel32: TLabel;
    Label60: TLabel;
    bLabel34: TLabel;
    bLabel35: TLabel;
    bLabel36: TLabel;
    Label64: TLabel;
    bLabel38: TLabel;
    bLabel39: TLabel;
    bLabel40: TLabel;
    Label68: TLabel;
    bLabel42: TLabel;
    bLabel43: TLabel;
    bLabel44: TLabel;
    TrackBar1: TTrackBar;
    Label33: TLabel;
    Label34: TLabel;
    Label35: TLabel;
    Label37: TLabel;
    Label38: TLabel;
    Label39: TLabel;
    Label41: TLabel;
    Label42: TLabel;
    Label43: TLabel;
    Label45: TLabel;
    Label46: TLabel;
    Label47: TLabel;
    Label49: TLabel;
    Label50: TLabel;
    procedure FormCreate(Sender: TObject);
    function CubeRoot(x: extended): extended;
    function SquareCubeRoot(x: extended): extended;
    function Cube(x: extended): extended;
    Procedure Redisplay;
    Procedure ReCalculate;
    procedure TrackBar1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure InitData;
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

var
  planet: array [1..11, 1..4] of Extended;
    AU_temp,
    Corona_temp,
    solar_radius,
    Photo_thickness,
    Corona_thickness: Extended;

    days,
    radius,
    fin,
    temper: extended;

function TForm1.CubeRoot(x: extended): extended;
begin
//   result := 0.0;
   result := power(x, 1/3);
end;

function TForm1.SquareCubeRoot(x: extended): extended;
begin
//   result := 0.0;
   result := power(x, 3/2);
end;

procedure TForm1.ReDisplay;
begin

// mercury
  days := 88;
  temper := Planet[1,2];
//  radius := 57.91;
//  radius := 57910000000.0;
  radius := Planet[1,1];
  fin :=  temper / days;
  Label35.Caption := Format ('%5.5f', [fin]);
  Label1.Caption := Format ('%5.2f', [radius]);
  Label2.Caption := Format ('%5.2f', [days]);
  days := sqr(days);
  radius := Cube(radius);
  fin := radius / days;
  Label3.Caption := Format ('%5.2f', [fin]);

// venus
  days := 224.7;
  temper := Planet[2,2];
//  radius := 108.21;
//  radius := 108210000000.0;
  radius := Planet[2,1];
  fin :=  temper / days;
  Label37.Caption := Format ('%5.5f', [fin]);
  Label4.Caption := Format ('%5.2f', [radius]);
  Label5.Caption := Format ('%5.2f', [days]);
  days := sqr(days);
  radius := Cube(radius);
  fin := radius / days;
  Label6.Caption := Format ('%5.2f', [fin]);

// earth
  days := 365.24218967;
  temper := Planet[3,2];
//  radius := 149.598;
//  radius := 149598000000.0;
//  ratio  := 2,500,000,000,000,000,000,000,000,000
  radius := Planet[3,1];
  fin :=  temper / days;
  Label38.Caption := Format ('%5.5f', [fin]);
  Label7.Caption := Format ('%5.2f', [radius]);
  Label8.Caption := Format ('%5.2f', [days]);
  days := sqr(days);
  radius := Cube(radius);
  fin := radius / days;
  Label9.Caption := Format ('%5.8f', [fin]);

// luna
  days := 27.3217;
//  radius := 38.4467;
  radius := 384467.0;
  Label13.Caption := Format ('%5.5f', [radius]);
  Label14.Caption := Format ('%5.2f', [days]);
  days := sqr(days);
  radius := Cube(radius);
  fin := radius / days;
  Label15.Caption := Format ('%5.2f', [fin]);

// mars
  days := 686.98;
  temper := Planet[4,2];
//  radius := 228.120;
//  radius := 228120000000.0;
  radius := Planet[4,1];
  fin :=  temper / days;
  Label39.Caption := Format ('%5.5f', [fin]);
  Label10.Caption := Format ('%5.2f', [radius]);
  Label11.Caption := Format ('%5.2f', [days]);
  days := sqr(days);
  radius := Cube(radius);
  fin := radius / days;
  Label12.Caption := Format ('%5.2f', [fin]);

// jupiter
  days := 4332.589;
  temper := Planet[11,2];
//  radius := 778.57;
//  radius := 778570000000.0;
  radius := Planet[11,1];
  fin :=  temper / days;
  Label41.Caption := Format ('%5.5f', [fin]);
  Label16.Caption := Format ('%5.2f', [radius]);
  Label17.Caption := Format ('%5.2f', [days]);
  days := sqr(days);
  radius := Cube(radius);
  fin := radius / days;
  Label18.Caption := Format ('%5.2f', [fin]);

// jupiter
  days := 4332.589;
  temper := Planet[5,2];
//  radius := 778.57;
//  radius := 778570000000.0;
  radius := Planet[5,1];
  fin :=  temper / days;
  Label41.Caption := Format ('%5.5f', [fin]);
  Label16.Caption := Format ('%5.2f', [radius]);
  Label17.Caption := Format ('%5.2f', [days]);
  days := sqr(days);
  radius := Cube(radius);
  fin := radius / days;
  Label18.Caption := Format ('%5.2f', [fin]);

// saturn
  days := 10759.22;
  temper := Planet[6,2];
//  radius := 1433525000000.0;
  radius := Planet[6,1];
  fin :=  temper / days;
  Label42.Caption := Format ('%5.5f', [fin]);
  Label19.Caption := Format ('%5.2f', [radius]);
  Label20.Caption := Format ('%5.2f', [days]);
  days := sqr(days);
  radius := Cube(radius);
  fin := radius / days;
  Label21.Caption := Format ('%5.2f', [fin]);

// Uranus
  days := 30685.4;
  temper := Planet[7,2];
//  radius := 2872460000000.0;
  radius := Planet[7,1];
  fin :=  temper / days;
  Label43.Caption := Format ('%5.5f', [fin]);
  Label22.Caption := Format ('%5.2f', [radius]);
  Label23.Caption := Format ('%5.2f', [days]);
  days := sqr(days);
  radius := Cube(radius);
  fin := radius / days;
  Label24.Caption := Format ('%5.2f', [fin]);

// Neptune
  days := 60189.0;
//  radius := 4495060000000.0;
  radius := Planet[8,1];
  temper := Planet[8,2];
  fin :=  temper / days;
  Label45.Caption := Format ('%5.5f', [fin]);
  Label25.Caption := Format ('%5.2f', [radius]);
  Label26.Caption := Format ('%5.2f', [days]);
  days := sqr(days);
  radius := Cube(radius);
  fin := radius / days;
  Label27.Caption := Format ('%5.2f', [fin]);

// Pluto
  days := 90588.0;
  radius := Planet[9,1];
  temper := Planet[9,2];
  fin :=  temper / days;
  Label46.Caption := Format ('%5.5f', [fin]);
  Label47.Caption := Format ('%5.2f', [radius]);
  Label49.Caption := Format ('%5.2f', [days]);
  days := sqr(days);
  radius := Cube(radius);
  fin := radius / days;
  Label50.Caption := Format ('%5.2f', [fin]);
/////////////////////
/////////////////////

   //
   bLabel6.Caption := Format( '%0.2f', [planet[1,1]]);
   bLabel7.Caption := Format( '%0.3f', [planet[1,2]]);
   bLabel8.Caption := Format( '%0.3f', [planet[1,3]]);

   bLabel10.Caption := Format( '%0.2f', [planet[2,1]]);
   bLabel11.Caption := Format( '%0.3f', [planet[2,2]]);
   bLabel12.Caption := Format( '%0.3f', [planet[2,3]]);

   bLabel14.Caption := Format( '%0.2f', [planet[3,1]]);
   bLabel15.Caption := Format( '%0.3f', [planet[3,2]]);
   bLabel16.Caption := Format( '%0.3f', [planet[3,3]]);

   bLabel18.Caption := Format( '%0.2f', [planet[4,1]]);
   bLabel19.Caption := Format( '%0.3f', [planet[4,2]]);
   bLabel20.Caption := Format( '%0.3f', [planet[4,3]]);

   bLabel22.Caption := Format( '%0.2f', [planet[5,1]]);
   bLabel23.Caption := Format( '%0.3f', [planet[5,2]]);
   bLabel24.Caption := Format( '%0.3f', [planet[5,3]]);

   bLabel26.Caption := Format( '%0.2f', [planet[6,1]]);
   bLabel27.Caption := Format( '%0.3f', [planet[6,2]]);
   bLabel28.Caption := Format( '%0.3f', [planet[6,3]]);

   bLabel30.Caption := Format( '%0.2f', [planet[7,1]]);
   bLabel31.Caption := Format( '%0.3f', [planet[7,2]]);
   bLabel32.Caption := Format( '%0.3f', [planet[7,3]]);

   bLabel34.Caption := Format( '%0.2f', [planet[8,1]]);
   bLabel35.Caption := Format( '%0.3f', [planet[8,2]]);
   bLabel36.Caption := Format( '%0.3f', [planet[8,3]]);

   bLabel38.Caption := Format( '%0.2f', [planet[9,1]]);
   bLabel39.Caption := Format( '%0.3f', [planet[9,2]]);
   bLabel40.Caption := Format( '%0.3f', [planet[9,3]]);


   bLabel42.Caption := Format( '%0.2f', [planet[11,1]]);
   bLabel43.Caption := Format( '%0.3f', [planet[11,2]]);
   bLabel44.Caption := Format( '%0.3f', [planet[11,3]]);

   Form1.Invalidate;
end;

procedure TForm1.Recalculate;
var
  x: double;
  count: integer;
begin
   //
   for count := 1 to 11 do begin
      //
      // calculate tempurature at that orbit
      //
      x := Planet[count, 1]
         - Solar_radius
         - Photo_thickness
         - Corona_thickness;
      if x > 0 then
      x := sqrt(x);
      if x = 0 then x := 0.00000001;
      x := 1/x;
  //    x := UpDown1.Position * x;
  //    x := Corona_temp * x;

     // corona_temp := 8287;
      x := (Corona_temp +(TrackBar1.Position*10000) )* x;

      Planet[count, 2] := x;


      //
      // calculate proper radius for orbital period
      //
      x := 2.5 * Power(10,28);
      x := x * sqr(Planet[count, 4]);
      x := power(x, 1/3);

      Planet[count,1] := x;
   end;

end;

    function Cube(x: extended): extended;
function TForm1.Cube(x: extended): extended;
begin
   result := power(x, 3);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
   InitData;
end;

procedure TForm1.TrackBar1Change(Sender: TObject);
var
   f : extended;
   s : integer;
begin
    f := corona_temp + (TrackBar1.Position * 10000);
    Label33.Caption := Format('sun temperatue = %5.2f kelvin', [ f ]);
    f := power(f, 0.3);
//  Form1.Caption := IntToStr(21 * 25);
//  Form1.Caption := IntToStr(21 * 25);
    Form1.Caption := Format(' cube root of suns temperature, cloudtop level : %5.2f k     level cap: %d', [ f, SizeOf(extended) ]);
    ReCalculate;
    ReDisplay;
end;

procedure TForm1.InitData;
begin
// siphon out the Capernicus ratio from the length of each orbit


// mercury
  days := 88;
//  radius := 57.91;
  radius := 57910000000.0;
  days := sqr(days);
  radius := Cube(radius);
  fin := radius / days;
  Label1.Caption := Format ('%5.2f', [radius]);
  Label2.Caption := Format ('%5.2f', [days]);
  Label3.Caption := Format ('%5.2f', [fin]);

// venus
  days := 224.7;
//  radius := 108.21;
  radius := 108210000000.0;
  days := sqr(days);
  radius := Cube(radius);
  fin := radius / days;
  Label4.Caption := Format ('%5.2f', [radius]);
  Label5.Caption := Format ('%5.2f', [days]);
  Label6.Caption := Format ('%5.2f', [fin]);

// earth
  days := 365.24218967;
//  radius := 149.598;
  radius := 149598000.0;
  days := sqr(days);
  radius := Cube(radius);
  fin := radius / days;
  Label7.Caption := Format ('%5.2f', [radius]);
  Label8.Caption := Format ('%5.2f', [days]);
  Label9.Caption := Format ('%5.2f', [fin]);

// luna
  days := 27.3217;
//  radius := 38.4467;
  radius := 384467.0;
  days := sqr(days);
  radius := Cube(radius);
  fin := radius / days;
  Label13.Caption := Format ('%5.2f', [radius]);
  Label14.Caption := Format ('%5.2f', [days]);
  Label15.Caption := Format ('%5.2f', [fin]);

// mars
  days := 686.98;
//  radius := 228.120;
  radius := 228120000000.0;
  days := sqr(days);
  radius := Cube(radius);
  fin := radius / days;
  Label10.Caption := Format ('%5.2f', [radius]);
  Label11.Caption := Format ('%5.2f', [days]);
  Label12.Caption := Format ('%5.2f', [fin]);

// jupiter
  days := 4332.589;
//  radius := 778.57;
  radius := 778570000000.0;
  days := sqr(days);
  radius := Cube(radius);
  fin := radius / days;
  Label16.Caption := Format ('%5.2f', [radius]);
  Label17.Caption := Format ('%5.2f', [days]);
  Label18.Caption := Format ('%5.2f', [fin]);

// saturn
  days := 10759.22;
  radius := 1433525000000.0;
  days := sqr(days);
  radius := Cube(radius);
  fin := radius / days;
  Label19.Caption := Format ('%5.2f', [radius]);
  Label20.Caption := Format ('%5.2f', [days]);
  Label21.Caption := Format ('%5.2f', [fin]);

// Uranus
  days := 30685.4;
  radius := 2872460000000.0;
  days := sqr(days);
  radius := Cube(radius);
  fin := radius / days;
  Label22.Caption := Format ('%5.2f', [radius]);
  Label23.Caption := Format ('%5.2f', [days]);
  Label24.Caption := Format ('%5.2f', [fin]);

// Neptune
  days := 60189.0;
  radius := 4495060000000.0;
  Label25.Caption := Format ('%5.2f', [radius]);
  Label26.Caption := Format ('%5.2f', [days]);
  days := sqr(days);
  radius := Cube(radius);
  fin := radius / days;
  Label27.Caption := Format ('%5.2f', [fin]);

//   AU_temp := 1000000;
   AU_temp := 1000000000;
   
//   Corona_temp := 3510000;
//   Corona_temp := 5840;
   Corona_temp := 58400000;


//   Corona_temp := 120000000;  // 120 million K,
                                // if AU down to the meter

//   Corona_temp := 528550000;  // to get a 1366.560 solar constant

//
//   Corona_temp := 98358000; // to get black body temp of 254.3
//

//   Corona_temp := 1366560;
//   Corona_temp := 2300000;
//   Corona_temp := 3480000;

   Solar_radius := 695000;
   photo_thickness := 0; //:= 700000;
   Corona_thickness := 3000000;

// mercury
//  days := 88;
//  radius := 57910000000.0;
//   planet[1,1] := 56.847 * AU_temp;
   planet[1,1] := 57910000000.0;
   planet[1,2] := 56.847;
   planet[1,3] := 783;
   planet[1,4] := 88;

// venus
//  days := 224.7;
//  radius := 108210000000.0;
//   planet[2,1] := 107.71 * AU_temp;
   planet[2,1] := 108210000000.0;
   planet[2,2] := 149;
   planet[2,3] := 737;
   planet[2,4] := 224.7;

// earth
//  days := 365.24218967;
//  radius := 149598000000.0;
//   planet[3,1] := 149.598 * AU_temp;
   planet[3,1] := 149598000.0;
   planet[3,2] := 56.847;
   planet[3,3] := 310;
   planet[3,4] := 365.24218967;


// luna
  days := 27.3217;
  radius := 384467.0;


// mars
//  days := 686.98;
//  radius := 228120000000.0;
//   planet[4,1] := 227.38896 * AU_temp;
   planet[4,1] := 228120000000.0;
   planet[4,2] := 56.847;
   planet[4,3] := 293;
   planet[4,4] := 686.98;



// asteroid
   planet[11,1] := 2.76724 * AU_temp;
   planet[11,2] := 56.847;
   planet[11,3] := 200;
   planet[11,4] := 4.36 * 365.24218967;

// jupiter
//  days := 4332.589;
//  radius := 778570000000.0;
//   planet[5,1] := 777.9096 * AU_temp;
   planet[5,1] := 778570000000.0;
   planet[5,2] := 56.847;
   planet[5,3] := 152;
   planet[5,4] := 4332.589;

// saturn
//  days := 10759.22;
//  radius := 1433525000000.0;
//   planet[6,1] := 1424.17 * AU_temp;
   planet[6,1] := 1433525000000.0;
   planet[6,2] := 56.847;
   planet[6,3] := 93;
   planet[6,4] := 10759.22;

// Uranus
//  days := 30685.4;
//  radius := 2872460000000.0;
//   planet[7,1] := 2874.9743 * AU_temp;
   planet[7,1] := 2872460000000.0;
   planet[7,2] := 56.847;
   planet[7,3] := 99;
   planet[7,4] := 30685.4;

// neptune
   planet[8,1] := 4496.9158 * AU_temp;
   planet[8,2] := 56.847;
   planet[8,3] := 68;
   planet[8,4] := 60189.0;

// pluto
   planet[9,1] := 5909.121 * AU_temp;
   planet[9,2] := 56.847;
   planet[9,3] := 55;
   planet[9,4] := 90588;

   planet[10,1] := 5909.121 * AU_temp; //412.89 * AU_temp;
   planet[10,2] := 56.847;
   planet[10,3] := 55;
   planet[10,4] := 90688;

   ReCalculate;
   ReDisplay;
end;

end.
