unit Fam_2_p;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, StdCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    RichEdit1: TRichEdit;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Open1: TMenuItem;
    Save1: TMenuItem;
    Saveas1: TMenuItem;
    Close1: TMenuItem;
    New1: TMenuItem;
    Run1: TMenuItem;
    Generate1: TMenuItem;
    procedure Generate1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;
  Tset = record
    alignment: string;
    Background: string;
    IQ: integer;
    Wizards: integer;
    Cost: integer;
    List: integer;
    Time: integer;
    Enchant1: string;
    Enchant2: string;
    Enchant3: string;
    Enchant4: string;
    Enchant5: string;
    end;

var
  Form1: TForm1;
  FamilySet: array [1..1001] of Tset;
  d, d1, d2, d3, d4, d5, d6: integer;

implementation

{$R *.DFM}

function Conceal(count: integer): string;
var
   temp: integer;
begin
   Result := '';
//   temp := FamilySet[count].Wizards+1;
   temp := 1;
   if temp > 5 then temp := 5;
   if temp = 1 then
      Result := ' ('+IntToStr(temp)+' conceal spell)'
   else
      Result := ' ('+IntToStr(temp)+' conceal spells)'
end;

function ControlList(count: integer): string;
begin
   Result := '';
   d := random(43)+1;
   if d = 1 then
      Result := 'men';
   if d = 2 then
      Result := 'orcs';
   if d = 3 then
      Result := 'elves';
   if d = 4 then
      Result := 'dwarves';
   if d = 5 then
      Result := 'goblins';
   if d = 6 then
      Result := 'hobgoblins';
   if d = 7 then
      Result := 'holbytla';
   if d = 8 then
      Result := 'prootwaddles';
   if d = 9 then
      Result := 'centaur';
   if d = 10 then
      Result := 'gaints';
   if d = 11 then
      Result := 'gargoyles';
   if d = 12 then
      Result := 'reptile men';
   if d = 13 then
      Result := 'mermen';
   if d = 14 then
      Result := 'half-breeds';
   if d = 15 then
      Result := 'dragons';
   if d = 16 then
      Result := 'demons';
   if d = 17 then
      Result := 'sasquatch';
   if d = 18 then
      Result := 'wyverns';
   if d = 19 then
      Result := 'wraiths';
   if d = 20 then
      Result := 'trolls';
   if d = 21 then
      Result := 'octopi';
   if d = 22 then
      Result := 'neanderthal';
   if d = 23 then
      Result := 'ogres';
   if d = 24 then
      Result := 'werewolves and vampires';
   if d = 25 then
      Result := 'ghouls';
   if d = 26 then
      Result := 'shadowight';
   if d = 27 then
      Result := 'hydra';
   if d = 28 then
      Result := 'basilisk';
   if d = 29 then
      Result := 'ghost, wights, and revenants';
   if d = 30 then
      Result := 'elementals';
   if d = 31 then
      Result := 'horse';
   if d = 32 then
      Result := 'other mamals (oxen, elephants, camels)';
   if d = 33 then
      Result := 'reptiles';
   if d = 34 then
      Result := 'birds';
   if d = 35 then
      Result := 'gryphons';
   if d = 36 then
      Result := 'dolphin';
   if d = 37 then
      Result := 'wolves and dogs';
   if d = 38 then
      Result := 'bears';
   if d = 39 then
      Result := 'big cats';
   if d = 40 then
      Result := 'little cats';
   if d = 41 then
      Result := 'apes';
   if d = 42 then
      Result := 'slinkers';
   if d = 43 then
      Result := 'dragonet';
end;

function ShapeshiftList(count: integer): string;
begin
   Result := '';
   d := random(78)+1;
   if d = 1 then
      Result := 'man';
   if d = 2 then
      Result := 'orc';
   if d = 3 then
      Result := 'elf';
   if d = 4 then
      Result := 'dwarf';
   if d = 5 then
      Result := 'goblin';
   if d = 6 then
      Result := 'hobgoblin';
   if d = 7 then
      Result := 'holbytela';
   if d = 8 then
      Result := 'prootwaddle';
   if d = 9 then
      Result := 'centaur';
   if d = 10 then
      Result := 'gaint';
   if d = 11 then
      Result := 'gargoyle';
   if d = 12 then
      Result := 'reptile man';
   if d = 13 then
      Result := 'merman';
   if d = 14 then
      Result := 'vampire';
   if d = 15 then
      Result := 'dragon';
   if d = 16 then
      Result := 'demon';
   if d = 17 then
      Result := 'sasquatch';
   if d = 18 then
      Result := 'wyvern';
   if d = 19 then
      Result := 'wraith';
   if d = 20 then
      Result := 'troll';
   if d = 21 then
      Result := 'octopus';
   if d = 22 then
      Result := 'neanderthal';
   if d = 23 then
      Result := 'ogre';
   if d = 24 then
      Result := 'werewolf';
   if d = 25 then
      Result := 'ghoul';
   if d = 26 then
      Result := 'shadowight';
   if d = 27 then
      Result := 'hydra';
   if d = 28 then
      Result := 'basilisk';
   if d = 29 then
      Result := 'ghost';
   if d = 30 then
      Result := 'fire elemental';
   if d = 31 then
      Result := 'earth elemental';
   if d = 32 then
      Result := 'air elemental';
   if d = 33 then
      Result := 'water elemental';
   if d = 34 then
      Result := 'apep';
   if d = 35 then
      Result := 'zombie';
   if d = 36 then
      Result := 'skeleton';
   if d = 37 then
      Result := 'nag';
   if d = 38 then
      Result := 'riding horse';
   if d = 39 then
      Result := 'light horse';
   if d = 40 then
      Result := 'draft horse';
   if d = 41 then
      Result := 'warhorse';
   if d = 42 then
      Result := 'donkey';
   if d = 43 then
      Result := 'mule';
   if d = 44 then
      Result := 'unicorn';
   if d = 45 then
      Result := 'pegasus';
   if d = 46 then
      Result := 'indricotherium';
   if d = 47 then
      Result := 'mammoth';
   if d = 48 then
      Result := 'yak';
   if d = 49 then
      Result := 'ox';
   if d = 50 then
      Result := 'elephant';
   if d = 51 then
      Result := 'carabao';
   if d = 52 then
      Result := 'water buffalo';
   if d = 53 then
      Result := 'camel';
   if d = 54 then
      Result := 'riding lizard';
   if d = 55 then
      Result := 'saurian';
   if d = 56 then
      Result := 'walker lizard';
   if d = 57 then
      Result := 'diatryma';
   if d = 58 then
      Result := 'roc';
   if d = 59 then
      Result := 'gryphon';
   if d = 60 then
      Result := 'dolphin';
   if d = 61 then
      Result := 'wolf';
   if d = 62 then
      Result := 'dire wolf';
   if d = 63 then
      Result := 'dog';
   if d = 64 then
      Result := 'prehistoric 2-hex cave bear';
   if d = 65 then
      Result := 'kodiac bear';
   if d = 66 then
      Result := 'grizzly bear';
   if d = 67 then
      Result := 'black bear';
   if d = 68 then
      Result := 'lion';
   if d = 69 then
      Result := 'tiger';
   if d = 70 then
      Result := 'sabertooth tiger';
   if d = 71 then
      Result := 'jaguar';
   if d = 72 then
      Result := 'little cat';
   if d = 73 then
      Result := 'great ape';
   if d = 74 then
      Result := 'baboon';
   if d = 75 then
      Result := 'chimpanzee';
   if d = 76 then
      Result := 'slinker';
   if d = 77 then
      Result := 'monkey';
   if d = 78 then
      Result := 'dragonet';
end;

function LimitedList(count: integer): string;
begin
   Result := '';
   d := random(29)+1;
   if d = 1 then
      Result := 'men';
   if d = 2 then
      Result := 'orcs';
   if d = 3 then
      Result := 'elves';
   if d = 4 then
      Result := 'dwarves';
   if d = 5 then
      Result := 'goblins';
   if d = 6 then
      Result := 'hobgoblins';
   if d = 7 then
      Result := 'holbytela';
   if d = 8 then
      Result := 'prootwaddles';
   if d = 9 then
      Result := 'centaur';
   if d = 10 then
      Result := 'gaints';
   if d = 11 then
      Result := 'gargoyles';
   if d = 12 then
      Result := 'reptile men';
   if d = 13 then
      Result := 'mermen';
   if d = 14 then
      Result := 'half-breeds';
   if d = 15 then
      Result := 'dragons';
   if d = 16 then
      Result := 'demons';
   if d = 17 then
      Result := 'sasquatch';
   if d = 18 then
      Result := 'wyverns';
   if d = 19 then
      Result := 'wraiths';
   if d = 20 then
      Result := 'trolls';
   if d = 21 then
      Result := 'octopi';
   if d = 22 then
      Result := 'neanderthal';
   if d = 23 then
      Result := 'ogres';
   if d = 24 then
      Result := 'werewolves and vampires';
   if d = 25 then
      Result := 'ghouls';
   if d = 26 then
      Result := 'shadowight';
   if d = 27 then
      Result := 'hydra';
   if d = 28 then
      Result := 'basilisk';
   if d = 29 then
      Result := 'ghost, wights, and revenants';
end;

function wocList(count: integer): string;
begin
   result := '';
   d := random(20)+1;
   if d = 1 then
      result := 'kill';
   if d = 2 then
      result := 'flee';
   if d = 3 then
      result := 'surender';
   if d = 4 then
      result := 'come';
   if d = 5 then
      result := 'believe';
   if d = 6 then
      result := 'stop';
   if d = 7 then
      result := 'quiet';
   if d = 8 then
      result := 'go that way';
   if d = 9 then
      result := 'obey';
   if d = 10 then
      result := 'freeze';
   if d = 11 then
      result := 'do not kill';
   if d = 12 then
      result := 'do not flee';
   if d = 13 then
      result := 'do not surender';
   if d = 14 then
      result := 'do not come';
   if d = 15 then
      result := 'do not believe';
   if d = 16 then
      result := 'do not stop';
   if d = 17 then
      result := 'do not quiet';
   if d = 18 then
      result := 'do not go that way';
   if d = 19 then
      result := 'do not obey';
   if d = 20 then
      result := 'do not freeze';
end;

function Enchant2(count: integer): string;
begin
   Result := '';
   d := random(187)+1;
   if d = 1 then
   begin
      Result := 'cursed drop weapon'+Conceal(count);
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+500;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
   if d = 2 then
   begin
      Result := 'fresh air (cost 1 per turn)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+3000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+3;
   end;
   if d = 3 then
   begin
      Result := 'Light';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+500;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
   if d = 4 then
   begin
      Result := 'cursed slow movement'+Conceal(count);
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+500;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
   if d = 5 then
   begin
      Result := 'cursed trip'+Conceal(count);
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+1000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+2;
   end;
   if d = 6 then
   begin
      Result := 'speed movement (cost 1 per turn)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+1500;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
   if d = 7 then
   begin
      Result := 'silent movement (cost 1 per turn)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+2000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+4;
   end;
   if d = 8 then
   begin
      Result := 'curse -1 to all'+Conceal(count);
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+3500;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+4;
   end;
   if d = 9 then
   begin
      Result := 'immunity to curse of -1';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+3500;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+4;
   end;
   if d = 10 then
   begin
      Result := 'control '+
         ControlList(count);
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+10000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+18;
   end;
   if d = 11 then
   begin
      Result := 'immunity to dropweapon';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+500;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
   if d = 12 then
   begin
      Result := 'fireproofing';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+5000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+5;
   end;
   if d = 13 then
   begin
      Result := 'darkness 1-hex';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+2000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+4;
   end;
   if d = 14 then
   begin
      Result := 'dark vision';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+3000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+3;
   end;
   if d = 15 then
   begin
      Result := 'avert (cost 2 fatigue +1 per turn)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+2000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+3;
   end;
   if d = 16 then
   begin
      Result := 'immunity to slow movement';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+500;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
   if d = 17 then
   begin
      Result := 'immunity to avert';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+2000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+3;
   end;
   if d = 18 then
   begin
      Result := 'immunity to trip';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+1000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+2;
   end;
   if d = 19 then
   begin
      Result := 'immunity to control person';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+10000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+18;
   end;
   if d = 21 then
   begin
      Result := 'detect life';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+4000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+4;
   end;
   if d = 22 then
   begin
      Result := 'detect enemies';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+6000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+2;
   end;
   if d = 23 then
   begin
      Result := 'magesight';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+6000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+6;
   end;
   if d = 24 then
   begin
      Result := 'immunity to rope';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+1000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
   if d = 25 then
   begin
      Result := 'eyes behind';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+3000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+3;
   end;
   if d = 26 then
   begin
      Result := 'far vision';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+2500;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+4;
   end;
   if d = 27 then
   begin
      Result := 'blur';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+3000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+5;
   end;
   if d = 28 then
   begin
      Result := 'maintain illusion (1-hex)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+3000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+5;
   end;
   if d = 29 then
   begin
      Result := 'immunity to clumbsiness of -1 DX';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+1000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
   if d = 30 then
   begin
      Result := 'immunity to confusion of -1 IQ';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+1000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
   if d = 31 then
   begin
      Result := 'immunity to weakness of -1 ST';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+1000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
   if d = 32 then
   begin
      Result := 'cursed freeze'+Conceal(count);
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+5000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+6;
   end;
   if d = 33 then
   begin
      Result := 'immunity to freeze';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+5000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+6;
   end;
   if d = 34 then
   begin
      Result := 'invisible (cost 1 fatigue per turn)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+6500;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+3;
   end;
   if d = 35 then
   begin
      Result := 'telepathy';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+20000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+5;
   end;
   if d = 36 then
   begin
      Result := 'immunity to telepathy';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+20000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+5;
   end;
   if d = 37 then
   begin
      Result := 'detect magic (4d vs IQ on touch)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+5000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+3;
   end;
   if d = 38 then
   begin
      Result := 'fly (cost 1 fatigue per turn)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+1000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+5;
   end;
   if d = 39 then
   begin
      Result := 'shocksheild';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+5000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+6;
   end;
   if d = 40 then
   begin
      Result := 'immunity to shocksheild';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+5000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+6;
   end;
   if d = 41 then
   begin
      Result := 'telekenisis (cost 1 fatigue per turn)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+5000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+4;
   end;
   if d = 42 then
   begin
      Result := 'cursed sleep'+Conceal(count);
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+1000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
   if d = 43 then
   begin
      Result := 'immunity to sleep';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+1000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
   if d = 44 then
   begin
      Result := 'cursed glamored as a '+ShapeshiftList(count);
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+4000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+5;
   end;
   if d = 45 then
   begin
      Result := 'stoneflesh (4 hits stopped)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+4000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+5;
   end;
   if d = 46 then
   begin
      Result := 'reverse missiles (cost 1 fatigue per turn)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+5000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+6;
   end;
   if d = 47 then
   begin
      Result := 'persuasiveness';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+12000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+5;
   end;
   if d = 48 then
   begin
      Result := 'immunity to persuasiveness';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+12000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+5;
   end;
   if d = 49 then
   begin
      Result := 'dispell illusion';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+5000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+6;
   end;
   if d = 50 then
   begin
      Result := 'fireball spell (1d-1 damage per point of fatigue)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+5500;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+4;
   end;
   if d = 51 then
   begin
      Result := 'lightning spell (1d damage per point of fatigue)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+15000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+10;
   end;
   if d = 52 then
   begin
      Result := 'spell sheild (cost 1 fatigue per turn)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+6000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+6;
   end;
   if d = 53 then
   begin
      Result := 'darkness 2-hex radius';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+4000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+4;
   end;
   if d = 54 then
   begin
      Result := 'immunity to curse of -2';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+7000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+8;
   end;
   if d = 55 then
   begin
      Result := 'maintain illusion 4-hex';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+6000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+5;
   end;
   if d = 56 then
   begin
      Result := 'immunity to clumbsiness of -2DX';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+2000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
   if d = 57 then
   begin
      Result := 'immunity to confusion of -2 IQ';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+2000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
   if d = 58 then
   begin
      Result := 'immunity to weakness of -2 ST';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+2000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
   if d = 59 then
   begin
      Result := 'maintain illusion 7-hex';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+9000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+5;
   end;
   if d = 60 then
   begin
      Result := 'darkness 3-hex radius';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+8000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+4;
   end;
   if d = 61 then
   begin
      Result := 'cursed clumbsiness -3 DX'+Conceal(count);
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+4000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
   if d = 62 then
   begin
      Result := 'cursed weakness -3 ST'+Conceal(count);
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+4000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
   if d = 63 then
   begin
      Result := 'immunity to clumbsiness of -3 DX';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+4000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
   if d = 64 then
   begin
      Result := 'immunity to weakness of -3 ST';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+4000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
   if d = 65 then
   begin
      Result := 'immunity to confusion of -3 IQ';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+4000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
   if (d > 65) and (d < 167) then
   begin
      Result := 'control '+
         ControlList(count);
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+10000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+18;
   end;
   if (d > 166) and (d < 187) then
   begin
      Result := 'cursed glamored as a '+ShapeshiftList(count);
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+4000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+5;
   end;
end;

function Enchant3(count: integer): string;
begin
   Result := '';
   d := random(152)+1;
   if d = 1 then
   begin
      Result := 'limited to'+LimitedList(count);
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+1000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+2;
   end;
   if d = 2 then
   begin
      Result := 'strength battery 5';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+5000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+4;
   end;
   if d = 3 then
   begin
      Result := 'Flaming';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+6000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+5;
   end;
   if d = 4 then
   begin
      Result := 'word of command, '+wocList(count);
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+20000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+25;
   end;
   if d = 5 then
   begin
      Result := 'immunity to word of command';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+20000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+25;
   end;
   if d = 6 then
   begin
      Result := 'cursed little death'+Conceal(count);
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+10000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+5;
   end;
   if d = 7 then
   begin
      Result := 'immunity to little death';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+10000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+5;
   end;
   if d = 8 then
   begin
      Result := 'hammer touch (1d+1 damage per point of fatigue)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+5000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+6;
   end;
   if d = 9 then
   begin
      Result := 'immunity to hammer touch (-1d damage)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+5000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+6;
   end;
   if d = 10 then
   begin
      Result := 'cleansing';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+50000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+10;
   end;
   if d = 11 then
   begin
      Result := 'cursed geas to serve '+controlList(count);
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+5000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+6;
   end;
   if d = 12 then
   begin
      Result := 'immunity to geas';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+5000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+6;
   end;
   if d = 13 then
   begin
      Result := 'immunity to fireball (-1d damage per point of fatige)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+1000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
   if d = 14 then
   begin
      Result := 'long distance telepathy';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+20000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+5;
   end;
   if d = 15 then
   begin
      Result := 'insubstantiality (cost 2 fatigue per turn)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+21000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+5;
   end;
   if d = 16 then
   begin
      Result := 'spell sniffer';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+20000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+10;
   end;
   if d = 17 then
   begin
      Result := 'immunity to spell sniffer';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+20000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+10;
   end;
   if d = 18 then
   begin
      Result := 'immunity to lightning (-1d damage)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+5000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+4;
   end;
   if d = 19 then
   begin
      Result := 'astral projection (cost 2 fatigue per turn)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+20000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+6;
   end;
   if d = 20 then
   begin
      Result := 'cursed shapeshift into '+shapeshiftList(count);
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+10000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+10;
   end;
   if d = 21 then
   begin
      Result := 'immunity to shapeshifting';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+10000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+10;
   end;
   if d = 22 then
   begin
      Result := 'unnoticeable (cost 1 fatigue per turn)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+5000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+2;
   end;
   if d = 23 then
   begin
      Result := 'immunity to unnoticeability';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+5000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+2;
   end;
   if d = 24 then
   begin
      Result := 'charm +2';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+100000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+25;
   end;
   if d = 25 then
   begin
      Result := 'immunity to wizards wrath (-1d damage per point of fatigue)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+20000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+6;
   end;
   if d = 26 then
   begin
      Result := 'charm +1';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+30000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+10;
   end;
   if d = 27 then
   begin
      Result := 'ironflesh (6 hits stopped)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+16000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+10;
   end;
   if d = 28 then
   begin
      Result := 'immunity to giant rope';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+2000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
   if d = 29 then
   begin
      Result := 'wizards wrath spell (1d+1 damage per point of fatige)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+40000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+25;
   end;
   if d = 30 then
   begin
      Result := 'teleport (cost 1 fatigue per megahex)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+15000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+10;
   end;
   if d = 31 then
   begin
      Result := 'long distance teleport (cost 20 fatigue)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+20000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+25;
   end;
   if d = 32 then
   begin
      Result := 'strength battery 10';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+10000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+4;
   end;
   if d = 33 then
   begin
      Result := 'immunity to fireball (-2d damage)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+2000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
   if d = 34 then
   begin
      Result := 'immunity to lightning (-2d damage)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+10000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+4;
   end;
   if d = 35 then
   begin
      Result := 'immunity to wizards wrath (-2d damage)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+40000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+6;
   end;
   if d = 36 then
   begin
      Result := 'strength battery 15';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+15000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+4;
   end;
   if d = 37 then
   begin
      Result := 'immunity to fireball (-3d damage)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+3000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
   if d = 38 then
   begin
      Result := 'immunity to lightning (-3d damage)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+15000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+4;
   end;
   if d = 39 then
   begin
      Result := 'immunity to wizards wrath (-3d damage)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+60000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+6;
   end;
   if d = 40 then
   begin
      Result := 'strength battery 20';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+20000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+4;
   end;
   if d = 41 then
   begin
      Result := 'attribute +3 DX';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+8000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+3;
   end;
   if d = 42 then
   begin
      Result := 'attribute +3 ST';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+8000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+3;
   end;
   if d = 43 then
   begin
      Result := 'attribute +3 IQ';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+8000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+3;
   end;
   if d = 44 then
   begin
      Result := 'attribute +3 DX';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+8000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+3;
   end;
   if d = 45 then
   begin
      Result := 'immunity to fireball (-4d damage)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+4000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
   if d = 46 then
   begin
      Result := 'immunity to lightning (-4d damage)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+20000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+4;
   end;
   if d = 47 then
   begin
      Result := 'immunity to wizards wrath (-4d damage)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+80000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+6;
   end;
   if (d > 47) and (d < 68) then
   begin
      Result := 'word of command, '+wocList(count);
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+20000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+25;
   end;
   if (d > 67) and (d < 88) then
   begin
      Result := 'cursed geas to serve '+controlList(count);
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+5000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+6;
   end;
   if (d > 87) and (d < 153) then
   begin
      Result := 'cursed shapeshift into '+shapeshiftList(count);
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+10000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+10;
   end;
end;

function Enchant4(count: integer): string;
begin
   Result := '';
   d := random(18)+1;
   if d = 1 then
   begin
      result := 'darkness 4-hex radius';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+16000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+4;
   end;
   if d = 2 then
   begin
      result := 'strength battery 40';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+40000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+4;
   end;
   if d = 3 then
   begin
      result := 'cursed clumbsiness -4 DX'+Conceal(count);
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+8000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
   if d = 4 then
   begin
      result := 'cursed confusion -4 IQ'+Conceal(count);
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+8000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
   if d = 5 then
   begin
      result := 'cursed weakness -4 ST'+Conceal(count);
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+8000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
   if d = 6 then
   begin
      result := 'immunity to clumbsiness of -4 DX';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+8000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
   if d = 7 then
   begin
      result := 'immunity to confusion of -4 IQ';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+8000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
   if d = 8 then
   begin
      result := 'immunity to weakness of -4 ST';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+8000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
   if d = 9 then
   begin
      result := 'attribute +4 DX';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+16000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+3;
   end;
   if d = 10 then
   begin
      result := 'attribute +4 ST';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+16000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+3;
   end;
   if d = 11 then
   begin
      result := 'attribute +4 IQ';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+16000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+3;
   end;
   if d = 12 then
   begin
      result := 'darkness 4-hex radius';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+16000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+4;
   end;
   if d = 13 then
   begin
      result := 'strength battery 40';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+40000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+4;
   end;
   if d = 14 then
   begin
      result := 'attribute +4 DX';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+16000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+3;
   end;
   if d = 15 then
   begin
      result := 'attribute +4 ST';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+16000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+3;
   end;
   if d = 16 then
   begin
      result := 'attribute +4 IQ';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+16000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+3;
   end;
   if d = 17 then
   begin
      result := 'strength battery 40';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+40000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+4;
   end;
   if d = 18 then
   begin
      result := 'strength battery 40';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+40000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+4;
   end;
end;

function Enchant5(count: integer): string;
begin
   Result := '';
   d := random(18)+1;
   if d = 1 then
   begin
      result := 'fresh air (self powered)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+30000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+3;
   end;
   if d = 2 then
   begin
      result := 'silent movement (self powered)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+20000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+4;
   end;
   if d = 3 then
   begin
      result := 'avert (self powered 1 per turn)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+20000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+3;
   end;
   if d = 4 then
   begin
      result := 'invisibility (self powered)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+65000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+3;
   end;
   if d = 5 then
   begin
      result := 'telepathy (self powered)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+200000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+5;
   end;
   if d = 6 then
   begin
      result := 'fly (self powered)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+100000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+5;
   end;
   if d = 7 then
   begin
      result := 'telekenisis (self powered)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+50000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+4;
   end;
   if d = 8 then
   begin
      result := 'insubstantiality (self powered 1 per turn)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+210000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+5;
   end;
   if d = 9 then
   begin
      result := 'insubstantiality (self powered 2 per turn)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+420000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+5;
   end;
   if d = 10 then
   begin
      result := 'astral projection (self powered 1 per turn)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+20000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+6;
   end;
   if d = 11 then
   begin
      result := 'astral projection (self powered 2 per turn)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+40000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+6;
   end;
   if d = 12 then
   begin
      result := 'unnoticeable (self powered)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+600000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+2;
   end;
   if d = 13 then
   begin
      result := 'reverse missiles (self powered)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+50000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+6;
   end;
   if d = 14 then
   begin
      result := 'spell sheild (self powered)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+60000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+6;
   end;
   if d = 15 then
   begin
      result := 'teleport (self powered 1 per turn)';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+150000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+10;
   end;
   if d = 16 then
   begin
      result := 'darkness 5-hex radius';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+32000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+4;
   end;
   if d = 17 then
   begin
      result := 'strength battery 80';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+80000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+4;
   end;
   if d = 18 then
   begin
      result := 'attribute +5 DX';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+32000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+3;
   end;
   if d = 19 then
   begin
      result := 'attribute +5 ST';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+32000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+3;
   end;
   if d = 20 then
   begin
      result := 'attribute +5 IQ';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+32000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+3;
   end;
   if d = 21 then
   begin
      result := 'cursed clumbsiness -5 DX'+Conceal(count);
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+16000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
   if d = 22 then
   begin
      result := 'cursed weakness -5 ST'+Conceal(count);
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+16000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
   if d = 23 then
   begin
      result := 'cursed confusion -5 IQ'+Conceal(count);
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+16000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
   if d = 24 then
   begin
      result := 'immunity to clumbsiness of -5 DX';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+16000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
   if d = 25 then
   begin
      result := 'immunity to weakness of -5 ST';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+16000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
   if d = 26 then
   begin
      result := 'immunity to clumbsiness of -5 IQ';
      FamilySet[count].List := FamilySet[count].List+FamilySet[count].List+16000;
      FamilySet[count].Time := FamilySet[count].Time+FamilySet[count].Time+1;
   end;
end;

procedure Initialize;
var
   count: integer;
begin
   Form1.RichEdit1.Lines.Clear;
   for count := 1 to 1001 do
   begin
      FamilySet[count].alignment:= '';
      FamilySet[count].Background:= '';
      FamilySet[count].IQ:=0;
      FamilySet[count].Wizards:=0;
      FamilySet[count].Cost:=0;
      FamilySet[count].List:=0;
      FamilySet[count].Time:=0;
      FamilySet[count].Enchant1:= '';
      FamilySet[count].Enchant2:= '';
      FamilySet[count].Enchant3:= '';
      FamilySet[count].Enchant4:= '';
      FamilySet[count].Enchant5:= '';

   end;

end;

procedure GenAlignment(count: integer);
begin
        d := Random(8)+1;
        if d < 5 then
        begin
           FamilySet[count].alignment:=
              FamilySet[count].alignment+'Guild ';
        end
        else
        begin
           FamilySet[count].alignment:=
              FamilySet[count].alignment+'Hell ';
        end
end;

procedure GenIQ(count: integer);
begin
   d := Random(6)+1;
   FamilySet[count].IQ:=14+d;
end;

procedure GenWizards(count: integer);
begin
   d := Random(6)+1;
   if d = 1 then
      FamilySet[count].Wizards:=1;
   if d = 2 then
      FamilySet[count].Wizards:=2;
   if d = 3 then
      FamilySet[count].Wizards:=4;
   if d = 4 then
      FamilySet[count].Wizards:=8;
   if d = 5 then
      FamilySet[count].Wizards:=16;
   if d = 6 then
      FamilySet[count].Wizards:=32;
end;

procedure GenLense(count: integer);
begin
   if FamilySet[count].Wizards = 1 then
   begin
      FamilySet[count].Enchant1 := 'Translation of '
                                +IntToStr(FamilySet[count].Wizards)
                                +' language';
   end
   else
   begin
      FamilySet[count].Enchant1 := 'Translation of '
                                +IntToStr(FamilySet[count].Wizards)
                                +' languages';
   end;
   FamilySet[count].Time := FamilySet[count].Time + 6;
   FamilySet[count].List := FamilySet[count].List + (2000 * FamilySet[count].Wizards)
end;

procedure GenSword(count: integer);
begin
              if FamilySet[count].Wizards > 15 then
              begin
                 FamilySet[count].Enchant1 := '+5 damage ';
                 FamilySet[count].Time := FamilySet[count].Time + 2;
                 FamilySet[count].List := FamilySet[count].List + 16000;
              end;
              if FamilySet[count].Wizards = 8 then
              begin
                 FamilySet[count].Enchant1 := '+4 damage ';
                 FamilySet[count].Time := FamilySet[count].Time + 2;
                 FamilySet[count].List := FamilySet[count].List + 8000;
              end;
              if FamilySet[count].Wizards = 4 then
              begin
                 FamilySet[count].Enchant1 := '+3 damage ';
                 FamilySet[count].Time := FamilySet[count].Time + 2;
                 FamilySet[count].List := FamilySet[count].List + 4000;
              end;
              if FamilySet[count].Wizards = 2 then
              begin
                 FamilySet[count].Enchant1 := '+2 damage ';
                 FamilySet[count].Time := FamilySet[count].Time + 2;
                 FamilySet[count].List := FamilySet[count].List + 2000;
              end;
              if FamilySet[count].Wizards = 1 then
              begin
                 FamilySet[count].Enchant1 := '+1 damage ';
                 FamilySet[count].Time := FamilySet[count].Time + 2;
                 FamilySet[count].List := FamilySet[count].List + 1000;
              end;
end;

procedure GenArmor(count: integer);
begin
              if FamilySet[count].Wizards > 15 then
              begin
                 FamilySet[count].Enchant1 := '+5 Hits stopped ';
                 FamilySet[count].Time := FamilySet[count].Time + 2;
                 FamilySet[count].List := FamilySet[count].List + 16000;
              end;
              if FamilySet[count].Wizards = 8 then
              begin
                 FamilySet[count].Enchant1 := '+4 Hits stopped ';
                 FamilySet[count].Time := FamilySet[count].Time + 2;
                 FamilySet[count].List := FamilySet[count].List + 8000;
              end;
              if FamilySet[count].Wizards = 4 then
              begin
                 FamilySet[count].Enchant1 := '+3 Hits stopped ';
                 FamilySet[count].Time := FamilySet[count].Time + 2;
                 FamilySet[count].List := FamilySet[count].List + 3000;
              end;
              if FamilySet[count].Wizards = 2 then
              begin
                 FamilySet[count].Enchant1 := '+2 Hits stopped ';
                 FamilySet[count].Time := FamilySet[count].Time + 2;
                 FamilySet[count].List := FamilySet[count].List + 2000;
              end;
              if FamilySet[count].Wizards = 1 then
              begin
                 FamilySet[count].Enchant1 := '+1 Hits stopped ';
                 FamilySet[count].Time := FamilySet[count].Time + 2;
                 FamilySet[count].List := FamilySet[count].List + 1000;
              end;
end;


procedure GenBackground(count: integer);
begin
        d := Random(8)+1;
        if d < 2 then
        begin
              if FamilySet[count].alignment = 'Hell ' then
              begin
                 FamilySet[count].background:=
                    FamilySet[count].background +'Unholy Lense ';
                    GenIQ(count);
                    if FamilySet[count].IQ < 20 then
                       FamilySet[count].IQ := 20;
                    GenWizards(count);
                    GenLense(count);
                     FamilySet[count].Enchant2 := Enchant2(count);
                     FamilySet[count].Enchant3 := Enchant3(count);
                     if (FamilySet[count].Wizards > 7) then
                        FamilySet[count].Enchant4 := Enchant4(count)
                     else
                        FamilySet[count].Enchant4 := Enchant2(count);
                     if (FamilySet[count].Wizards > 15) then
                        FamilySet[count].Enchant5 := Enchant5(count)
                     else
                        FamilySet[count].Enchant5 := Enchant3(count);
              end
              else
              begin
                 FamilySet[count].background:=
                    FamilySet[count].background +'Holy Lense ';
                    GenIQ(count);
                    if FamilySet[count].IQ < 20 then
                       FamilySet[count].IQ := 20;
                    GenWizards(count);
                    GenLense(count);
                     FamilySet[count].Enchant2 := Enchant2(count);
                     FamilySet[count].Enchant3 := Enchant3(count);
                     if (FamilySet[count].Wizards > 7) then
                        FamilySet[count].Enchant4 := Enchant4(count)
                     else
                        FamilySet[count].Enchant4 := Enchant2(count);
                     if (FamilySet[count].Wizards > 15) then
                        FamilySet[count].Enchant5 := Enchant5(count)
                     else
                        FamilySet[count].Enchant5 := Enchant3(count);
              end;
        end
        else
        begin
           if d < 7 then
           begin
              FamilySet[count].background:=
                  FamilySet[count].background+'Fighters Sword ';
                  GenIQ(count);
                  GenWizards(count);
                  GenSword(count);
                  if (FamilySet[count].IQ > 17) then
                  begin
                     FamilySet[count].Enchant2 := Enchant2(count);
                     if (FamilySet[count].IQ < 20) then
                     begin
                        FamilySet[count].Enchant3 := Enchant2(count);
                        FamilySet[count].Enchant4 := Enchant2(count);
                        FamilySet[count].Enchant5 := Enchant2(count);
                     end
                  end;
                  if (FamilySet[count].IQ > 19) then
                  begin
                     FamilySet[count].Enchant3 := Enchant3(count);

                     if (FamilySet[count].Wizards > 7) then
                        FamilySet[count].Enchant4 := Enchant4(count)
                     else
                        FamilySet[count].Enchant4 := Enchant3(count);

                     if (FamilySet[count].Wizards > 15) then
                        FamilySet[count].Enchant5 := Enchant5(count)
                     else
                        FamilySet[count].Enchant5 := Enchant3(count);
                  end;
           end
           else
           begin
              FamilySet[count].background:=
                  FamilySet[count].background+'Magicians Armor ';
                  GenIQ(count);
                  GenWizards(count);
                  GenArmor(count);
                  if (FamilySet[count].IQ > 17) then
                  begin
                     FamilySet[count].Enchant2 := Enchant2(count);
                     if (FamilySet[count].IQ < 20) then
                     begin
                        FamilySet[count].Enchant3 := Enchant2(count);
                        FamilySet[count].Enchant4 := Enchant2(count);
                        FamilySet[count].Enchant5 := Enchant2(count);
                     end;
                  end;
                  if (FamilySet[count].IQ > 19) then
                  begin
                     FamilySet[count].Enchant2 := Enchant2(count);
                     FamilySet[count].Enchant3 := Enchant3(count);
                     if (FamilySet[count].Wizards > 7) then
                        FamilySet[count].Enchant4 := Enchant4(count)
                     else
                        FamilySet[count].Enchant4 := Enchant2(count);
                     if (FamilySet[count].Wizards > 15) then
                        FamilySet[count].Enchant5 := Enchant5(count)
                     else
                        FamilySet[count].Enchant5 := Enchant3(count);
                  end;
           end
        end
end;

procedure TForm1.Generate1Click(Sender: TObject);
var
   coun: integer;
begin
     Initialize;
     Randomize;
     for coun := 969 to 1001 do
     begin
        GenAlignment(coun);
        GenBackground(coun);
     end;

     for coun := 1001 downto 969 do
     begin
        if FamilySet[coun].Alignment = 'Hell ' then
        begin
           Form1.RichEdit1.Lines.Add(FamilySet[coun].Background
                                    +'of '
                                    +FamilySet[coun].Alignment);
        end
        else
        begin
           Form1.RichEdit1.Lines.Add(FamilySet[coun].Alignment
                                 +FamilySet[coun].Background);
        end;
        if FamilySet[coun].Wizards = 1 then
        begin
           Form1.RichEdit1.Lines.Add('    Made by '
                                 +IntToStr(FamilySet[coun].Wizards)
                                 +' wizard of '
                                 +IntToStr(FamilySet[coun].IQ)
                                 +' IQ, during '
                                 +IntToStr(FamilySet[coun].Time)
                                 +' weeks');
        end
        else
        begin
           Form1.RichEdit1.Lines.Add('   Made by '
                                 +IntToStr(FamilySet[coun].Wizards)
                                 +' wizards of '
                                 +IntToStr(FamilySet[coun].IQ)
                                 +' IQ, over '
                                 +IntToStr(FamilySet[coun].Time)
                                 +' weeks');
        end;
        Form1.RichEdit1.Lines.Add('   '+FamilySet[coun].enchant1);
        if FamilySet[coun].enchant2 <> '' then
           Form1.RichEdit1.Lines.Add('   '+FamilySet[coun].enchant2);
        if FamilySet[coun].enchant3 <> '' then
           Form1.RichEdit1.Lines.Add('   '+FamilySet[coun].enchant3);
        if FamilySet[coun].enchant4 <> '' then
           Form1.RichEdit1.Lines.Add('   '+FamilySet[coun].enchant4);
        if FamilySet[coun].enchant5 <> '' then
           Form1.RichEdit1.Lines.Add('   '+FamilySet[coun].enchant5);
        Form1.RichEdit1.Lines.Add('   Cost: '
                                 +IntToStr(FamilySet[coun].Cost));
        Form1.RichEdit1.Lines.Add('   List: '
                                 +IntToStr(FamilySet[coun].List));
        Form1.RichEdit1.Lines.Add(' ');
     end
end;

end.
