unit Hex_lab;

interface

uses
  Windows, Messages, SysUtils, Classes,
  Graphics, Controls, Forms, Dialogs,
  StdCtrls, Math, ComCtrls, ExtCtrls,
  ShellAPI, Menus, Registry;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    OpenDialog1: TOpenDialog;
    ListBox1: TListBox;
    Label5: TLabel;
    Label6: TLabel;
    SaveDialog1: TSaveDialog;
    ListBox2: TListBox;
    TrackBar1: TTrackBar;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Button4: TButton;
    Label10: TLabel;
    ComboBox1: TComboBox;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    New1: TMenuItem;
    Open1: TMenuItem;
    Save1: TMenuItem;
    SaveAs1: TMenuItem;
    Close1: TMenuItem;
    Exit1: TMenuItem;
    N1: TMenuItem;
    Help1: TMenuItem;
    WebPage1: TMenuItem;
    N2: TMenuItem;
    About1: TMenuItem;
    N3: TMenuItem;
    Contents1: TMenuItem;
    Run1: TMenuItem;
    Run2: TMenuItem;
    RunInQuake: TMenuItem;
    SetPath1: TMenuItem;
    RuninGLQuake: TMenuItem;
    N4: TMenuItem;
    UpDown1: TUpDown;
    Label11: TLabel;
    View1: TMenuItem;
    Allhexes1: TMenuItem;
    ZoomIn1: TMenuItem;
    ZoomOut1: TMenuItem;
    ImageList1: TImageList;
    procedure FormResize(Sender: TObject);
    procedure FormPaint(Sender: TObject);
    procedure FormMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure FormMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Button4Click(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure Open1Click(Sender: TObject);
    procedure Save1Click(Sender: TObject);
    procedure SaveAs1Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure YOU1Click(Sender: TObject);
    procedure Close1Click(Sender: TObject);
    procedure About1Click(Sender: TObject);
    procedure WebPage1Click(Sender: TObject);
    procedure FormMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Contents1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Run2Click(Sender: TObject);
    procedure New1Click(Sender: TObject);
    procedure RunInQuakeClick(Sender: TObject);
    procedure RuninGLQuakeClick(Sender: TObject);
    procedure SetPath1Click(Sender: TObject);
    procedure UpDown1Changing(Sender: TObject; var AllowChange: Boolean);
    procedure Allhexes1Click(Sender: TObject);
    procedure ZoomOut1Click(Sender: TObject);
    procedure ZoomIn1Click(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declaratiocsns }
    IniFile: TRegIniFile;
  public
    { Public declarations }
  end;
    HexData = record
         valid: boolean;
         x,y,z: integer;
         wall: array [1..8] of smallint;
         Hadjacent: array[1..8] of integer;
         CeilBmp: string;
         FloorBmp: string;
         WallBmp: string;
         end;
    Start = record
          Valid: boolean;
          Hex: integer;
          Armor: string;
          Weapons: integer;
          Ammo: integer;
          CeilBmp: string;
          FloorBmp: string;
          WallBmp: string;
          angle: smallint;
          end;
    TheLast = record
          Hex: integer;
          Face: integer;
          end;


var
  Form1: TForm1;
  ch, cw: integer;
  ty,rx,ry, cx, cy, mx, my,
  view_x,view_y, quad: integer;
  Hmap: array[1..919] of HexData;

  UndoList1: array[1..255] of integer;
  UndoList2: array[1..255] of integer;

  HallWay: Start;
  PlayerStart: Start;
  PlayerStart2: Start;
  Cooperative: array[1..8] of Start;
  Deathmatch: array[1..8] of Start;
  CurrentCoop, CurrentMatch: integer;
  Angle, scale, Distance, Rad: double;
  IsSaved, debug: boolean;
  Qexe, GLQexe: Boolean;
  Qpath, id1, maps, User_Total_Saved, DoorTex,
    WallTex, ceilTex, floorTex, curFile: string;
  BlankBmp, WallBmp, CeilBmp, FloorBmp, DoorBmp, StartBmp: TBitmap;
  Light, bright: integer;
  Last: TheLast;
  Last_Start, Last_Door: smallint;
  zoom: integer;

const
  Title = 'Hex_Lab';
  crSTART_1 = 1;
  crSTART_2 = 2;
  crSTART_3 = 3;
  crSTART_4 = 4;
  crSTART_5 = 5;
  crSTART_6 = 6;
  crSTART2_1 = 7;
  crSTART2_2 = 8;
  crSTART2_3 = 9;
  crSTART2_4 = 10;
  crSTART2_5 = 11;
  crSTART2_6 = 12;
  crMATCH_1 = 13;
  crMATCH_2 = 14;
  crMATCH_3 = 15;
  crMATCH_4 = 16;
  crMATCH_5 = 17;
  crMATCH_6 = 18;
  crCOOP_1 = 19;
  crCOOP_2 = 20;
  crCOOP_3 = 21;
  crCOOP_4 = 22;
  crCOOP_5 = 23;
  crCOOP_6 = 24;
  crHEX1 = 25;
  crHEX_1 = 26;
  crHEX_2 = 27;
  crHEX_3 = 28;
  crDOOR_1 = 29;
  crDOOR_2 = 30;
  crDOOR_3 = 31;
  crDOOR_4 = 32;
  crDOOR_5 = 33;
  crDOOR_6 = 34;


implementation

{$R *.DFM}
{$R HEX_TEST.RES}

function EraseHex(Hex: integer): boolean;
var
   x,y: integer;
begin
     Result := False;
     if (Hex > 0) and
        (Hex < 920) then
     begin
     ty := Round(128 * scale);
     rx := Round(112 * scale);
     ry := Round(64 * scale);

     x := Round(Hmap[Hex].x * scale * -1);
     y := Round(Hmap[Hex].y * scale * -1);

     Form1.Canvas.Pen.Color := clGreen;
     Form1.Canvas.Pen.Width := 1;
     Form1.Canvas.Brush.Color := clBtnFace;

     Form1.Canvas.Polygon([
       point(x+rx+cx,cy-y+ry),
       point(x+rx+cx,cy-y-ry),
       point(x+cx,cy-y-ty),
       point(x-rx+cx,cy-y-ry),
       point(x-rx+cx,cy-y+ry),
       point(x+cx,cy-y+ty)]);

{     Form1.Canvas.Pen.Color := clGreen;

     Form1.Canvas.MoveTo(x+rx+cx, cy-y+ry);
     Form1.Canvas.LineTo(x+rx+cx, cy-y-ry);
     Form1.Canvas.LineTo(x+cx, cy-y-ty);
     Form1.Canvas.LineTo(x-rx+cx, cy-y-ry);}

     result := True;
     end;
end;

function RenderWireHex(Hex: integer): boolean;
var
   x,y: integer;
begin
     Result := False;
     if (Hex > 0) and
        (Hex < 920) then
     begin
     ty := Round(128 * scale);
     rx := Round(112 * scale);
     ry := Round(64 * scale);

     x := Round(Hmap[Hex].x * scale * -1);
     y := Round(Hmap[Hex].y * scale * -1);

     Form1.Canvas.Pen.Color := clGreen;
     Form1.Canvas.Pen.Width := 1;
     Form1.Canvas.Brush.Color := clBtnFace;

     Form1.Canvas.Polygon([
       point(x+rx+cx,cy-y+ry),
       point(x+rx+cx,cy-y-ry),
       point(x+cx,cy-y-ty),
       point(x-rx+cx,cy-y-ry),
       point(x-rx+cx,cy-y+ry),
       point(x+cx,cy-y+ty)]);

{     Form1.Canvas.Pen.Color := clGreen;

     Form1.Canvas.MoveTo(x+rx+cx, cy-y+ry);
     Form1.Canvas.LineTo(x+rx+cx, cy-y-ry);
     Form1.Canvas.LineTo(x+cx, cy-y-ty);
     Form1.Canvas.LineTo(x-rx+cx, cy-y-ry);}

     result := True;
     end;
end;

function RenderHex(Hex: integer): boolean;
var
   x,y, count: integer;
   coop, match: boolean;
   x1,y1,x2,y2,
   x3,y3,x4,y4: integer;
begin
     Result := False;
     if (Hex > 0) and
        (Hex < 920) then
     begin
     ty := Round(128 * scale);
     rx := Round(112 * scale);
     ry := Round(64 * scale);

     x := Round(Hmap[Hex].x * scale * -1);
     y := Round(Hmap[Hex].y * scale * -1);

     Form1.Canvas.Pen.Color := clGreen;
     Form1.Canvas.Pen.Width := 1;
     Form1.Canvas.Brush.Bitmap := FloorBmp;
     if (Hex = PlayerStart.Hex) and (PlayerStart.Valid) then
        Form1.Canvas.Brush.Color := clRed;
     if (Hex = PlayerStart2.Hex) and (PlayerStart2.Valid) then
        Form1.Canvas.Brush.Color := clTeal;

     coop := False;
     match := False;

     for count := 1 to 8 do
     begin
         if (Hex = Deathmatch[count].Hex) and (Deathmatch[count].Valid) then
            match := true;
     end;

     for count := 1 to 8 do
     begin
         if (Hex = Cooperative[count].Hex) and (Cooperative[count].Valid) then
            coop := true;
     end;

     if match = true then
        Form1.Canvas.Pen.Color := clAqua;
     if Coop = True then
        Form1.Canvas.Pen.Color := clFuchsia;
     if (match = True) and (coop = True) then
        Form1.Canvas.Pen.Color := clLime;

     Form1.Canvas.Polygon([
       point(x+rx+cx,cy-y+ry),
       point(x+rx+cx,cy-y-ry),
       point(x+cx,cy-y-ty),
       point(x-rx+cx,cy-y-ry),
       point(x-rx+cx,cy-y+ry),
       point(x+cx,cy-y+ty)]);

     if Hmap[Hex].Wall[1] = 2 then
     begin
                 Form1.Canvas.Pen.Color := clBlack;
                 Form1.Canvas.Brush.Bitmap := DoorBmp;
                      x1 := round((-8 * scale)+x);
                      y1 := round(y-(100 * scale));
                      x2 := round((-20 * scale)+x);
                      y2 := round(y-(116 * scale));
                      x3 := round((-88 * scale)+x);
                      y3 := round(y-(80 * scale));
                      x4 := round((-80 * scale)+x);
                      y4 := round(y-(60 * scale));
                 Form1.Canvas.Polygon([
                   point(cx+x1,cy-y1),
                   point(cx+x2,cy-y2),
                   point(cx+x3,cy-y3),
                   point(cx+x4,cy-y4)]);
                 Form1.Canvas.MoveTo(cx+0+x,cy-y-round(-128* scale));
                 Form1.Canvas.LineTo(cx+round(-112*scale)+x,cy-y-round(-64*scale));
     end;

     if Hmap[Hex].Wall[2] = 2 then
     begin
                 Form1.Canvas.Pen.Color := clBlack;
                 Form1.Canvas.Brush.Bitmap := DoorBmp;
                      x1 := round((-84 * scale)+x);
                      y1 := round(y-(48 * scale));
                      x2 := round((-112 * scale)+x);
                      y2 := round(y-(48 * scale));
                      x3 := round((-112 * scale)+x);
                      y3 := round(y-(-48 * scale));
                      x4 := round((-84 * scale)+x);
                      y4 := round(y-(-48 * scale));
                 Form1.Canvas.Polygon([
                   point(cx+x1,cy-y1),
                   point(cx+x2,cy-y2),
                   point(cx+x3,cy-y3),
                   point(cx+x4,cy-y4)]);
                 Form1.Canvas.MoveTo(cx+round(-112*scale)+x,cy-y-round(64* scale));
                 Form1.Canvas.LineTo(cx+round(-112*scale)+x,cy-y-round(-64*scale));
     end;

     if Hmap[Hex].Wall[3] = 2 then
     begin
                 Form1.Canvas.Pen.Color := clBlack;
                 Form1.Canvas.Brush.Bitmap := DoorBmp;
                      x1 := round((-8 * scale)+x);
                      y1 := round(y-(-100 * scale));
                      x2 := round((-20 * scale)+x);
                      y2 := round(y-(-116 * scale));
                      x3 := round((-88 * scale)+x);
                      y3 := round(y-(-80 * scale));
                      x4 := round((-80 * scale)+x);
                      y4 := round(y-(-60 * scale));
                 Form1.Canvas.Polygon([
                   point(cx+x1,cy-y1),
                   point(cx+x2,cy-y2),
                   point(cx+x3,cy-y3),
                   point(cx+x4,cy-y4)]);
                 Form1.Canvas.MoveTo(cx+0+x,cy-y-round(128* scale));
                 Form1.Canvas.LineTo(cx+round(-112*scale)+x,cy-y-round(64*scale));
     end;

     if Hmap[Hex].Wall[4] = 2 then
     begin
                 Form1.Canvas.Pen.Color := clBlack;
                 Form1.Canvas.Brush.Bitmap := DoorBmp;
                      x3 := round((8 * scale)+x);
                      y3 := round(y-(-100 * scale));
                      x4 := round((20 * scale)+x);
                      y4 := round(y-(-116 * scale));
                      x1 := round((88 * scale)+x);
                      y1 := round(y-(-80 * scale));
                      x2 := round((80 * scale)+x);
                      y2 := round(y-(-60 * scale));
                 Form1.Canvas.Polygon([
                   point(cx+x1,cy-y1),
                   point(cx+x2,cy-y2),
                   point(cx+x3,cy-y3),
                   point(cx+x4,cy-y4)]);
                 Form1.Canvas.MoveTo(cx-0+x,cy-y-round(128* scale));
                 Form1.Canvas.LineTo(cx-round(-112*scale)+x,cy-y-round(64*scale));
     end;

     if Hmap[Hex].Wall[5] = 2 then
     begin
                 Form1.Canvas.Pen.Color := clBlack;
                 Form1.Canvas.Brush.Bitmap := DoorBmp;
                      x1 := round((84 * scale)+x);
                      y1 := round(y-(-48 * scale));
                      x2 := round((112 * scale)+x);
                      y2 := round(y-(-48 * scale));
                      x3 := round((112 * scale)+x);
                      y3 := round(y-(48 * scale));
                      x4 := round((84 * scale)+x);
                      y4 := round(y-(48 * scale));
                 Form1.Canvas.Polygon([
                   point(cx+x1,cy-y1),
                   point(cx+x2,cy-y2),
                   point(cx+x3,cy-y3),
                   point(cx+x4,cy-y4)]);
     end;

     if Hmap[Hex].Wall[6] = 2 then
     begin
                 Form1.Canvas.Pen.Color := clBlack;
                 Form1.Canvas.Brush.Bitmap := DoorBmp;
                      x1 := round((8 * scale)+x);
                      y1 := round(y-(100 * scale));
                      x2 := round((20 * scale)+x);
                      y2 := round(y-(116 * scale));
                      x3 := round((88 * scale)+x);
                      y3 := round(y-(80 * scale));
                      x4 := round((80 * scale)+x);
                      y4 := round(y-(60 * scale));
                 Form1.Canvas.Polygon([
                   point(cx+x1,cy-y1),
                   point(cx+x2,cy-y2),
                   point(cx+x3,cy-y3),
                   point(cx+x4,cy-y4)]);
                 Form1.Canvas.MoveTo(cx-0+x,cy-y-round(-128* scale));
                 Form1.Canvas.LineTo(cx-round(-112*scale)+x,cy-y-round(-64*scale));
     end;
/// begin imageList1 test
    if lowercase(Form1.ComboBox1.Text) = 'mark' then
    begin
     Form1.ImageList1.Draw(Form1.Canvas,
           x+cx-(Form1.ImageList1.Width div 2),
           cy-y+(Form1.ImageList1.Width div 2),4);

     Form1.ImageList1.Draw(Form1.Canvas,
           x+cx+(Form1.ImageList1.Width div 2),
           cy-y+(Form1.ImageList1.Width div 2),5);

     Form1.ImageList1.Draw(Form1.Canvas,
           x+cx+(Form1.ImageList1.Width div 2),
           cy-y-(Form1.ImageList1.Width div 2),3);

     Form1.ImageList1.Draw(Form1.Canvas,
           x+cx-(Form1.ImageList1.Width div 2),
           cy-y-(Form1.ImageList1.Width div 2),2);
     end;
/// end imageList1 test
     Result := True;
     end;
end;

function AddDoor1(Hex: integer): boolean;
begin
     if Hmap[Hmap[Hex].Hadjacent[1]].Valid then
     begin
         if Hmap[Hex].Wall[1] = 2 then
         begin
              Hmap[Hex].Wall[1] := 0;
              RenderHex(Hex);
         end
         else
         begin
              if (Hmap[Hmap[Hex].Hadjacent[6]].Valid = False) and
                 (Hmap[Hmap[Hex].Hadjacent[2]].Valid = False) then
              begin
                 Hmap[Hex].Wall[1] := 2;
                 RenderHex(Hex);
                 beep;
             end;
         end;
     end;
     Result := True;
end;

function AddDoor2(Hex: integer): boolean;
begin
     if Hmap[Hmap[Hex].Hadjacent[2]].Valid then
     begin
         if Hmap[Hex].Wall[2] = 2 then
         begin
              Hmap[Hex].Wall[2] := 0;
              RenderHex(Hex);
         end
         else
         begin
              if (Hmap[Hmap[Hex].Hadjacent[1]].Valid = False) and
                 (Hmap[Hmap[Hex].Hadjacent[3]].Valid = False) then
              begin
                   Hmap[Hex].Wall[2] := 2;
                   RenderHex(Hex);
                   Beep;
              end;
         end;
     end;
     Result := True;
end;

function AddDoor3(Hex: integer): boolean;
begin
     if Hmap[Hmap[Hex].Hadjacent[3]].Valid then
     begin
         if Hmap[Hex].Wall[3] = 2 then
         begin
              Hmap[Hex].Wall[3] := 0;
              RenderHex(Hex);
         end
         else
         begin
              if (Hmap[Hmap[Hex].Hadjacent[2]].Valid = False) and
                 (Hmap[Hmap[Hex].Hadjacent[4]].Valid = False) then
              begin
                 Hmap[Hex].Wall[3] := 2;
                 RenderHex(Hex);
                 beep;
             end;
         end;
     end;
     Result := True;
end;

function AddDoor4(Hex: integer): boolean;
begin
     if Hmap[Hmap[Hex].Hadjacent[4]].Valid then
     begin
         if Hmap[Hex].Wall[4] = 2 then
         begin
              Hmap[Hex].Wall[4] := 0;
              RenderHex(Hex);
         end
         else
         begin
              if (Hmap[Hmap[Hex].Hadjacent[3]].Valid = False) and
                 (Hmap[Hmap[Hex].Hadjacent[5]].Valid = False) then
              begin
                 Hmap[Hex].Wall[4] := 2;
                 RenderHex(Hex);
                 beep;
             end;
         end;
     end;
     Result := True;
end;

function AddDoor5(Hex: integer): boolean;
begin
     if Hmap[Hmap[Hex].Hadjacent[5]].Valid then
     begin
         if Hmap[Hex].Wall[5] = 2 then
         begin
              Hmap[Hex].Wall[5] := 0;
              RenderHex(Hex);
         end
         else
         begin
              if (Hmap[Hmap[Hex].Hadjacent[4]].Valid = False) and
                 (Hmap[Hmap[Hex].Hadjacent[6]].Valid = False) then
              begin
                 Hmap[Hex].Wall[5] := 2;
                 RenderHex(Hex);
                 beep;
             end;
         end;
     end;
     Result := True;
end;

function AddDoor6(Hex: integer): boolean;
begin
     if Hmap[Hmap[Hex].Hadjacent[6]].Valid then
     begin
         if Hmap[Hex].Wall[6] = 2 then
         begin
              Hmap[Hex].Wall[6] := 0;
              RenderHex(Hex);
         end
         else
         begin
              if (Hmap[Hmap[Hex].Hadjacent[5]].Valid = False) and
                 (Hmap[Hmap[Hex].Hadjacent[1]].Valid = False) then
              begin
                 Hmap[Hex].Wall[6] := 2;
                 RenderHex(Hex);
                 beep;
             end;
         end;
     end;
     Result := True;
end;

function MapDoor1(hex,ox,oy,oz: integer): boolean;
begin
     if Hmap[hex].wall[1] = 2 then
     begin
          Form1.ListBox1.Items.Add('{');

          Form1.ListBox1.Items.add(#34+
               'classname'+ #34 +' '+#34+'func_door'+#34);
          Form1.ListBox1.Items.add(#34+
               'angle'+#34+' '+#34+'150'+#34);
          Form1.ListBox1.Items.add(#34+
               'speed'+#34+' '+#34+'200'+#34);
          Form1.ListBox1.Items.add(#34+
               'sounds'+#34+' '+#34+'4'+#34);
          Form1.ListBox1.Items.add(#34+
               'lip'+#34+' '+#34+'-32'+#34);

          Form1.ListBox1.Items.add('{');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox -8) +' '+
               IntToStr(oy +114) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox) +' '+
               IntToStr(oy +128) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox +56) +' '+
               IntToStr(oy +98) +' '+
               IntToStr(oz +128) +' ) '+
               DoorTex + ' 88 66 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox +48) +' '+
               IntToStr(oy +84) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox +56) +' '+
               IntToStr(oy +98) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox) +' '+
               IntToStr(oy +128) +' '+
               IntToStr(oz -64) +' ) '+
               DoorTex + ' 88 66 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox -8) +' '+
               IntToStr(oy +114) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox +48) +' '+
               IntToStr(oy +84) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox +48) +' '+
               IntToStr(oy +84) +' '+
               IntToStr(oz -64) +' ) '+
               DoorTex + ' -112 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox) +' '+
               IntToStr(oy +128) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox +56) +' '+
               IntToStr(oy +98) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox +56) +' '+
               IntToStr(oy +98) +' '+
               IntToStr(oz +128) +' ) '+
               DoorTex + ' -112 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox) +' '+
               IntToStr(oy +128) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox -8) +' '+
               IntToStr(oy +114) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox -8) +' '+
               IntToStr(oy +114) +' '+
               IntToStr(oz -64) +' ) '+
               DoorTex + ' 134 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox +56) +' '+
               IntToStr(oy +98) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox +48) +' '+
               IntToStr(oy +84) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox +48) +' '+
               IntToStr(oy +84) +' '+
               IntToStr(oz +128) +' ) '+
               DoorTex + ' 134 0 0 1.000000 1.000000');
          Form1.ListBox1.Items.Add('}');
          Form1.ListBox1.Items.Add('}');



          Form1.ListBox1.Items.Add('{');
          Form1.ListBox1.Items.add(#34+
               'classname'+#34+' '+#34+'func_door'+#34);
          Form1.ListBox1.Items.add(#34+
               'angle'+#34+' '+#34+'330'+#34);
          Form1.ListBox1.Items.add(#34+
               'speed'+#34+' '+#34+'200'+#34);
          Form1.ListBox1.Items.add(#34+
               'sounds'+#34+' '+#34+'4'+#34);
          Form1.ListBox1.Items.add(#34+
               'lip'+#34+' '+#34+'-32'+#34);

          Form1.ListBox1.Items.add('{');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox +48) +' '+
               IntToStr(oy +84) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox +56) +' '+
               IntToStr(oy +98) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox +112) +' '+
               IntToStr(oy +66) +' '+
               IntToStr(oz +128) +' ) '+
               DoorTex + ' 32 115 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox +104) +' '+
               IntToStr(oy +52) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox +112) +' '+
               IntToStr(oy +66) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox +56) +' '+
               IntToStr(oy +98) +' '+
               IntToStr(oz -64) +' ) '+
               DoorTex + ' 32 115 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox +48) +' '+
               IntToStr(oy +84) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox +104) +' '+
               IntToStr(oy +52) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox +104) +' '+
               IntToStr(oy +52) +' '+
               IntToStr(oz -64) +' ) '+
               DoorTex + ' -72 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox +56) +' '+
               IntToStr(oy +98) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox +112) +' '+
               IntToStr(oy +66) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox +112) +' '+
               IntToStr(oy +66) +' '+
               IntToStr(oz +128) +' ) '+
               DoorTex + ' -72 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox +56) +' '+
               IntToStr(oy +98) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox +48) +' '+
               IntToStr(oy +84) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox +48) +' '+
               IntToStr(oy +84) +' '+
               IntToStr(oz -64) +' ) '+
               DoorTex + ' -11 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox +112) +' '+
               IntToStr(oy +66) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox +104) +' '+
               IntToStr(oy +52) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox +104) +' '+
               IntToStr(oy +52) +' '+
               IntToStr(oz +128) +' ) '+
               DoorTex + ' -11 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('}');

          Form1.ListBox1.Items.Add('}');

     end;
     Result := True;
end;


function MapWall1(hex,ox,oy,oz: integer): boolean;
begin
               if Hmap[hex].wall[1]=1 then
               begin
                    Form1.ListBox1.Items.Add('{');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox) +' '+
                            IntToStr(oy +128) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox +75) +' '+
                            IntToStr(oy +126) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox +112) +' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz +128) +' ) '+
                            wallTex + ' -96 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox +112) +' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz -64) +' ) ( '+

                            IntToStr(ox +75) +' '+
                            IntToStr(oy +126) +' '+
                            IntToStr(oz -64) +' ) ( '+

                            IntToStr(ox) +' '+
                            IntToStr(oy +128) +' '+
                            IntToStr(oz -64) +' ) '+
                            wallTex + ' -96 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox) +' '+
                            IntToStr(oy +128) +' '+
                            IntToStr(oz -64) +' ) ( '+

                            IntToStr(ox) +' '+
                            IntToStr(oy +128) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox +112) +' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz +128) +' ) '+
                            wallTex + ' -96 -64 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox +75) +' '+
                            IntToStr(oy +126) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox +75) +' '+
                            IntToStr(oy +126) +' '+
                            IntToStr(oz -64) +' ) ( '+

                            IntToStr(ox +112) +' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz -64) +' ) '+
                            wallTex + ' 0 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox) +' '+
                            IntToStr(oy +128) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox) +' '+
                            IntToStr(oy +128) +' '+
                            IntToStr(oz -64) +' ) ( '+

                            IntToStr(ox +75) +' '+
                            IntToStr(oy +126) +' '+
                            IntToStr(oz -64) +' ) '+
                            wallTex + ' -96 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('}');
               end;
     result := True;
end;

function MapDoor2(hex,ox,oy,oz: integer): boolean;
begin
     if Hmap[hex].wall[2] = 2 then
     begin
          Form1.ListBox1.Items.Add('{');

          Form1.ListBox1.Items.add(#34+
               'classname'+ #34 +' '+#34+'func_door'+#34);
          Form1.ListBox1.Items.add(#34+
               'angle'+#34+' '+#34+'90'+#34);
          Form1.ListBox1.Items.add(#34+
               'speed'+#34+' '+#34+'200'+#34);
          Form1.ListBox1.Items.add(#34+
               'sounds'+#34+' '+#34+'4'+#34);
          Form1.ListBox1.Items.add(#34+
               'lip'+#34+' '+#34+'8'+#34);

          Form1.ListBox1.Items.add('{');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox +96) +' '+
               IntToStr(oy +64) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox +112) +' '+
               IntToStr(oy +64) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox +112) +' '+
               IntToStr(oy) +' '+
               IntToStr(oz +128) +' ) '+
               DoorTex + ' 8 -8 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox +96) +' '+
               IntToStr(oy) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox +112) +' '+
               IntToStr(oy) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox +112) +' '+
               IntToStr(oy +64) +' '+
               IntToStr(oz -64) +' ) '+
               DoorTex + ' 8 -8 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox +96) +' '+
               IntToStr(oy +64) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox +96) +' '+
               IntToStr(oy) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox +96) +' '+
               IntToStr(oy) +' '+
               IntToStr(oz -64) +' ) '+
               DoorTex + ' 8 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox +112) +' '+
               IntToStr(oy +64) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox +112) +' '+
               IntToStr(oy) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox +112) +' '+
               IntToStr(oy) +' '+
               IntToStr(oz +128) +' ) '+
               DoorTex + ' 8 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox +112) +' '+
               IntToStr(oy +64) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox +96) +' '+
               IntToStr(oy +64) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox +96) +' '+
               IntToStr(oy +64) +' '+
               IntToStr(oz -64) +' ) '+
               DoorTex + ' 8 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox +112) +' '+
               IntToStr(oy) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox +96) +' '+
               IntToStr(oy) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox +96) +' '+
               IntToStr(oy) +' '+
               IntToStr(oz +128) +' ) '+
               DoorTex + ' 8 0 0 1.000000 1.000000');
          Form1.ListBox1.Items.Add('}');
          Form1.ListBox1.Items.Add('}');



          Form1.ListBox1.Items.Add('{');
          Form1.ListBox1.Items.add(#34+
               'classname'+#34+' '+#34+'func_door'+#34);
          Form1.ListBox1.Items.add(#34+
               'angle'+#34+' '+#34+'271'+#34);
          Form1.ListBox1.Items.add(#34+
               'speed'+#34+' '+#34+'200'+#34);
          Form1.ListBox1.Items.add(#34+
               'sounds'+#34+' '+#34+'4'+#34);
          Form1.ListBox1.Items.add(#34+
               'lip'+#34+' '+#34+'8'+#34);

          Form1.ListBox1.Items.add('{');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox +96) +' '+
               IntToStr(oy) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox +112) +' '+
               IntToStr(oy) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox +112) +' '+
               IntToStr(oy -64) +' '+
               IntToStr(oz +128) +' ) '+
               DoorTex + ' 8 8 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox +96) +' '+
               IntToStr(oy -64) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox +112) +' '+
               IntToStr(oy -66) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox +112) +' '+
               IntToStr(oy) +' '+
               IntToStr(oz -64) +' ) '+
               DoorTex + ' 8 8 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox +96) +' '+
               IntToStr(oy) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox +96) +' '+
               IntToStr(oy -64) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox +96) +' '+
               IntToStr(oy -64) +' '+
               IntToStr(oz -64) +' ) '+
               DoorTex + ' -8 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox +112) +' '+
               IntToStr(oy) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox +112) +' '+
               IntToStr(oy -64) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox +112) +' '+
               IntToStr(oy -64) +' '+
               IntToStr(oz +128) +' ) '+
               DoorTex + ' -8 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox +112) +' '+
               IntToStr(oy) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox +96) +' '+
               IntToStr(oy) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox +96) +' '+
               IntToStr(oy) +' '+
               IntToStr(oz -64) +' ) '+
               DoorTex + ' 8 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox +112) +' '+
               IntToStr(oy -64) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox +96) +' '+
               IntToStr(oy -64) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox +96) +' '+
               IntToStr(oy -64) +' '+
               IntToStr(oz +128) +' ) '+
               DoorTex + ' 8 0 0 1.000000 1.000000');
          Form1.ListBox1.Items.Add('}');
          Form1.ListBox1.Items.Add('}');
     end;
     Result := True;
end;

function MapWall2(hex,ox,oy,oz: integer): boolean;
begin
               if Hmap[hex].wall[2]=1 then
               begin
                    Form1.ListBox1.Items.Add('{');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox +112)+' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox +144) +' '+
                            IntToStr(oy -2) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox +112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz +128) +' ) '+
                            wallTex + ' -32 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox +112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz -64) +' ) ( '+

                            IntToStr(ox +144) +' '+
                            IntToStr(oy -2) +' '+
                            IntToStr(oz -64) +' ) ( '+

                            IntToStr(ox +112) +' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz -64) +' ) '+
                            wallTex + ' -32 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox +112) +' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz -64) +' ) ( '+

                            IntToStr(ox +112) +' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox +112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz +128) +' ) '+
                            wallTex + ' 0 -64 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox +144) +' '+
                            IntToStr(oy -2) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox +144) +' '+
                            IntToStr(oy -2) +' '+
                            IntToStr(oz -64) +' ) ( '+

                            IntToStr(ox +112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz -64) +' ) '+
                            wallTex + ' 0 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox +112) +' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox +112) +' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz -64) +' ) ( '+

                            IntToStr(ox +144) +' '+
                            IntToStr(oy -2) +' '+
                            IntToStr(oz -64) +' ) '+
                            wallTex + ' 0 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('}');
               end;
     result := True;
end;

function MapDoor3(hex,ox,oy,oz: integer): boolean;
begin
     if Hmap[hex].wall[3] = 2 then
     begin
          Form1.ListBox1.Items.Add('{');

          Form1.ListBox1.Items.add(#34+
               'classname'+ #34 +' '+#34+'func_door'+#34);
          Form1.ListBox1.Items.add(#34+
               'angle'+#34+' '+#34+'210'+#34);
          Form1.ListBox1.Items.add(#34+
               'speed'+#34+' '+#34+'200'+#34);
          Form1.ListBox1.Items.add(#34+
               'sounds'+#34+' '+#34+'4'+#34);
          Form1.ListBox1.Items.add(#34+
               'lip'+#34+' '+#34+'16'+#34);

          Form1.ListBox1.Items.add('{');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox +48) +' '+
               IntToStr(oy -82) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox +56) +' '+
               IntToStr(oy -96) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox) +' '+
               IntToStr(oy -128) +' '+
               IntToStr(oz +128) +' ) '+
               DoorTex + ' 24 -17 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox -8) +' '+
               IntToStr(oy -114) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox) +' '+
               IntToStr(oy -128) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox +56) +' '+
               IntToStr(oy -96) +' '+
               IntToStr(oz -64) +' ) '+
               DoorTex + ' 24 -17 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox +48) +' '+
               IntToStr(oy -82) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox -8) +' '+
               IntToStr(oy -114) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox -8) +' '+
               IntToStr(oy -114) +' '+
               IntToStr(oz -64) +' ) '+
               DoorTex + ' 16 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox +56) +' '+
               IntToStr(oy -96) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox) +' '+
               IntToStr(oy -128) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox) +' '+
               IntToStr(oy -128) +' '+
               IntToStr(oz +128) +' ) '+
               DoorTex + ' 16 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox +56) +' '+
               IntToStr(oy -96) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox +48) +' '+
               IntToStr(oy -82) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox +48) +' '+
               IntToStr(oy -82) +' '+
               IntToStr(oz -64) +' ) '+
               DoorTex + ' 25 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox) +' '+
               IntToStr(oy -128) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox -8) +' '+
               IntToStr(oy -114) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox -8) +' '+
               IntToStr(oy -114) +' '+
               IntToStr(oz +128) +' ) '+
               DoorTex + ' 25 0 0 1.000000 1.000000');
          Form1.ListBox1.Items.Add('}');
          Form1.ListBox1.Items.Add('}');



          Form1.ListBox1.Items.Add('{');
          Form1.ListBox1.Items.add(#34+
               'classname'+#34+' '+#34+'func_door'+#34);
          Form1.ListBox1.Items.add(#34+
               'angle'+#34+' '+#34+'30'+#34);
          Form1.ListBox1.Items.add(#34+
               'speed'+#34+' '+#34+'200'+#34);
          Form1.ListBox1.Items.add(#34+
               'sounds'+#34+' '+#34+'4'+#34);
          Form1.ListBox1.Items.add(#34+
               'lip'+#34+' '+#34+'16'+#34);

          Form1.ListBox1.Items.add('{');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox +56) +' '+
               IntToStr(oy -96) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox +48) +' '+
               IntToStr(oy -83) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox +104) +' '+
               IntToStr(oy -52) +' '+
               IntToStr(oz +128) +' ) '+
               DoorTex + ' 32 -34 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox +112) +' '+
               IntToStr(oy -65) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox +104) +' '+
               IntToStr(oy -52) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox +48) +' '+
               IntToStr(oy -83) +' '+
               IntToStr(oz -64) +' ) '+
               DoorTex + ' 32 -34 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox +56) +' '+
               IntToStr(oy -96) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox +112) +' '+
               IntToStr(oy -65) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox +112) +' '+
               IntToStr(oy -65) +' '+
               IntToStr(oz -64) +' ) '+
               DoorTex + ' 56 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox +48) +' '+
               IntToStr(oy -83) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox +104) +' '+
               IntToStr(oy -52) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox +104) +' '+
               IntToStr(oy -52) +' '+
               IntToStr(oz +128) +' ) '+
               DoorTex + ' 56 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox +48) +' '+
               IntToStr(oy -83) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox +56) +' '+
               IntToStr(oy -96) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox +56) +' '+
               IntToStr(oy -96) +' '+
               IntToStr(oz -64) +' ) '+
               DoorTex + ' 10 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox +104) +' '+
               IntToStr(oy -52) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox +112) +' '+
               IntToStr(oy -65) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox +112) +' '+
               IntToStr(oy -65) +' '+
               IntToStr(oz +128) +' ) '+
               DoorTex + ' 10 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('}');
          Form1.ListBox1.Items.Add('}');
     end;
     Result := True;
end;

function MapWall3(hex,ox,oy,oz: integer): boolean;
begin
               if Hmap[hex].wall[3]=1 then
               begin
                    Form1.ListBox1.Items.Add('{');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox +112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox +72) +' '+
                            IntToStr(oy -128) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox) +' '+
                            IntToStr(oy -128) +' '+
                            IntToStr(oz +128) +' ) '+
                            wallTex + ' -96 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox) +' '+
                            IntToStr(oy -128) +' '+
                            IntToStr(oz -64) +' ) ( '+

                            IntToStr(ox +72) +' '+
                            IntToStr(oy -128) +' '+
                            IntToStr(oz -64) +' ) ( '+

                            IntToStr(ox +112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz -64) +' ) '+
                            wallTex + ' -96 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox +112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz -64) +' ) ( '+

                            IntToStr(ox +112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox) +' '+
                            IntToStr(oy -128) +' '+
                            IntToStr(oz +128) +' ) '+
                            wallTex + ' -96 -64 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox +72) +' '+
                            IntToStr(oy -128) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox +72) +' '+
                            IntToStr(oy -128) +' '+
                            IntToStr(oz -64) +' ) ( '+

                            IntToStr(ox) +' '+
                            IntToStr(oy -128) +' '+
                            IntToStr(oz -64) +' ) '+
                            wallTex + ' -96 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox +112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox +112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz -64) +' ) ( '+

                            IntToStr(ox +72) +' '+
                            IntToStr(oy -128) +' '+
                            IntToStr(oz -64) +' ) '+
                            wallTex + ' 0 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('}');
               end;
     result := True;
end;

function MapDoor4(hex,ox,oy,oz: integer): boolean;
begin
     if Hmap[hex].wall[4] = 2 then
     begin
          Form1.ListBox1.Items.Add('{');

          Form1.ListBox1.Items.add(#34+
               'classname'+ #34 +' '+#34+'func_door'+#34);
          Form1.ListBox1.Items.add(#34+
               'angle'+#34+' '+#34+'150'+#34);
          Form1.ListBox1.Items.add(#34+
               'speed'+#34+' '+#34+'200'+#34);
          Form1.ListBox1.Items.add(#34+
               'sounds'+#34+' '+#34+'4'+#34);
          Form1.ListBox1.Items.add(#34+
               'lip'+#34+' '+#34+'-32'+#34);

          Form1.ListBox1.Items.add('{');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox -112) +' '+
               IntToStr(oy -64) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox -104) +' '+
               IntToStr(oy -50) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox -48) +' '+
               IntToStr(oy -80) +' '+
               IntToStr(oz +128) +' ) '+
               DoorTex + ' 192 -112 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox -56) +' '+
               IntToStr(oy -94) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox -48) +' '+
               IntToStr(oy -80) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox -104) +' '+
               IntToStr(oy -50) +' '+
               IntToStr(oz -64) +' ) '+
               DoorTex + ' 192 -112 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox -112) +' '+
               IntToStr(oy -64) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox -56) +' '+
               IntToStr(oy -94) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox -56) +' '+
               IntToStr(oy -94) +' '+
               IntToStr(oz -64) +' ) '+
               DoorTex + ' -8 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox -104) +' '+
               IntToStr(oy -50) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox -48) +' '+
               IntToStr(oy -80) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox -48) +' '+
               IntToStr(oy -80) +' '+
               IntToStr(oz +128) +' ) '+
               DoorTex + ' -8 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox -104) +' '+
               IntToStr(oy -50) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox -112) +' '+
               IntToStr(oy -64) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox -112) +' '+
               IntToStr(oy -64) +' '+
               IntToStr(oz -64) +' ) '+
               DoorTex + ' 312 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox -48) +' '+
               IntToStr(oy -80) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox -56) +' '+
               IntToStr(oy -94) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox -56) +' '+
               IntToStr(oy -94) +' '+
               IntToStr(oz +128) +' ) '+
               DoorTex + ' 312 0 0 1.000000 1.000000');
          Form1.ListBox1.Items.Add('}');
          Form1.ListBox1.Items.Add('}');



          Form1.ListBox1.Items.Add('{');
          Form1.ListBox1.Items.add(#34+
               'classname'+#34+' '+#34+'func_door'+#34);
          Form1.ListBox1.Items.add(#34+
               'angle'+#34+' '+#34+'330'+#34);
          Form1.ListBox1.Items.add(#34+
               'speed'+#34+' '+#34+'200'+#34);
          Form1.ListBox1.Items.add(#34+
               'sounds'+#34+' '+#34+'4'+#34);
          Form1.ListBox1.Items.add(#34+
               'lip'+#34+' '+#34+'-32'+#34);

          Form1.ListBox1.Items.add('{');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox -56) +' '+
               IntToStr(oy -96) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox -48) +' '+
               IntToStr(oy -82) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox +8) +' '+
               IntToStr(oy -114) +' '+
               IntToStr(oz +128) +' ) '+
               DoorTex + ' 135 -65 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox) +' '+
               IntToStr(oy -128) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox +8) +' '+
               IntToStr(oy -114) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox -48) +' '+
               IntToStr(oy -82) +' '+
               IntToStr(oz -64) +' ) '+
               DoorTex + ' 136 -65 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox -56) +' '+
               IntToStr(oy -96) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox) +' '+
               IntToStr(oy -128) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox) +' '+
               IntToStr(oy -128) +' '+
               IntToStr(oz -64) +' ) '+
               DoorTex + ' 32 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox -48) +' '+
               IntToStr(oy -82) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox +8) +' '+
               IntToStr(oy -114) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox +8) +' '+
               IntToStr(oy -114) +' '+
               IntToStr(oz +128) +' ) '+
               DoorTex + ' -32 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox -48) +' '+
               IntToStr(oy -82) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox -56) +' '+
               IntToStr(oy -96) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox -56) +' '+
               IntToStr(oy -96) +' '+
               IntToStr(oz -64) +' ) '+
               DoorTex + ' 169 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox +8) +' '+
               IntToStr(oy -114) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox) +' '+
               IntToStr(oy -128) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox) +' '+
               IntToStr(oy -128) +' '+
               IntToStr(oz +128) +' ) '+
               DoorTex + ' 169 0 0 1.000000 1.000000');
          Form1.ListBox1.Items.Add('}');
          Form1.ListBox1.Items.Add('}');
     end;
     Result := True;
end;

function MapWall4(hex,ox,oy,oz: integer): boolean;
begin
               if Hmap[hex].wall[4]=1 then
               begin
                    Form1.ListBox1.Items.Add('{');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox -112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox) +' '+
                            IntToStr(oy -128) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox -72) +' '+
                            IntToStr(oy -128) +' '+
                            IntToStr(oz +128) +' ) '+
                            wallTex + ' -96 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox -72) +' '+
                            IntToStr(oy -128) +' '+
                            IntToStr(oz -64) +' ) ( '+

                            IntToStr(ox) +' '+
                            IntToStr(oy -128) +' '+
                            IntToStr(oz -64) +' ) ( '+

                            IntToStr(ox -112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz -64) +' ) '+
                            wallTex + ' -96 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox -112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz -64) +' ) ( '+

                            IntToStr(ox -112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox -72) +' '+
                            IntToStr(oy -128) +' '+
                            IntToStr(oz +128) +' ) '+
                            wallTex + ' 0 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox) +' '+
                            IntToStr(oy -128) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox) +' '+
                            IntToStr(oy -128) +' '+
                            IntToStr(oz -64) +' ) ( '+

                            IntToStr(ox -72) +' '+
                            IntToStr(oy -128) +' '+
                            IntToStr(oz -64) +' ) '+
                            wallTex + ' 96 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox -112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox -112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz -64) +' ) ( '+

                            IntToStr(ox) +' '+
                            IntToStr(oy -128) +' '+
                            IntToStr(oz -64) +' ) '+
                            wallTex + ' -96 -64 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('}');
               end;
     result := True;
end;

function MapDoor5(hex,ox,oy,oz: integer): boolean;
begin
     if Hmap[hex].wall[5] = 2 then
     begin
          Form1.ListBox1.Items.Add('{');

          Form1.ListBox1.Items.add(#34+
               'classname'+ #34 +' '+#34+'func_door'+#34);
          Form1.ListBox1.Items.add(#34+
               'angle'+#34+' '+#34+'90'+#34);
          Form1.ListBox1.Items.add(#34+
               'speed'+#34+' '+#34+'200'+#34);
          Form1.ListBox1.Items.add(#34+
               'sounds'+#34+' '+#34+'4'+#34);
          Form1.ListBox1.Items.add(#34+
               'lip'+#34+' '+#34+'8'+#34);

          Form1.ListBox1.Items.add('{');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox -112) +' '+
               IntToStr(oy +64) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox -96) +' '+
               IntToStr(oy +64) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox -96) +' '+
               IntToStr(oy) +' '+
               IntToStr(oz +128) +' ) '+
               DoorTex + ' 216 -8 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox -112) +' '+
               IntToStr(oy) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox -96) +' '+
               IntToStr(oy) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox -96) +' '+
               IntToStr(oy +64) +' '+
               IntToStr(oz -64) +' ) '+
               DoorTex + ' 216 -8 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox -112) +' '+
               IntToStr(oy +64) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox -112) +' '+
               IntToStr(oy) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox -112) +' '+
               IntToStr(oy) +' '+
               IntToStr(oz -64) +' ) '+
               DoorTex + ' 8 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox -96) +' '+
               IntToStr(oy +64) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox -96) +' '+
               IntToStr(oy) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox -96) +' '+
               IntToStr(oy) +' '+
               IntToStr(oz +128) +' ) '+
               DoorTex + ' 8 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox -96) +' '+
               IntToStr(oy +64) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox -112) +' '+
               IntToStr(oy +64) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox -112) +' '+
               IntToStr(oy +64) +' '+
               IntToStr(oz -64) +' ) '+
               DoorTex + ' 216 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox -96) +' '+
               IntToStr(oy) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox -112) +' '+
               IntToStr(oy) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox -112) +' '+
               IntToStr(oy) +' '+
               IntToStr(oz +128) +' ) '+
               DoorTex + ' 216 0 0 1.000000 1.000000');
          Form1.ListBox1.Items.Add('}');
          Form1.ListBox1.Items.Add('}');



          Form1.ListBox1.Items.Add('{');
          Form1.ListBox1.Items.add(#34+
               'classname'+#34+' '+#34+'func_door'+#34);
          Form1.ListBox1.Items.add(#34+
               'angle'+#34+' '+#34+'271'+#34);
          Form1.ListBox1.Items.add(#34+
               'speed'+#34+' '+#34+'200'+#34);
          Form1.ListBox1.Items.add(#34+
               'sounds'+#34+' '+#34+'4'+#34);
          Form1.ListBox1.Items.add(#34+
               'lip'+#34+' '+#34+'8'+#34);

          Form1.ListBox1.Items.add('{');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox -112) +' '+
               IntToStr(oy) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox -96) +' '+
               IntToStr(oy) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox -96) +' '+
               IntToStr(oy -64) +' '+
               IntToStr(oz +128) +' ) '+
               DoorTex + ' 216 8 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox -112) +' '+
               IntToStr(oy -64) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox -96) +' '+
               IntToStr(oy -64) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox -96) +' '+
               IntToStr(oy) +' '+
               IntToStr(oz -64) +' ) '+
               DoorTex + ' 216 8 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox -112) +' '+
               IntToStr(oy) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox -112) +' '+
               IntToStr(oy -64) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox -112) +' '+
               IntToStr(oy -64) +' '+
               IntToStr(oz -64) +' ) '+
               DoorTex + ' -8 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox -96) +' '+
               IntToStr(oy) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox -96) +' '+
               IntToStr(oy -64) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox -96) +' '+
               IntToStr(oy -64) +' '+
               IntToStr(oz +128) +' ) '+
               DoorTex + ' -8 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox -96) +' '+
               IntToStr(oy) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox -112) +' '+
               IntToStr(oy) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox -112) +' '+
               IntToStr(oy) +' '+
               IntToStr(oz -64) +' ) '+
               DoorTex + ' 216 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox -96) +' '+
               IntToStr(oy -64) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox -112) +' '+
               IntToStr(oy -64) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox -112) +' '+
               IntToStr(oy -64) +' '+
               IntToStr(oz +128) +' ) '+
               DoorTex + ' 216 0 0 1.000000 1.000000');
          Form1.ListBox1.Items.Add('}');
          Form1.ListBox1.Items.Add('}');
     end;
     Result := True;
end;

function MapWall5(hex,ox,oy,oz: integer): boolean;
begin
               if Hmap[hex].wall[5]=1 then
               begin
                    Form1.ListBox1.Items.Add('{');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox -112) +' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox -112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox -148) +' '+
                            IntToStr(oy -2) +' '+
                            IntToStr(oz +128) +' ) '+
                            wallTex + ' -96 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox -148) +' '+
                            IntToStr(oy -2) +' '+
                            IntToStr(oz -64) +' ) ( '+

                            IntToStr(ox -112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz -64) +' ) ( '+

                            IntToStr(ox -112) +' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz -64) +' ) '+
                            wallTex + ' -96 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox -112) +' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz -64) +' ) ( '+

                            IntToStr(ox -112) +' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox -148) +' '+
                            IntToStr(oy -2) +' '+
                            IntToStr(oz +128) +' ) '+
                            wallTex + ' 0 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox -112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox -112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz -64) +' ) ( '+

                            IntToStr(ox -148) +' '+
                            IntToStr(oy -2) +' '+
                            IntToStr(oz -64) +' ) '+
                            wallTex + ' 0 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox -112) +' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox -112) +' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz -64) +' ) ( '+

                            IntToStr(ox -112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz -64) +' ) '+
                            wallTex + ' 0 -64 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('}');
               end;
     result := True;
end;

function MapDoor6(hex,ox,oy,oz: integer): boolean;
begin
     if Hmap[hex].wall[6] = 2 then
     begin
          Form1.ListBox1.Items.Add('{');

          Form1.ListBox1.Items.add(#34+
               'classname'+ #34 +' '+#34+'func_door'+#34);
          Form1.ListBox1.Items.add(#34+
               'angle'+#34+' '+#34+'210'+#34);
          Form1.ListBox1.Items.add(#34+
               'speed'+#34+' '+#34+'200'+#34);
          Form1.ListBox1.Items.add(#34+
               'sounds'+#34+' '+#34+'4'+#34);
          Form1.ListBox1.Items.add(#34+
               'lip'+#34+' '+#34+'16'+#34);

          Form1.ListBox1.Items.add('{');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox -56) +' '+
               IntToStr(oy +96) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox -48) +' '+
               IntToStr(oy +82) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox -104) +' '+
               IntToStr(oy +50) +' '+
               IntToStr(oz +128) +' ) '+
               DoorTex + ' 0 33 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox -112) +' '+
               IntToStr(oy +64) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox -104) +' '+
               IntToStr(oy +50) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox -48) +' '+
               IntToStr(oy +82) +' '+
               IntToStr(oz -64) +' ) '+
               DoorTex + ' 0 33 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox -56) +' '+
               IntToStr(oy +96) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox -112) +' '+
               IntToStr(oy +64) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox -112) +' '+
               IntToStr(oy +64) +' '+
               IntToStr(oz -64) +' ) '+
               DoorTex + ' 56 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox -48) +' '+
               IntToStr(oy +82) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox -104) +' '+
               IntToStr(oy +50) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox -104) +' '+
               IntToStr(oy +50) +' '+
               IntToStr(oz +128) +' ) '+
               DoorTex + ' 56 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox -48) +' '+
               IntToStr(oy +82) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox -56) +' '+
               IntToStr(oy +96) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox -56) +' '+
               IntToStr(oy +96) +' '+
               IntToStr(oz -64) +' ) '+
               DoorTex + ' -25 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox -104) +' '+
               IntToStr(oy +50) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox -112) +' '+
               IntToStr(oy +64) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox -112) +' '+
               IntToStr(oy +64) +' '+
               IntToStr(oz +128) +' ) '+
               DoorTex + ' -25 0 0 1.000000 1.000000');
          Form1.ListBox1.Items.Add('}');
          Form1.ListBox1.Items.Add('}');



          Form1.ListBox1.Items.Add('{');
          Form1.ListBox1.Items.add(#34+
               'classname'+#34+' '+#34+'func_door'+#34);
          Form1.ListBox1.Items.add(#34+
               'angle'+#34+' '+#34+'30'+#34);
          Form1.ListBox1.Items.add(#34+
               'speed'+#34+' '+#34+'200'+#34);
          Form1.ListBox1.Items.add(#34+
               'sounds'+#34+' '+#34+'4'+#34);
          Form1.ListBox1.Items.add(#34+
               'lip'+#34+' '+#34+'16'+#34);

          Form1.ListBox1.Items.add('{');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox -48) +' '+
               IntToStr(oy +82) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox -56) +' '+
               IntToStr(oy +95) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox) +' '+
               IntToStr(oy +126) +' '+
               IntToStr(oz +128) +' ) '+
               DoorTex + ' 8 16 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox +8) +' '+
               IntToStr(oy +113) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox) +' '+
               IntToStr(oy +126) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox -56) +' '+
               IntToStr(oy +95) +' '+
               IntToStr(oz -64) +' ) '+
               DoorTex + ' 8 16 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox -48) +' '+
               IntToStr(oy +82) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox +8) +' '+
               IntToStr(oy +113) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox +8) +' '+
               IntToStr(oy +113) +' '+
               IntToStr(oz -64) +' ) '+
               DoorTex + ' 32 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox -56) +' '+
               IntToStr(oy +95) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox) +' '+
               IntToStr(oy +126) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox) +' '+
               IntToStr(oy +126) +' '+
               IntToStr(oz +128) +' ) '+
               DoorTex + ' 32 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox -56) +' '+
               IntToStr(oy +95) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox -48) +' '+
               IntToStr(oy +82) +' '+
               IntToStr(oz +128) +' ) ( '+

               IntToStr(ox -48) +' '+
               IntToStr(oy +82) +' '+
               IntToStr(oz -64) +' ) '+
               DoorTex + ' -40 0 0 1.000000 1.000000');

          Form1.ListBox1.Items.Add('( '+
               IntToStr(ox) +' '+
               IntToStr(oy +126) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox +8) +' '+
               IntToStr(oy +113) +' '+
               IntToStr(oz -64) +' ) ( '+

               IntToStr(ox +8) +' '+
               IntToStr(oy +113) +' '+
               IntToStr(oz +128) +' ) '+
               DoorTex + ' -40 0 0 1.000000 1.000000');
          Form1.ListBox1.Items.Add('}');
          Form1.ListBox1.Items.Add('}');
     end;
     Result := True;
end;

function MapWall6(hex,ox,oy,oz: integer): boolean;
begin
               if Hmap[hex].wall[6]=1 then
               begin
                    Form1.ListBox1.Items.Add('{');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox) +' '+
                            IntToStr(oy +128) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox -112) +' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox -75) +' '+
                            IntToStr(oy +126) +' '+
                            IntToStr(oz +128) +' ) '+
                            wallTex + ' -96 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox -75) +' '+
                            IntToStr(oy +126) +' '+
                            IntToStr(oz -64) +' ) ( '+

                            IntToStr(ox -112) +' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz -64) +' ) ( '+

                            IntToStr(ox) +' '+
                            IntToStr(oy +128) +' '+
                            IntToStr(oz -64) +' ) '+
                            wallTex + ' -96 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox) +' '+
                            IntToStr(oy +128) +' '+
                            IntToStr(oz -64) +' ) ( '+

                            IntToStr(ox) +' '+
                            IntToStr(oy +128) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox -75) +' '+
                            IntToStr(oy +126) +' '+
                            IntToStr(oz +128) +' ) '+
                            wallTex + ' -96 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox -112) +' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox -112) +' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz -64) +' ) ( '+

                            IntToStr(ox -75) +' '+
                            IntToStr(oy +126) +' '+
                            IntToStr(oz -64) +' ) '+
                            wallTex + ' 0 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox) +' '+
                            IntToStr(oy +128) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox) +' '+
                            IntToStr(oy +128) +' '+
                            IntToStr(oz -64) +' ) ( '+

                            IntToStr(ox -112) +' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz -64) +' ) '+
                            wallTex + ' -96 -64 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('}');
               end;
     result := True;
end;

function MapWall7(hex,ox,oy,oz: integer): boolean;
begin
               if Hmap[hex].wall[7]=1 then
               begin
                    Form1.ListBox1.Items.Add('{');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox -112) +' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz -72) +' ) ( '+

                            IntToStr(ox -112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz -72) +' ) ( '+

                            IntToStr(ox) +' '+
                            IntToStr(oy -128) +' '+
                            IntToStr(oz -72) +' ) '+
                            CeilTex + ' -32 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox) +' '+
                            IntToStr(oy +128) +' '+
                            IntToStr(oz -64) +' ) ( '+

                            IntToStr(ox +112) +' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz -64) +' ) ( '+

                            IntToStr(ox +112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz -64) +' ) '+
                            FloorTex + ' -32 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox) +' '+
                            IntToStr(oy +128) +' '+
                            IntToStr(oz -72) +' ) ( '+

                            IntToStr(ox +112) +' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz -72) +' ) ( '+

                            IntToStr(ox +112) +' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz -64) +' ) '+
                            FloorTex + ' -32 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox +112) +' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz -72) +' ) ( '+

                            IntToStr(ox +112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz -72) +' ) ( '+

                            IntToStr(ox +112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz -64) +' ) '+
                            FloorTex + ' 0 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox +112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz -72) +' ) ( '+

                            IntToStr(ox) +' '+
                            IntToStr(oy -128) +' '+
                            IntToStr(oz -72) +' ) ( '+

                            IntToStr(ox) +' '+
                            IntToStr(oy -128) +' '+
                            IntToStr(oz -64) +' ) '+
                            FloorTex + ' -32 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox) +' '+
                            IntToStr(oy -128) +' '+
                            IntToStr(oz -72) +' ) ( '+

                            IntToStr(ox -112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz -72) +' ) ( '+

                            IntToStr(ox -112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz -64) +' ) '+
                            FloorTex + ' -32 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox -112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz -72) +' ) ( '+

                            IntToStr(ox -112) +' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz -72) +' ) ( '+

                            IntToStr(ox -112) +' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz -64) +' ) '+
                            FloorTex + ' 0 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox -112) +' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz -72) +' ) ( '+

                            IntToStr(ox) +' '+
                            IntToStr(oy +128) +' '+
                            IntToStr(oz -72) +' ) ( '+

                            IntToStr(ox) +' '+
                            IntToStr(oy +128) +' '+
                            IntToStr(oz -64) +' ) '+
                            FloorTex + ' 0 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('}');
               end;
     result := True;
end;

function MapWall8(hex,ox,oy,oz: integer): boolean;
begin
               if Hmap[hex].wall[8]=1 then
               begin
                    Form1.ListBox1.Items.Add('{');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox -112) +' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox -112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox) +' '+
                            IntToStr(oy -128) +' '+
                            IntToStr(oz +128) +' ) '+
                            CeilTex + ' -32 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox) +' '+
                            IntToStr(oy +128) +' '+
                            IntToStr(oz +136) +' ) ( '+

                            IntToStr(ox +112) +' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz +136) +' ) ( '+

                            IntToStr(ox +112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz +136) +' ) '+
                            FloorTex + ' -32 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox) +' '+
                            IntToStr(oy +128) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox +112) +' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox +112) +' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz +136) +' ) '+
                            FloorTex + ' -32 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox +112) +' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox +112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox +112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz +136) +' ) '+
                            CeilTex + ' 0 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox +112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox) +' '+
                            IntToStr(oy -128) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox) +' '+
                            IntToStr(oy -128) +' '+
                            IntToStr(oz +136) +' ) '+
                            CeilTex + ' -32 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox) +' '+
                            IntToStr(oy -128) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox -112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox -112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz +136) +' ) '+
                            CeilTex + ' -32 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox -112) +' '+
                            IntToStr(oy -64) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox -112) +' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox -112) +' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz +136) +' ) '+
                            CeilTex + ' 0 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('( '+
                            IntToStr(ox -112) +' '+
                            IntToStr(oy +64) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox) +' '+
                            IntToStr(oy +128) +' '+
                            IntToStr(oz +128) +' ) ( '+

                            IntToStr(ox) +' '+
                            IntToStr(oy +128) +' '+
                            IntToStr(oz +136) +' ) '+
                            CeilTex + ' 0 0 0 1.000000 1.000000');

                    Form1.ListBox1.Items.Add('}');
               end;
     result := True;
end;

function ClosingProcedure(CurrentFile: string): integer;
var
   count: integer;
begin
     for count := 1 to 919 do
     begin
          Hmap[count].Valid := False;
     end;

     PlayerStart.Valid := False;
     PlayerStart.Angle := 1;
     PlayerStart.Armor := 'item_armor1';
     PlayerStart.Weapons := 3;
     PlayerStart.Ammo := 3;
     PlayerStart2.Valid := False;
     PlayerStart2.Angle := 1;
     PlayerStart2.Armor := 'item_armor1';
     PlayerStart2.Weapons := 3;
     PlayerStart2.Ammo := 3;
     for count := 1 to 8 do
     begin
          Cooperative[count].Hex := 0;
          Cooperative[count].valid := False;
          Cooperative[count].angle := 1;
          Cooperative[count].Armor := 'item_armor1';
          Cooperative[count].Weapons := 3;
          Cooperative[count].Ammo := 3;
          Deathmatch[count].Hex := 0;
          Deathmatch[count].valid := False;
          Deathmatch[count].angle := 1;
          Deathmatch[count].Armor := 'item_armor1';
          Deathmatch[count].Weapons := 3;
          Deathmatch[count].Ammo := 3;
     end;
     IsSaved := False;
     Light := 6;
     Form1.TrackBar1.Position := 58;
     Form1.Label10.Caption := '6';
     Form1.Label7.Font.Color := clBlack;
     Form1.Label8.Font.Color := clRed;
     Form1.Label9.Font.Color := clBlack;
     CurFile := 'UNnmaed';
     Form1.Invalidate;
     Result := 1;
end;



function Hall_Click(hex,x,y,rx,ry,ty: integer): integer;
var
   face,temp,count,count2: integer;
begin
     If Hmap[hex].valid = False then
     begin
          Hmap[hex].valid := True;
          Hmap[hex].wall[7] := 1;
          Hmap[hex].wall[8] := 1;
          for face := 1 to 6 do
          begin
                Hmap[hex].wall[face] := 1;
                if Hmap[hex].Hadjacent[face] <> 0 then
                begin
                      If Hmap[Hmap[hex].Hadjacent[face]].valid then
                       begin
                            temp := face + 1;
                            if temp > 6 then temp := 1;
                               temp := temp + 1;
                            if temp > 6 then temp := 1;
                               temp := temp + 1;
                            if temp > 6 then temp := 1;
                            Hmap[hex].wall[face] := 0;
                            Hmap[Hmap[hex].Hadjacent[face]].wall[temp] := 0;
                       end;
                end;
          end;
          RenderHex(Hex);
          end
          else
                    begin
                    if hex = PlayerStart.Hex then
                             PlayerStart.Valid := False;
                    if hex = PlayerStart2.Hex then
                             PlayerStart2.Valid := False;

                    for count := 1 to 8 do
                    begin
                         if hex = Cooperative[count].Hex then
                         begin
                              Cooperative[count].Valid := False;
                              if count > 1 then
                              begin
                                   for count2 := count to 7 do
                                       Cooperative[count2].Valid := Cooperative[count2+1].Valid;
                                   Cooperative[8].Valid := False;
                              end;
                         end;
                    end;

                    for count := 1 to 8 do
                    begin
                         if hex = DeathMatch[count].Hex then
                         begin
                              DeathMatch[count].Valid := False;
                              if count > 1 then
                              begin
                                   for count2 := count to 7 do
                                       DeathMatch[count2].Valid := DeathMatch[count2+1].Valid;
                              DeathMatch[8].Valid := False;
                              end;
                         end;
                    end;

                    Hmap[hex].valid := false;
                    RenderWireHex(Hex);
                    Hmap[hex].wall[7] := 0;
                    Hmap[hex].wall[8] := 0;

                    for face := 1 to 6 do
                    begin
                         Hmap[hex].wall[face] := 0;
                         If Hmap[Hmap[hex].Hadjacent[face]].valid then
                         begin
                              temp := face + 1;
                              if temp > 6 then temp := 1;
                                 temp := temp + 1;
                              if temp > 6 then temp := 1;
                                 temp := temp + 1;
                              if temp > 6 then temp := 1;

                         Hmap[hex].wall[face] := 1;
                         Hmap[Hmap[hex].Hadjacent[face]].wall[temp] := 1;
                         end;
                    end;
          end;
     result := 1;
end;


function ExecuteFile(const FileName, Params, DefaultDir: string;
  ShowCmd: Integer): THandle;
var
  zFileName, zParams, zDir: array[0..79] of Char;
begin
  Result := ShellExecute(Application.MainForm.Handle, nil,
    StrPCopy(zFileName, FileName), StrPCopy(zParams, Params),
    StrPCopy(zDir, DefaultDir), ShowCmd);
end;

function Is_It_In_Hex_Area(x,y: integer): Integer;
var
   Horz, h0, h, Vert,v,v0, Hex: integer;
   InHexArea: Boolean;
begin
     Horz := Round(my / (64 * scale)/3) * -1;
     h0 := 17 - Horz;
     h := -1;
     case h0 of
       0: h:=0;
       1: h:=18;
       2: h:=37;
       3: h:=57;
       4: h:=78;
       5: h:=100;
       6: h:=123;
       7: h:=147;
       8: h:=172;
       9: h:=198;
       10: h:=225;
       11: h:=253;
       12: h:=282;
       13: h:=312;
       14: h:=343;
       15: h:=375;
       16: h:=408;
       17: h:=442;
       18: h:=477;
       19: h:=511;
       20: h:=544;
       21: h:=576;
       22: h:=607;
       23: h:=637;
       24: h:=666;
       25: h:=694;
       26: h:=721;
       27: h:=747;
       28: h:=772;
       29: h:=796;
       30: h:=819;
       31: h:=841;
       32: h:=862;
       33: h:=882;
       34: h:=901;
     end;

     v := -1;
     vert := -1;
     if h > -1 then
     begin
          Vert := Round((mx+(56 *scale)) / (112 * scale))* -1;
          v0 := 35 - Abs(Horz);
          v := v0 + vert + 1;
          InHexArea := True;
          if v < 1 then InHexArea := False;
          if v > v0 * 2 then InHexArea := False;
          v := Round((v+ 0.5) / 2);

     end
     else
     begin
          InHexArea := False;

     end;

     Hex := h+v;
     Result := Hex;
     if InHexArea = False then
        Result := -1;

     if debug then
     begin
          Form1.Caption :=
                Title +'     Hex=' +
                IntToStr(Hex) +'   Vert='+
                IntToStr(Vert)+'   Horz='+
                IntToStr(Horz);
     end;

end;


function PrepairToSave(levels: integer): Boolean;
var
   count, face: integer;
   st: string;
begin
     Form1.ListBox1.Clear;
     Form1.ListBox2.Clear;

     for count := 1 to 919 do
     begin
          if Hmap[count].valid then
          begin
               st := IntToStr(count)+', ';
               for face := 1 to 8 do
               begin
                    st := st + IntToStr(Hmap[count].wall[face]);

                    if face < 8 then
                        st := st + ','
               end;
               Form1.ListBox2.Items.Add(st);
          end;
     end;

     Form1.ListBox1.Items.Add(IntToStr(Form1.ListBox2.Items.Count));

     for count := 0 to Form1.ListBox2.Items.Count-1 do
     begin
          Form1.ListBox1.Items.add(Form1.ListBox2.items[count]);
     end;
/////
//   Now to add the player/deathmatch start and monsters
/////
     if PlayerStart.Valid then
     begin
          Form1.ListBox1.Items.Add('PlayerStart, '+
                           IntToStr(PlayerStart.Hex));
     end;

     if PlayerStart2.Valid then
     begin
          Form1.ListBox1.Items.Add('PlayerStart2, '+
                           IntToStr(PlayerStart2.Hex));
     end;

     for count := 1 to 8 do
     begin
          if Cooperative[count].Valid then
               Form1.ListBox1.Items.Add('Cooperative, '+IntToStr(Cooperative[count].Hex));
     end;

     for count := 1 to 8 do
     begin
         if Deathmatch[count].Valid then
               Form1.ListBox1.Items.Add('Deathmatch, '+IntToStr(Deathmatch[count].Hex));
     end;
/////
//   Now to add the Light level
/////
     Form1.ListBox1.Items.Add('Light, '+IntToStr(Light));
     Result := True;
end;

function WriteMapFile(CurFile: string): Boolean;
var
   count, ox,oy,oz, count1, count2, count3: integer;
   StrLight: string;
begin
  If PlayerStart.Valid then
  begin
    with Form1 do
    begin
     ListBox2.Clear;
     ListBox1.Clear;

     ListBox1.Items.Add('{');
     ListBox1.Items.Add(#34 +
             'classname' + #34 + ' ' + #34 +
             'worldspawn' + #34);
     ListBox1.Items.Add(#34 +
             'wad' + #34 + ' ' + #34 +
             'c:\Progra~1\Branya\Hex_Lab\basalt.wad' + #34);
     for count := 1 to 919 do
     begin
          if Hmap[count].valid then
          begin
               ox := Hmap[count].x;
               oy := Hmap[count].y;
               oz := Hmap[count].z;

               ceilTex := HallWay.CeilBmp;
               wallTex := HallWay.WallBmp;
               floorTex := HallWay.FloorBmp;

               if count = PlayerStart.Hex then
               begin
                    ceilTex := PlayerStart.CeilBmp;
                    wallTex := PlayerStart.WallBmp;
                    floorTex := PlayerStart.FloorBmp;
               end;

               if count = PlayerStart2.Hex then
               begin
                    ceilTex := PlayerStart.CeilBmp;
                    wallTex := PlayerStart.WallBmp;
                    floorTex := PlayerStart.FloorBmp;
               end;

               for count3 := 1 to 8 do
               begin
                    if count = Cooperative[count3].hex then
                    begin
                         ceilTex := PlayerStart.CeilBmp;
                         wallTex := PlayerStart.WallBmp;
                         floorTex := PlayerStart.FloorBmp;
                    end;

                    if count = Deathmatch[count3].hex then
                    begin
                         ceilTex := PlayerStart.CeilBmp;
                         wallTex := PlayerStart.WallBmp;
                         floorTex := PlayerStart.FloorBmp;
                    end;
               end;



               if Hmap[count].wall[1] = 1 then
                    MapWall1(count,ox,oy,oz);

               if Hmap[count].wall[2] = 1 then
                    MapWall2(count,ox,oy,oz);

               if Hmap[count].wall[3] = 1 then
                    MapWall3(count,ox,oy,oz);

               if Hmap[count].wall[4] = 1 then
                    MapWall4(count,ox,oy,oz);

               if Hmap[count].wall[5] = 1 then
                    MapWall5(count,ox,oy,oz);

               if Hmap[count].wall[6] = 1 then
                    MapWall6(count,ox,oy,oz);

               if Hmap[count].wall[7] = 1 then
                    MapWall7(count,ox,oy,oz);

               if Hmap[count].wall[8] = 1 then
                    MapWall8(count,ox,oy,oz);

          end;
     end;
     ListBox1.Items.Add('}');


             ox := Hmap[PlayerStart.Hex].x;
             oy := Hmap[PlayerStart.Hex].y;
             oz := Hmap[PlayerStart.Hex].z;
             ListBox1.Items.add('{');
             ListBox1.Items.add(#34 +
                 'classname' + #34 +' '+ #34 +
                 'info_player_start' + #34);
             ListBox1.Items.Add(#34 +
                 'angle' +#34' '+#34+
                 IntToStr(480-(PlayerStart.Angle *60))+#34);
             ListBox1.Items.Add(#34 +
                 'origin' + #34 +' '+ #34 +
                 IntToStr(ox) +' '+
                 IntToStr(oy) +' '+
                 IntToStr(oz+96) +#34);
             ListBox1.Items.Add('}');

             ListBox1.Items.Add('{');
             ListBox1.Items.add(#34 +
                 'classname' + #34 +' '+ #34 +
                 PlayerStart.Armor + #34);
             ListBox1.Items.Add(#34 +
                 'origin' + #34 +' '+ #34 +
                 IntToStr(ox) +' '+
                 IntToStr(oy) +' '+
                 IntToStr(oz-32) +#34);
             ListBox1.Items.Add('}');

             if PlayerStart.Weapons > 0 then
             begin
                  ListBox1.Items.Add('{');
                  ListBox1.Items.add(#34 +
                      'classname' + #34 +' '+ #34 +
                      'weapon_supershotgun' + #34);
                  ListBox1.Items.Add(#34 +
                      'origin' + #34 +' '+ #34 +
                      IntToStr(ox-66) +' '+
                      IntToStr(oy-18) +' '+
                      IntToStr(oz-32) +#34);
                  ListBox1.Items.Add('}');
                  if PlayerStart.Weapons > 1 then
                  begin
                       ListBox1.Items.Add('{');
                       ListBox1.Items.add(#34 +
                           'classname' + #34 +' '+ #34 +
                           'weapon_nailgun' + #34);
                       ListBox1.Items.Add(#34 +
                           'origin' + #34 +' '+ #34 +
                           IntToStr(ox-47) +' '+
                           IntToStr(oy+49) +' '+
                           IntToStr(oz-32) +#34);
                       ListBox1.Items.Add('}');
                       if PlayerStart.Weapons > 2 then
                       begin
                            ListBox1.Items.Add('{');
                            ListBox1.Items.add(#34 +
                                'classname' + #34 +' '+ #34 +
                                'weapon_grenadelauncher' + #34);
                            ListBox1.Items.Add(#34 +
                                'origin' + #34 +' '+ #34 +
                                IntToStr(ox+18) +' '+
                                IntToStr(oy+66) +' '+
                                IntToStr(oz-32) +#34);
                            ListBox1.Items.Add('}');
                       end;
                  end;
             end;

             if PlayerStart.Ammo > 0 then
             begin
                  ListBox1.Items.Add('{');
                  ListBox1.Items.add(#34 +
                      'classname' + #34 +' '+ #34 +
                      'item_shells' + #34);
                  ListBox1.Items.Add(#34 +
                      'origin' + #34 +' '+ #34 +
                      IntToStr(ox-18) +' '+
                      IntToStr(oy-66) +' '+
                      IntToStr(oz-32) +#34);
                  ListBox1.Items.Add('}');
                  if PlayerStart.Ammo > 1 then
                  begin
                       ListBox1.Items.Add('{');
                       ListBox1.Items.add(#34 +
                           'classname' + #34 +' '+ #34 +
                           'item_spikes' + #34);
                       ListBox1.Items.Add(#34 +
                           'origin' + #34 +' '+ #34 +
                           IntToStr(ox+47) +' '+
                           IntToStr(oy-49) +' '+
                           IntToStr(oz-32) +#34);
                       ListBox1.Items.Add('}');
                       if PlayerStart.Ammo > 2 then
                       begin
                            ListBox1.Items.Add('{');
                            ListBox1.Items.add(#34 +
                                'classname' + #34 +' '+ #34 +
                                'item_rockets' + #34);
                            ListBox1.Items.Add(#34 +
                                'origin' + #34 +' '+ #34 +
                                IntToStr(ox+66) +' '+
                                IntToStr(oy+18) +' '+
                                IntToStr(oz-32) +#34);
                            ListBox1.Items.Add('}');
                       end;
                  end;
             end;


     if PlayerStart2.Valid then
     begin
             ox := Hmap[PlayerStart2.Hex].x;
             oy := Hmap[PlayerStart2.Hex].y;
             oz := Hmap[PlayerStart2.Hex].z;
             ListBox1.Items.add('{');
             ListBox1.Items.add(#34 +
                 'classname' + #34 +' '+ #34 +
                 'info_player_start2' + #34);
             ListBox1.Items.Add(#34 +
                 'angle' +#34' '+#34+
                 IntToStr(480-(PlayerStart2.Angle *60))+#34);
             ListBox1.Items.Add(#34 +
                 'origin' + #34 +' '+ #34 +
                 IntToStr(ox) +' '+
                 IntToStr(oy) +' '+
                 IntToStr(oz+96) +#34);
             ListBox1.Items.Add('}');

             ListBox1.Items.Add('{');
             ListBox1.Items.add(#34 +
                 'classname' + #34 +' '+ #34 +
                 PlayerStart2.Armor + #34);
             ListBox1.Items.Add(#34 +
                 'origin' + #34 +' '+ #34 +
                 IntToStr(ox) +' '+
                 IntToStr(oy) +' '+
                 IntToStr(oz-32) +#34);
             ListBox1.Items.Add('}');

             if PlayerStart2.Weapons > 0 then
             begin
                  ListBox1.Items.Add('{');
                  ListBox1.Items.add(#34 +
                      'classname' + #34 +' '+ #34 +
                      'weapon_supershotgun' + #34);
                  ListBox1.Items.Add(#34 +
                      'origin' + #34 +' '+ #34 +
                      IntToStr(ox-66) +' '+
                      IntToStr(oy-18) +' '+
                      IntToStr(oz-32) +#34);
                  ListBox1.Items.Add('}');
                  if PlayerStart2.Weapons > 1 then
                  begin
                       ListBox1.Items.Add('{');
                       ListBox1.Items.add(#34 +
                           'classname' + #34 +' '+ #34 +
                           'weapon_nailgun' + #34);
                       ListBox1.Items.Add(#34 +
                           'origin' + #34 +' '+ #34 +
                           IntToStr(ox-47) +' '+
                           IntToStr(oy+49) +' '+
                           IntToStr(oz-32) +#34);
                       ListBox1.Items.Add('}');
                       if PlayerStart2.Weapons > 2 then
                       begin
                            ListBox1.Items.Add('{');
                            ListBox1.Items.add(#34 +
                                'classname' + #34 +' '+ #34 +
                                'weapon_grenadelauncher' + #34);
                            ListBox1.Items.Add(#34 +
                                'origin' + #34 +' '+ #34 +
                                IntToStr(ox+18) +' '+
                                IntToStr(oy+66) +' '+
                                IntToStr(oz-32) +#34);
                            ListBox1.Items.Add('}');
                       end;
                  end;
             end;

             if PlayerStart2.Ammo > 0 then
             begin
                  ListBox1.Items.Add('{');
                  ListBox1.Items.add(#34 +
                      'classname' + #34 +' '+ #34 +
                      'item_shells' + #34);
                  ListBox1.Items.Add(#34 +
                      'origin' + #34 +' '+ #34 +
                      IntToStr(ox-18) +' '+
                      IntToStr(oy-66) +' '+
                      IntToStr(oz-32) +#34);
                  ListBox1.Items.Add('}');
                  if PlayerStart2.Ammo > 1 then
                  begin
                       ListBox1.Items.Add('{');
                       ListBox1.Items.add(#34 +
                           'classname' + #34 +' '+ #34 +
                           'item_spikes' + #34);
                       ListBox1.Items.Add(#34 +
                           'origin' + #34 +' '+ #34 +
                           IntToStr(ox+47) +' '+
                           IntToStr(oy-49) +' '+
                           IntToStr(oz-32) +#34);
                       ListBox1.Items.Add('}');
                       if PlayerStart2.Ammo > 2 then
                       begin
                            ListBox1.Items.Add('{');
                            ListBox1.Items.add(#34 +
                                'classname' + #34 +' '+ #34 +
                                'item_rockets' + #34);
                            ListBox1.Items.Add(#34 +
                                'origin' + #34 +' '+ #34 +
                                IntToStr(ox+66) +' '+
                                IntToStr(oy+18) +' '+
                                IntToStr(oz-32) +#34);
                            ListBox1.Items.Add('}');
                       end;
                  end;
             end;
     end;

     for count2 := 1 to 8 do
     begin
          if Cooperative[count2].Valid then
          begin
             ox := Hmap[Cooperative[count2].Hex].x;
             oy := Hmap[Cooperative[count2].Hex].y;
             oz := Hmap[Cooperative[count2].Hex].z;
             ListBox1.Items.add('{');
             ListBox1.Items.add(#34 +
                 'classname' + #34 +' '+ #34 +
                 'info_player_coop' + #34);
             ListBox1.Items.Add(#34 +
                 'angle' +#34' '+#34+
                 IntToStr(480-(Cooperative[count2].Angle *60))+#34);
             ListBox1.Items.Add(#34 +
                 'origin' + #34 +' '+ #34 +
                 IntToStr(ox) +' '+
                 IntToStr(oy) +' '+
                 IntToStr(oz+96) +#34);
             ListBox1.Items.Add('}');

             ListBox1.Items.Add('{');
             ListBox1.Items.add(#34 +
                 'classname' + #34 +' '+ #34 +
                 Cooperative[count2].Armor + #34);
             ListBox1.Items.Add(#34 +
                 'spawnflags' + #34 +' '+ #34 +'3840'+ #34);
             ListBox1.Items.Add(#34 +
                 'origin' + #34 +' '+ #34 +
                 IntToStr(ox) +' '+
                 IntToStr(oy) +' '+
                 IntToStr(oz-32) +#34);
             ListBox1.Items.Add('}');

             if Cooperative[count2].Weapons > 0 then
             begin
                  ListBox1.Items.Add('{');
                  ListBox1.Items.add(#34 +
                      'classname' + #34 +' '+ #34 +
                      'weapon_supershotgun' + #34);
                  ListBox1.Items.Add(#34 +
                      'spawnflags' + #34 +' '+ #34 +'3840'+ #34);
                  ListBox1.Items.Add(#34 +
                      'origin' + #34 +' '+ #34 +
                      IntToStr(ox-66) +' '+
                      IntToStr(oy-18) +' '+
                      IntToStr(oz-32) +#34);
                  ListBox1.Items.Add('}');
                  if Cooperative[count2].Weapons > 1 then
                  begin
                       ListBox1.Items.Add('{');
                       ListBox1.Items.add(#34 +
                           'classname' + #34 +' '+ #34 +
                           'weapon_nailgun' + #34);
                       ListBox1.Items.Add(#34 +
                           'spawnflags' + #34 +' '+ #34 +'3840'+ #34);
                       ListBox1.Items.Add(#34 +
                           'origin' + #34 +' '+ #34 +
                           IntToStr(ox-47) +' '+
                           IntToStr(oy+49) +' '+
                           IntToStr(oz-32) +#34);
                       ListBox1.Items.Add('}');
                       if Cooperative[count2].Weapons > 2 then
                       begin
                            ListBox1.Items.Add('{');
                            ListBox1.Items.add(#34 +
                                'classname' + #34 +' '+ #34 +
                                'weapon_grenadelauncher' + #34);
                            ListBox1.Items.Add(#34 +
                                'spawnflags' + #34 +' '+ #34 +'3840'+ #34);
                            ListBox1.Items.Add(#34 +
                                'origin' + #34 +' '+ #34 +
                                IntToStr(ox+18) +' '+
                                IntToStr(oy+66) +' '+
                                IntToStr(oz-32) +#34);
                            ListBox1.Items.Add('}');
                       end;
                  end;
             end;
             if Cooperative[count2].Ammo > 0 then
             begin
                  ListBox1.Items.Add('{');
                  ListBox1.Items.add(#34 +
                      'classname' + #34 +' '+ #34 +
                      'item_shells' + #34);
                  ListBox1.Items.Add(#34 +
                      'spawnflags' + #34 +' '+ #34 +'3840'+ #34);
                  ListBox1.Items.Add(#34 +
                      'origin' + #34 +' '+ #34 +
                      IntToStr(ox-18) +' '+
                      IntToStr(oy-66) +' '+
                      IntToStr(oz-32) +#34);
                  ListBox1.Items.Add('}');
                  if Cooperative[count2].Ammo > 1 then
                  begin
                       ListBox1.Items.Add('{');
                       ListBox1.Items.add(#34 +
                           'classname' + #34 +' '+ #34 +
                           'item_spikes' + #34);
                       ListBox1.Items.Add(#34 +
                           'spawnflags' + #34 +' '+ #34 +'3840'+ #34);
                       ListBox1.Items.Add(#34 +
                           'origin' + #34 +' '+ #34 +
                           IntToStr(ox+47) +' '+
                           IntToStr(oy-49) +' '+
                           IntToStr(oz-32) +#34);
                       ListBox1.Items.Add('}');
                       if Cooperative[count2].Ammo > 2 then
                       begin
                            ListBox1.Items.Add('{');
                            ListBox1.Items.add(#34 +
                                'classname' + #34 +' '+ #34 +
                                'item_rockets' + #34);
                            ListBox1.Items.Add(#34 +
                                'spawnflags' + #34 +' '+ #34 +'3840'+ #34);
                            ListBox1.Items.Add(#34 +
                                'origin' + #34 +' '+ #34 +
                                IntToStr(ox+66) +' '+
                                IntToStr(oy+18) +' '+
                                IntToStr(oz-32) +#34);
                            ListBox1.Items.Add('}');
                       end;
                  end;
             end;
          end;
     end;

     for count2 := 1 to 8 do
     begin
          if Deathmatch[count2].Valid then
          begin
             ox := Hmap[Deathmatch[count2].Hex].x;
             oy := Hmap[Deathmatch[count2].Hex].y;
             oz := Hmap[Deathmatch[count2].Hex].z;
             ListBox1.Items.add('{');
             ListBox1.Items.add(#34 +
                 'classname' + #34 +' '+ #34 +
                 'info_player_deathmatch' + #34);
             ListBox1.Items.Add(#34 +
                 'angle' +#34' '+#34+
                 IntToStr(480-(Deathmatch[count2].Angle *60))+#34);
             ListBox1.Items.Add(#34 +
                 'origin' + #34 +' '+ #34 +
                 IntToStr(ox) +' '+
                 IntToStr(oy) +' '+
                 IntToStr(oz+96) +#34);
             ListBox1.Items.Add('}');

             ListBox1.Items.Add('{');
             ListBox1.Items.add(#34 +
                 'classname' + #34 +' '+ #34 +
                 Deathmatch[count2].Armor + #34);
             ListBox1.Items.Add(#34 +
                 'spawnflags' + #34 +' '+ #34 +'1792'+ #34);
             ListBox1.Items.Add(#34 +
                 'origin' + #34 +' '+ #34 +
                 IntToStr(ox) +' '+
                 IntToStr(oy) +' '+
                 IntToStr(oz-32) +#34);
             ListBox1.Items.Add('}');

             if Deathmatch[count2].Weapons > 0 then
             begin
                  ListBox1.Items.Add('{');
                  ListBox1.Items.add(#34 +
                      'classname' + #34 +' '+ #34 +
                      'weapon_supershotgun' + #34);
                  ListBox1.Items.Add(#34 +
                      'spawnflags' + #34 +' '+ #34 +'1792'+ #34);
                  ListBox1.Items.Add(#34 +
                      'origin' + #34 +' '+ #34 +
                      IntToStr(ox-66) +' '+
                      IntToStr(oy-18) +' '+
                      IntToStr(oz-32) +#34);
                  ListBox1.Items.Add('}');
                  if Deathmatch[count2].Weapons > 1 then
                  begin
                       ListBox1.Items.Add('{');
                       ListBox1.Items.add(#34 +
                           'classname' + #34 +' '+ #34 +
                           'weapon_nailgun' + #34);
                       ListBox1.Items.Add(#34 +
                           'spawnflags' + #34 +' '+ #34 +'1792'+ #34);
                       ListBox1.Items.Add(#34 +
                           'origin' + #34 +' '+ #34 +
                           IntToStr(ox-47) +' '+
                           IntToStr(oy+49) +' '+
                           IntToStr(oz-32) +#34);
                       ListBox1.Items.Add('}');
                       if Deathmatch[count2].Weapons > 2 then
                       begin
                            ListBox1.Items.Add('{');
                            ListBox1.Items.add(#34 +
                                'classname' + #34 +' '+ #34 +
                                'weapon_grenadelauncher' + #34);
                            ListBox1.Items.Add(#34 +
                                'spawnflags' + #34 +' '+ #34 +'1792'+ #34);
                            ListBox1.Items.Add(#34 +
                                'origin' + #34 +' '+ #34 +
                                IntToStr(ox+18) +' '+
                                IntToStr(oy+66) +' '+
                                IntToStr(oz-32) +#34);
                            ListBox1.Items.Add('}');
                       end;
                  end;
             end;
             if Deathmatch[count2].Ammo > 0 then
             begin
                  ListBox1.Items.Add('{');
                  ListBox1.Items.add(#34 +
                      'classname' + #34 +' '+ #34 +
                      'item_shells' + #34);
                  ListBox1.Items.Add(#34 +
                      'spawnflags' + #34 +' '+ #34 +'1792'+ #34);
                  ListBox1.Items.Add(#34 +
                      'origin' + #34 +' '+ #34 +
                      IntToStr(ox-18) +' '+
                      IntToStr(oy-66) +' '+
                      IntToStr(oz-32) +#34);
                  ListBox1.Items.Add('}');
                  if Deathmatch[count2].Ammo > 1 then
                  begin
                       ListBox1.Items.Add('{');
                       ListBox1.Items.add(#34 +
                           'classname' + #34 +' '+ #34 +
                           'item_spikes' + #34);
                       ListBox1.Items.Add(#34 +
                           'spawnflags' + #34 +' '+ #34 +'1792'+ #34);
                       ListBox1.Items.Add(#34 +
                           'origin' + #34 +' '+ #34 +
                           IntToStr(ox+47) +' '+
                           IntToStr(oy-49) +' '+
                           IntToStr(oz-32) +#34);
                       ListBox1.Items.Add('}');
                       if Deathmatch[count2].Ammo > 2 then
                       begin
                            ListBox1.Items.Add('{');
                            ListBox1.Items.add(#34 +
                                'classname' + #34 +' '+ #34 +
                                'item_rockets' + #34);
                            ListBox1.Items.Add(#34 +
                                'spawnflags' + #34 +' '+ #34 +'1792'+ #34);
                            ListBox1.Items.Add(#34 +
                                'origin' + #34 +' '+ #34 +
                                IntToStr(ox+66) +' '+
                                IntToStr(oy+18) +' '+
                                IntToStr(oz-32) +#34);
                            ListBox1.Items.Add('}');
                       end;
                  end;
             end;
          end;
     end;



     for count := 1 to 919 do
     begin
          if Hmap[count].Valid then
          begin
               ox := Hmap[count].x;
               oy := Hmap[count].y;
               oz := Hmap[count].z;
               if Hmap[count].wall[1] = 2 then
                    MapDoor1(count,ox,oy,oz);
               if Hmap[count].wall[2] = 2 then
                    MapDoor2(count,ox,oy,oz);
               if Hmap[count].wall[3] = 2 then
                    MapDoor3(count,ox,oy,oz);
               if Hmap[count].wall[4] = 2 then
                    MapDoor4(count,ox,oy,oz);
               if Hmap[count].wall[5] = 2 then
                    MapDoor5(count,ox,oy,oz);
               if Hmap[count].wall[6] = 2 then
                    MapDoor6(count,ox,oy,oz);
          end;
     end;


     StrLight := 'light';
     if (light > 5) and (light <= 58) then
     begin
       StrLight := 'light_torch_small_walltorch';
       for count := 1 to 919 do
       begin
         if Hmap[count].Valid then
         begin
             ox := Hmap[count].x;
             oy := Hmap[count].y;
             oz := Hmap[count].z;
             count1 := 0;
           if Hmap[count].wall[1]=1 then
           begin
                count1 := count1 + 1;
                ListBox1.Items.add('{');
                ListBox1.Items.add(#34 +
                    'classname' + #34 +' '+ #34 +
                    StrLight + #34);
                ListBox1.Items.add(#34 +
                    'light' + #34 +' '+ #34 +
                    IntToStr(bright) +#34);
                ListBox1.Items.Add(#34 +
                    'origin' + #34 +' '+ #34 +
                    IntToStr(ox + 48) +' '+
                    IntToStr(oy + 80) +' '+
                    IntToStr(oz + light) +#34);
                ListBox1.Items.Add('}');
           end;
           if Hmap[count].wall[2]=1 then
           begin
                count1 := count1 + 1;
                ListBox1.Items.add('{');
                ListBox1.Items.add(#34 +
                    'classname' + #34 +' '+ #34 +
                    StrLight + #34);
                ListBox1.Items.add(#34 +
                    'light' + #34 +' '+ #34 +
                    IntToStr(bright) +#34);
                ListBox1.Items.Add(#34 +
                    'origin' + #34 +' '+ #34 +
                    IntToStr(ox +96) +' '+
                    IntToStr(oy) +' '+
                    IntToStr(oz + light) +#34);
                ListBox1.Items.Add('}');
           end;
           if Hmap[count].wall[3]=1 then
           begin
                count1 := count1 + 1;
                ListBox1.Items.add('{');
                ListBox1.Items.add(#34 +
                    'classname' + #34 +' '+ #34 +
                    StrLight + #34);
                ListBox1.Items.add(#34 +
                    'light' + #34 +' '+ #34 +
                    IntToStr(bright) +#34);
                ListBox1.Items.Add(#34 +
                    'origin' + #34 +' '+ #34 +
                    IntToStr(ox +48) +' '+
                    IntToStr(oy -80) +' '+
                    IntToStr(oz + light) +#34);
                ListBox1.Items.Add('}');
           end;
           if Hmap[count].wall[4]=1 then
           begin
                count1 := count1 + 1;
                ListBox1.Items.add('{');
                ListBox1.Items.add(#34 +
                    'classname' + #34 +' '+ #34 +
                    StrLight + #34);
                ListBox1.Items.add(#34 +
                    'light' + #34 +' '+ #34 +
                    IntToStr(bright) +#34);
                ListBox1.Items.Add(#34 +
                    'origin' + #34 +' '+ #34 +
                    IntToStr(ox -48) +' '+
                    IntToStr(oy -80) +' '+
                    IntToStr(oz + light) +#34);
                ListBox1.Items.Add('}');
           end;
           if Hmap[count].wall[5]=1 then
           begin
                count1 := count1 + 1;
                ListBox1.Items.add('{');
                ListBox1.Items.add(#34 +
                    'classname' + #34 +' '+ #34 +
                    StrLight + #34);
                ListBox1.Items.add(#34 +
                    'light' + #34 +' '+ #34 +
                    IntToStr(bright) +#34);
                ListBox1.Items.Add(#34 +
                    'origin' + #34 +' '+ #34 +
                    IntToStr(ox -96) +' '+
                    IntToStr(oy) +' '+
                    IntToStr(oz + light) +#34);
                ListBox1.Items.Add('}');
           end;
           if Hmap[count].wall[6]=1 then
           begin
                count1 := count1 + 1;
                ListBox1.Items.add('{');
                ListBox1.Items.add(#34 +
                    'classname' + #34 +' '+ #34 +
                    StrLight + #34);
                ListBox1.Items.add(#34 +
                    'light' + #34 +' '+ #34 +
                    IntToStr(bright) +#34);
                ListBox1.Items.Add(#34 +
                    'origin' + #34 +' '+ #34 +
                    IntToStr(ox -48) +' '+
                    IntToStr(oy +80) +' '+
                    IntToStr(oz + light) +#34);
                ListBox1.Items.Add('}');
           end;
           if count1 = 0 then
           begin
                ListBox1.Items.add('{');
                ListBox1.Items.add(#34 +
                    'classname' + #34 +' '+ #34 +
                    'light' + #34);
                ListBox1.Items.add(#34 +
                    'light' + #34 +' '+ #34 +
                    IntToStr(bright *2) +#34);
                ListBox1.Items.Add(#34 +
                    'origin' + #34 +' '+ #34 +
                    IntToStr(ox) +' '+
                    IntToStr(oy) +' '+
                    IntToStr(oz + 96) +#34);
                ListBox1.Items.Add('}');
           end;
         end;
       end;
     end;
     if ((light > 58) and (light <= 112))
        or ((light >-56) and (light <=5)) then
     begin
         for count := 1 to 919 do
         begin
             if Hmap[count].Valid then
             begin
                 ox := Hmap[count].x;
                 oy := Hmap[count].y;
                 oz := Hmap[count].z;
                 StrLight := 'light';
                 ListBox1.Items.add('{');
                 ListBox1.Items.add(#34 +
                     'classname' + #34 +' '+ #34 +
                     StrLight + #34);
                 ListBox1.Items.add(#34 +
                     'light' + #34 +' '+ #34 +
                     IntToStr(bright) +#34);
                 ListBox1.Items.Add(#34 +
                     'origin' + #34 +' '+ #34 +
                     IntToStr(ox) +' '+
                     IntToStr(oy + 104) +' '+
                     IntToStr(oz + light) +#34);
                 ListBox1.Items.Add('}');

                    ListBox1.Items.add('{');
                    ListBox1.Items.add(#34 +
                        'classname' + #34 +' '+ #34 +
                        StrLight + #34);
                    ListBox1.Items.add(#34 +
                        'light' + #34 +' '+ #34 +
                        IntToStr(bright) +#34);
                    ListBox1.Items.Add(#34 +
                        'origin' + #34 +' '+ #34 +
                        IntToStr(ox +96) +' '+
                        IntToStr(oy + 56) +' '+
                        IntToStr(oz + light) +#34);
                    ListBox1.Items.Add('}');

                    ListBox1.Items.add('{');
                    ListBox1.Items.add(#34 +
                        'classname' + #34 +' '+ #34 +
                        StrLight + #34);
                    ListBox1.Items.add(#34 +
                        'light' + #34 +' '+ #34 +
                        IntToStr(bright) +#34);
                    ListBox1.Items.Add(#34 +
                        'origin' + #34 +' '+ #34 +
                        IntToStr(ox +96) +' '+
                        IntToStr(oy -56) +' '+
                        IntToStr(oz + light) +#34);
                    ListBox1.Items.Add('}');

                    ListBox1.Items.add('{');
                    ListBox1.Items.add(#34 +
                        'classname' + #34 +' '+ #34 +
                        StrLight + #34);
                    ListBox1.Items.add(#34 +
                        'light' + #34 +' '+ #34 +
                        IntToStr(bright) +#34);
                    ListBox1.Items.Add(#34 +
                        'origin' + #34 +' '+ #34 +
                        IntToStr(ox) +' '+
                        IntToStr(oy -104) +' '+
                        IntToStr(oz + light) +#34);
                    ListBox1.Items.Add('}');

                    ListBox1.Items.add('{');
                    ListBox1.Items.add(#34 +
                        'classname' + #34 +' '+ #34 +
                        StrLight + #34);
                    ListBox1.Items.add(#34 +
                        'light' + #34 +' '+ #34 +
                        IntToStr(bright) +#34);
                    ListBox1.Items.Add(#34 +
                        'origin' + #34 +' '+ #34 +
                        IntToStr(ox -96) +' '+
                        IntToStr(oy -56) +' '+
                        IntToStr(oz + light) +#34);
                    ListBox1.Items.Add('}');

                    ListBox1.Items.add('{');
                    ListBox1.Items.add(#34 +
                        'classname' + #34 +' '+ #34 +
                        StrLight + #34);
                    ListBox1.Items.add(#34 +
                        'light' + #34 +' '+ #34 +
                        IntToStr(bright) +#34);
                    ListBox1.Items.Add(#34 +
                        'origin' + #34 +' '+ #34 +
                        IntToStr(ox -96) +' '+
                        IntToStr(oy +56) +' '+
                        IntToStr(oz + light) +#34);
                    ListBox1.Items.Add('}');

                    ListBox1.Items.add('{');
                    ListBox1.Items.add(#34 +
                        'classname' + #34 +' '+ #34 +
                        StrLight + #34);
                    ListBox1.Items.add(#34 +
                        'light' + #34 +' '+ #34 +
                        IntToStr(bright) +#34);
                    ListBox1.Items.Add(#34 +
                        'origin' + #34 +' '+ #34 +
                        IntToStr(ox) +' '+
                        IntToStr(oy) +' '+
                        IntToStr(oz + light) +#34);
                    ListBox1.Items.Add('}');
                 end;
             end;
         end;

     ListBox1.Items.SaveToFile(CurFile+'.map');

     ListBox2.Clear;
     end;

  end;
  Result := True;
end;   ///////////// End of  WriteMapFile ////////////////

procedure TForm1.FormResize(Sender: TObject);
begin
     ch := Form1.ClientHeight;
     cw := Form1.ClientWidth;
     cy := Round(ch div 2)+view_y;
     cx := Round(cw div 2)+view_x;
     scale := ch /((Hmap[919].y-128+Hmap[919].y) * zoom / 17);
//     scale := ch /((Hmap[919].y) * zoom);

     Label1.Top := ch - 49;
     Label2.Top := ch - 25;
     Label3.Top := ch - 49;
     Label3.Left := cw - 99;
     Label4.Top := ch - 25;
     Label4.Left := cw - 115;

     Button4.Left := cw - 67;

     ComboBox1.Left := cw - 131;
     updown1.Left := cw-50;
     Label11.Left := cw-91;


     Form1.Invalidate;
end;


procedure TForm1.FormPaint(Sender: TObject);
var
   count: integer;

begin
     ty := Round(128 * scale);
     rx := Round(112 * scale);
     ry := Round(64 * scale);


     if (StrToInt(User_Total_Saved) = 18) then
     begin
          User_Total_Saved := IntToStr(StrToInt(User_Total_Saved)+1);
          messagedlg('This application is being used.  Thank you for your interest.'+
                     '  A new listing is being added to you menu.',
                     MtInformation,[MbOk],0);
          View1.Visible := True;
          Allhexes1.Checked := False;
     end;

     for count := 1 to 919 do
     begin
          Canvas.Pen.Color := clGreen;
          Canvas.Pen.Width := 1;
          if Allhexes1.Checked = False then
          begin
               if (count = 425) or
                  (count = 426) or
                  (count = 459) or
                  (count = 460) or
                  (count = 461) or
                  (count = 494) or
                  (count = 495)
               then
               begin
                    if Hmap[count].valid = False then
                       RenderWireHex(count);
               end;
          end
          else
          begin
               if Hmap[count].valid = False then
                  RenderWireHex(count);
          end;


          if Hmap[count].valid then
          begin
               RenderHex(count);

{               for face := 1 to 8 do
               begin
                    if Hmap[count].Hadjacent[face] > 0 then
                    begin
                         if Hmap[count].Hadjacent[face] <= 919 then
                         begin
                              if Hmap[Hmap[count].Hadjacent[face]].valid then
                              begin
                                   if Hmap[count].wall[face] = 1 then
                                          Hmap[count].wall[face] := 0;
//*// why is this here?, this shouldn't be in repaint function.
                              end;
                         end;
                    end;
               end;}

          end
          else
          begin
               RenderWireHex(Count);
          end; // end of    if Hmap[count].valid
     end; // end of         for count := 1 to 919
end;

procedure TForm1.FormMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
     mx := x - cx;
     my := cy - y;
     if my = 0 then my := 1;
     if mx < 0 then
     begin
          if my < 0 then
          begin
               quad := 3;
          end
          else
          begin
               quad := 4;
          end;

     end
     else
     begin
         if my < 0 then
         begin
              quad := 2;
         end
         else
         begin
              quad := 1;
         end;

     end;

     Angle := ArcTan(mx / my)/ Rad;

     if quad = 2 then
     begin
          Angle := 90 + (90 + Angle);

     end;

     if quad = 3 then
     begin
          Angle := 180 + Angle;
     end;

     if quad = 4 then
     begin
          Angle := 270 + (90 + Angle);
     end;


     Label1.Caption := 'X = ' + IntToStr(mx) +
                    '  Y = ' + IntToStr(my);
     Label2.Caption := 'Angle = ' +
                    FormatFloat('###.####', Angle);
     Label3.Caption := 'Quadrant  '+ IntToStr(quad);

     Distance := Sqrt(sqr(mx) + sqr(my));
     Label4.Caption := 'Distance ' +
                    FormatFloat('####.####', Distance);

{     if drag_enabled then
     begin
          Hex := Is_It_In_Hex_Area(X,Y);
          if (Hex > 0) and (Hex < 920) then
          begin
          IsSaved := False;
          Run2.Enabled := False;

          if Form1.Cursor = crHex_3 then
          begin
               If Hmap[hex].valid = False then
               begin
                    Hmap[hex].valid := True;
                    RenderHex(Hex);

                    Hmap[hex].wall[7] := true;
                    Hmap[hex].wall[8] := true;
                    for face := 1 to 6 do
                    begin
                         Hmap[hex].wall[face] := true;
                         if Hmap[hex].Hadjacent[face] <> 0 then
                         begin
                              If Hmap[Hmap[hex].Hadjacent[face]].valid then
                              begin
                                   temp := face + 1;
                                   if temp > 6 then temp := 1;
                                      temp := temp + 1;
                                   if temp > 6 then temp := 1;
                                      temp := temp + 1;
                                   if temp > 6 then temp := 1;

                                   Hmap[hex].wall[face] := false;
                                   Hmap[Hmap[hex].Hadjacent[face]].wall[temp] := false;
                              end;
                         end;
                    end;
               end;
          end;
     end;

         end;}
end;

procedure TForm1.FormMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
var
   ty,rx,ry, Hex, temp, temp_Hex,
   count, count2, count3: integer;
   NewCoop, NewMatch: Boolean;
begin
     temp := 0;
     if Button = mbRight then
     begin
          if ssShift in Shift then
          begin
               if Button4.Enabled = False then
               begin
                    Button4.Enabled := True;
                    Button4.Visible := True;
               end
               else
               begin
                    Button4.Enabled := False;
                    Button4.Visible := False;
               end;

          end;
     end;


     if Button = mbLeft then
     begin
          Hex := Is_It_In_Hex_Area(X,Y);
          If (Hex > 0) and (Hex < 920) then
          begin
               IsSaved := False;
               x := Round(Hmap[Hex].x*scale)*-1;
               y := Round(Hmap[Hex].y*scale)*-1;
               ty := Round(128 * scale);
               rx := Round(112 * scale);
               ry := Round(64 * scale);
               if Form1.Cursor = crHex_3 then
               begin
                    Hall_Click(hex,x,y,rx,ry,ty);
               end;
//////////
/////////
////////
          If Hmap[hex].valid = True then
          begin
               if (Form1.Cursor = crStart_1) or
                  (Form1.Cursor = crStart_2) or
                  (Form1.Cursor = crStart_3) or
                  (Form1.Cursor = crStart_4) or
                  (Form1.Cursor = crStart_5) or
                  (Form1.Cursor = crStart_6) then
               begin
                    if PlayerStart2.Hex = hex then
                    begin
                         PlayerStart2.Valid := False;
                         PlayerStart2.Hex := 0;
                         RenderHex(Hex);
                    end;
                    if PlayerStart.Hex = hex then
                    begin
                         PlayerStart.Valid := False;
                         PlayerStart.Hex := 0;
                         RenderHex(Hex);
                    end
                    else
                    begin
                         Temp_Hex := 0;
                         if PlayerStart.Valid = True then
                            Temp_Hex := PlayerStart.Hex;
                         PlayerStart.Hex := Hex;
                         RenderWireHex(Temp_Hex);
                         PlayerStart.Valid := True;
                         PlayerStart.angle := UpDown1.Position;
                         RenderHex(Hex);
                         RenderHex(Temp_Hex);
                    end;
               end;

               if (Form1.Cursor = crStart2_1) or
                  (Form1.Cursor = crStart2_2) or
                  (Form1.Cursor = crStart2_3) or
                  (Form1.Cursor = crStart2_4) or
                  (Form1.Cursor = crStart2_5) or
                  (Form1.Cursor = crStart2_6) then
               begin
                    if PlayerStart.Hex = hex then
                    begin
                         PlayerStart.Valid := False;
                         PlayerStart.Hex := 0;
                         RenderHex(Hex);
                    end;
                    if PlayerStart2.Hex = hex then
                    begin
                         PlayerStart2.Valid := False;
                         PlayerStart2.Hex := 0;
                         RenderHex(Hex);
                    end
                    else
                    begin
                         Temp_Hex := 0;
                         if PlayerStart2.Valid = True then
                            Temp_Hex := PlayerStart2.Hex;
                         PlayerStart2.Hex := Hex;
                         RenderWireHex(Temp_Hex);
                         PlayerStart2.Valid := True;
                         PlayerStart2.angle := UpDown1.Position;
                         RenderHex(Hex);
                         RenderHex(Temp_Hex);
                    end;
               end;

               NewCoop := False;
               if (Form1.Cursor = crCOOP_1) or
                  (Form1.Cursor = crCOOP_2) or
                  (Form1.Cursor = crCOOP_3) or
                  (Form1.Cursor = crCOOP_4) or
                  (Form1.Cursor = crCOOP_5) or
                  (Form1.Cursor = crCOOP_6) then
               begin
                    NewCoop := True;
                    for count := 1 to 8 do
                    begin
                         if Cooperative[count].Hex = hex then
                         begin
                              Cooperative[count].Valid := False;
                              Cooperative[count].Hex := 0;
                              NewCoop := False;
                              if count > 1 then
                              begin
                                   for count2 := count to 7 do
                                        temp := count2;
                                        Cooperative[temp].Valid := Cooperative[temp+1].Valid;
                                        Cooperative[temp].Hex := Cooperative[temp+1].Hex;
                                        Cooperative[8].Valid := False;
                                   end;
                              end;
                              for count3 := 1 to 8 do
                              begin
                                   if (Deathmatch[count3].hex = hex) and (Deathmatch[count3].Valid = true) then
                                   begin
                                           Canvas.Pen.Color := clAqua;
                                           Canvas.Pen.Width := 2;
                                   end;
                              end;
                              RenderHex(Hex);
                         end;
                    end;
                    if NewCoop then
                    begin
                         count := 1;
                         while count <= 8 do
                         begin
                              if Cooperative[count].Valid = False then
                              begin
                                   Cooperative[count].Valid := True;
                                   Cooperative[count].Hex := hex;
                                   Cooperative[count].angle := UpDown1.Position;
                                   CurrentCoop := count;
                                   for count3 := 1 to 8 do
                                   begin
                                        if (Deathmatch[count3].hex = hex) and (Deathmatch[count3].Valid = true) then
                                           Canvas.Pen.Color := clLime
                                   end;
                                   RenderHex(Hex);
                                   count := 34;
                                   NewCoop := False;
                              end;
                              count := count + 1;
                         end;
                         if NewCoop then
                           messagedlg('there are already 8 cooperative start positions', mtInformation, [mbOK], 0);
                    end;

                    NewMatch := False;
                    if (Form1.Cursor = crMATCH_1) or
                       (Form1.Cursor = crMATCH_2) or
                       (Form1.Cursor = crMATCH_3) or
                       (Form1.Cursor = crMATCH_4) or
                       (Form1.Cursor = crMATCH_5) or
                       (Form1.Cursor = crMATCH_6) then
                    begin
                         NewMatch := True;
                         for count := 1 to 8 do
                         begin
                              if Deathmatch[count].Hex = hex then
                              begin
                                   Deathmatch[count].Valid := False;
                                   Deathmatch[count].Hex := 0;
                                   NewMatch := False;
                                   if count > 1 then
                                   begin
                                        for count2 := count to 7 do
                                        begin
                                             Deathmatch[count2].Valid := Deathmatch[count2+1].Valid;
                                             Deathmatch[count2].Hex := Deathmatch[count2+1].Hex;
                                        end;
                                        Deathmatch[8].Valid := False;
                                   end;
                              end;
                              if PlayerStart.Hex = Hex then
                                 Form1.Canvas.Brush.Color := clRed;
                              for count3 := 1 to 8 do
                              begin
                                   if (Cooperative[count3].hex = hex) and (Cooperative[count3].Valid = true) then
                                   begin
                                           Canvas.Pen.Color := clFuchsia;
                                           Canvas.Pen.Width := 2;
                                   end;
                              end;
                              RenderHex(Hex);
                         end;
                    end;
                    if NewMatch then
                    begin
                         count := 1;
                         while count <= 8 do
                         begin
                              if Deathmatch[count].Valid = False then
                              begin
                                   Deathmatch[count].Valid := True;
                                   Deathmatch[count].Hex := hex;
                                   Deathmatch[count].angle := UpDown1.Position;
                                   CurrentMatch := count;
                                   RenderHex(Hex);
                                   count := 34;
                                   NewMatch := False;
                              end;
                              count := count + 1;
                         end;
                         if NewMatch then
                           messagedlg('there are already 8 Deathmatch start positions', mtInformation, [mbOK], 0);
                    end;
               end;

               if (Form1.Cursor = crDOOR_1) then
               begin
                    AddDoor1(Hex);
               end;

               if (Form1.Cursor = crDOOR_2) then
               begin
                    AddDoor2(Hex);
               end;

               if (Form1.Cursor = crDOOR_3) then
               begin
                    AddDoor3(Hex);
               end;

               if (Form1.Cursor = crDOOR_4) then
               begin
                    AddDoor4(Hex);
               end;

               if (Form1.Cursor = crDOOR_5) then
               begin
                    AddDoor5(Hex);
               end;

               if (Form1.Cursor = crDOOR_6) then
               begin
                    AddDoor6(Hex);
               end;

          end
          else
          begin
               MessageDlg('Players & monsters cannot start in the grey void.', mtInformation, [mbOK], 0);
          end;
     end;
end;



procedure TForm1.Button4Click(Sender: TObject);
begin
     if debug then
     begin
         debug := False;
         Label1.Visible := False;
         Label2.Visible := False;
         Label3.Visible := False;
         Label4.Visible := False;
         Label5.Visible := False;
         Label6.Visible := False;
         ListBox1.Visible := False;
         ListBox2.Visible := False;
         TrackBar1.Visible := True;
         ComboBox1.Visible := True;
         //UpDown1.Visible := True;
     end
     else
     begin
         debug := True;
         Label1.Visible := True;
         Label2.Visible := True;
         Label3.Visible := True;
         Label4.Visible := True;
         Label5.Visible := True;
         Label6.Visible := True;
         ListBox1.Visible := True;
         ListBox2.Visible := True;
         TrackBar1.Visible := False;
         ComboBox1.Visible := False;
         ComboBox1.Visible := False;
         UpDown1.Visible := False;

         if PlayerStart.Valid = False then
            MessageDlg('There is no Player Start Position.  The level will not Run without it.', mtInformation, [mbOK], 0);
     end;
end;

procedure TForm1.TrackBar1Change(Sender: TObject);
begin
    Label10.Caption := IntToStr(64 +((TrackBar1.Position)*-1));
    Light := StrToInt(Label10.Caption);
    if (light > -56) and (light <= 5) then
    begin
         Label7.Font.Color := clBlack;
         Label8.Font.Color := clBlack;
         Label9.Font.Color := clRed;
    end;
    if (light > 5) and (light <= 58) then
    begin
         Label7.Font.Color := clBlack;
         Label8.Font.Color := clRed;
         Label9.Font.Color := clBlack;
    end;
    if (light > 58) and (light <= 112) then
    begin
         Label7.Font.Color := clRed;
         Label8.Font.Color := clBlack;
         Label9.Font.Color := clBlack;
    end;

end;

procedure TForm1.FormCreate(Sender: TObject);
var
   count, count1, face: integer;
   xdoes, ydoes: boolean;
begin
     Qpath := '';
     id1 := 'id1';
     maps := 'maps';
     IniFile := TRegIniFile.Create('software\Branya');
     User_Total_Saved := IniFile.ReadString('Hex_Lab',
               'User_Total_Saved', User_Total_Saved);
     Allhexes1.Checked := True;
     if StrToInt(User_Total_Saved) > 18 then
     begin
          View1.Visible := True;
          Allhexes1.Checked := False;
     end;

{     Drag_Enabled := False;}
     curFile := 'UNnamed';
     Form1.Caption := Title +'  {' +curFile+ '}';

  BlankBmp := TBitmap.Create;
  CeilBmp := TBitmap.Create;
  WallBmp := TBitmap.Create;
  FloorBmp := TBitmap.Create;
  DoorBmp := TBitmap.Create;
  StartBmp := TBitmap.Create;

    BlankBmp.LoadFromFile('Blank.bmp');
    Form1.Canvas.Brush.Bitmap := BlankBmp;
    CeilBmp.LoadFromFile('ceil_1.bmp');
    WallBmp.LoadFromFile('wall_x3.bmp');
    FloorBmp.LoadFromFile('floor_1.bmp');
    DoorBmp.LoadFromFile('door_1.bmp');
    StartBmp.LoadFromFile('floor_2.bmp');

    //metalt2_1.bmp');


     debug := False;
     Button4.Enabled := False;
     Button4.Visible := False;
     PlayerStart.Valid := False;
         Label1.Visible := True;
         Label2.Visible := True;
         Label3.Visible := True;
         Label4.Visible := True;
         Label5.Visible := True;
         Label6.Visible := True;
         ListBox1.Visible := True;
         ListBox2.Visible := True;
         TrackBar1.Visible := False;
         ComboBox1.Visible := False;
         Label11.Visible := False;
         UpDown1.Visible := False;

     Angle := 0;
     Rad := 0.01745329251994;

     OpenDialog1.FileName := 'entity.txt';
     ComboBox1.Items.LoadFromFile(OpenDialog1.FileName);

     OpenDialog1.FileName := 'Hex_919d.txt';
     ListBox1.Items.LoadFromFile(OpenDialog1.FileName);
     for count := 1 to Round(ListBox1.Items.Count/2) do
     begin
          Hmap[count].x := Round(StrToFloat(
                       ListBox1.Items[count * 2 -2]));
          Hmap[count].y := Round(StrToFloat(
                       ListBox1.Items[count*2-1]));
          Hmap[count].z := 0;
          Hmap[count].Valid := False;
          for face := 1 to 8 do
          begin
          Hmap[count].Hadjacent[face] := 0;
          end;
     end;


     UndoList1[1] := 443;
     UndoList2[1] := 477;
     For count := 2 to 255 do
     begin
          UndoList1[count] := 0;
          UndoList2[count] := 0;
     end;


     PlayerStart.Valid := False;
     PlayerStart.Armor := 'item_armor1';
     PlayerStart.Weapons := 3;
     PlayerStart.Ammo := 3;
     PlayerStart2.Valid := False;
     PlayerStart2.Armor := 'item_armor1';
     PlayerStart2.Weapons := 3;
     PlayerStart2.Ammo := 3;
     for count := 1 to 8 do
     begin
          Cooperative[count].Valid := False;
          Cooperative[count].Armor := 'item_armor1';
          Cooperative[count].Weapons := 3;
          Cooperative[count].Ammo := 3;
          Deathmatch[count].Valid := False;
          Deathmatch[count].Armor := 'item_armor1';
          Deathmatch[count].Weapons := 3;
          Deathmatch[count].Ammo := 3;
     end;

    // begin adjacent asignment
    for count := 1 to 919 do
    begin
         xdoes := false;
         ydoes := false;
         for count1 := 1 to 919 do
         begin

             If Hmap[count].x + 112 = Hmap[count1].x then
                xdoes := true;
             if Hmap[count].y+192 = Hmap[count1].y then
                ydoes := true;
             if xdoes and ydoes then
             begin
                  Hmap[count].hadjacent[1] := count1;
             end;
             xdoes := false;
             ydoes := false;

             If Hmap[count].x+224 = Hmap[count1].x then
                xdoes := true;
             if Hmap[count].y = Hmap[count1].y then
                ydoes := true;
             if xdoes and ydoes then
             begin
                  Hmap[count].hadjacent[2] := count1;
             end;
             xdoes := false;
             ydoes := false;

             If Hmap[count].x+112 = Hmap[count1].x then
                xdoes := true;
             if Hmap[count].y-192 = Hmap[count1].y then
                ydoes := true;
             if xdoes and ydoes then
             begin
                  Hmap[count].hadjacent[3] := count1;
             end;
             xdoes := false;
             ydoes := false;

             If Hmap[count].x-112 = Hmap[count1].x then
                xdoes := true;
             if Hmap[count].y-192 = Hmap[count1].y then
                ydoes := true;
             if xdoes and ydoes then
             begin
                  Hmap[count].hadjacent[4] := count1;
             end;
             xdoes := false;
             ydoes := false;

             If Hmap[count].x-224 = Hmap[count1].x then
                xdoes := true;
             if Hmap[count].y = Hmap[count1].y then
                ydoes := true;
             if xdoes and ydoes then
             begin
                  Hmap[count].hadjacent[5] := count1;
             end;
             xdoes := false;
             ydoes := false;

             If Hmap[count].x-112 = Hmap[count1].x then
                xdoes := true;
             if Hmap[count].y+192 = Hmap[count1].y then
                ydoes := true;
             if xdoes and ydoes then
             begin
                  Hmap[count].hadjacent[6] := count1;
             end;
             xdoes := false;
             ydoes := false;
         end;


    end;

    // end adjacent asignment
    IsSaved := False;
//    Run2.Enabled := False;
    WallTex := 'wall_1';
    // 'wall_x3';
    CeilTex := 'ceil_1';
    // 'wswamp2_2';
    FloorTex := 'floor_1';
    //'metalt2_1';
    DoorTex := 'door_1';

    HallWay.CeilBmp := 'ceil_1';
    HallWay.WallBmp := 'wall_1';
    HallWay.FloorBmp := 'floor_1';

    PlayerStart.CeilBmp := 'start_c';
    PlayerStart.WallBmp := 'start_w';
    PlayerStart.FloorBmp := 'start_f';
    Light := 6;
    bright := 170;

         ListBox1.Items.Clear;
         Label1.Visible := False;
         Label2.Visible := False;
         Label3.Visible := False;
         Label4.Visible := False;
         Label5.Visible := False;
         Label6.Visible := False;
         ListBox1.Visible := False;
         ListBox2.Visible := False;
         TrackBar1.Visible := True;
         ComboBox1.Visible := True;


// (HInstance,'HEX_TEst.RES')
    Screen.Cursors[crSTART_1] := LoadCursor(HInstance,'START_1');
    Screen.Cursors[crSTART_2] := LoadCursor(HInstance,'START_2');
    Screen.Cursors[crSTART_3] := LoadCursor(HInstance,'START_3');
    Screen.Cursors[crSTART_4] := LoadCursor(HInstance,'START_4');
    Screen.Cursors[crSTART_5] := LoadCursor(HInstance,'START_5');
    Screen.Cursors[crSTART_6] := LoadCursor(HInstance,'START_6');

    Screen.Cursors[crSTART2_1] := LoadCursor(HInstance,'START2_1');
    Screen.Cursors[crSTART2_2] := LoadCursor(HInstance,'START2_2');
    Screen.Cursors[crSTART2_3] := LoadCursor(HInstance,'START2_3');
    Screen.Cursors[crSTART2_4] := LoadCursor(HInstance,'START2_4');
    Screen.Cursors[crSTART2_5] := LoadCursor(HInstance,'START2_5');
    Screen.Cursors[crSTART2_6] := LoadCursor(HInstance,'START2_6');
    Screen.Cursors[crCOOP_1] := LoadCursor(HInstance,'COOP_1');
    Screen.Cursors[crCOOP_2] := LoadCursor(HInstance,'COOP_2');
    Screen.Cursors[crCOOP_3] := LoadCursor(HInstance,'COOP_3');
    Screen.Cursors[crCOOP_4] := LoadCursor(HInstance,'COOP_4');
    Screen.Cursors[crCOOP_5] := LoadCursor(HInstance,'COOP_5');
    Screen.Cursors[crCOOP_6] := LoadCursor(HInstance,'COOP_6');
    Screen.Cursors[crMATCH_1] := LoadCursor(HInstance,'MATCH_1');
    Screen.Cursors[crMATCH_2] := LoadCursor(HInstance,'MATCH_2');
    Screen.Cursors[crMATCH_3] := LoadCursor(HInstance,'MATCH_3');
    Screen.Cursors[crMATCH_4] := LoadCursor(HInstance,'MATCH_4');
    Screen.Cursors[crMATCH_5] := LoadCursor(HInstance,'MATCH_5');
    Screen.Cursors[crMATCH_6] := LoadCursor(HInstance,'MATCH_6');
    Screen.Cursors[crHEX1] := LoadCursor(HInstance,'HEX1');
    Screen.Cursors[crHEX_1] := LoadCursor(HInstance,'HEX_1');
    Screen.Cursors[crHEX_2] := LoadCursor(HInstance,'HEX_2');
    Screen.Cursors[crHEX_3] := LoadCursor(HInstance,'HEX_3');
    Screen.Cursors[crDOOR_1] := LoadCursor(HInstance,'DOOR_1');
    Screen.Cursors[crDOOR_2] := LoadCursor(HInstance,'DOOR_2');
    Screen.Cursors[crDOOR_3] := LoadCursor(HInstance,'DOOR_3');
    Screen.Cursors[crDOOR_4] := LoadCursor(HInstance,'DOOR_4');
    Screen.Cursors[crDOOR_5] := LoadCursor(HInstance,'DOOR_5');
    Screen.Cursors[crDOOR_6] := LoadCursor(HInstance,'DOOR_6');
    Form1.Cursor := crHEX_3;

    Last_Start := UpDown1.Position;
    Last_Door := UpDown1.Position;

    zoom := 17;

end;

procedure TForm1.ComboBox1Change(Sender: TObject);
begin
     if lowercase(ComboBox1.Text) = 'hall' then
     begin
          Form1.Cursor := crHex_3;
          Label11.Visible := False;
          UpDown1.Visible := False;
     end;

     if ComboBox1.Text = 'info_player_start' then
     begin
          UpDown1.Position := Last_Start;
          PlayerStart.Angle := Last_Start;
          Form1.Cursor := crSTART_1;
          if PlayerStart.Angle = 2 then
             Form1.Cursor := crSTART_2;
          if PlayerStart.Angle = 3 then
             Form1.Cursor := crSTART_3;
          if PlayerStart.Angle = 4 then
             Form1.Cursor := crSTART_4;
          if PlayerStart.Angle = 5 then
             Form1.Cursor := crSTART_5;
          if PlayerStart.Angle = 6 then
             Form1.Cursor := crSTART_6;
          Label11.Visible := True;
          UpDown1.Visible := True;
          UpDown1.Cursor := Form1.Cursor;
     end;

     if ComboBox1.Text = 'info_player_start2' then
     begin
          UpDown1.Position := Last_Start;
          PlayerStart2.Angle := Last_Start;
          Form1.Cursor := crSTART2_1;
          if PlayerStart2.Angle = 2 then
             Form1.Cursor := crSTART2_2;
          if PlayerStart2.Angle = 3 then
             Form1.Cursor := crSTART2_3;
          if PlayerStart2.Angle = 4 then
             Form1.Cursor := crSTART2_4;
          if PlayerStart2.Angle = 5 then
             Form1.Cursor := crSTART2_5;
          if PlayerStart2.Angle = 6 then
             Form1.Cursor := crSTART2_6;
          Label11.Visible := True;
          UpDown1.Visible := True;
          UpDown1.Cursor := Form1.Cursor;
     end;

     if ComboBox1.Text = 'info_player_coop' then
     begin
          UpDown1.Position := Last_Start;
          Cooperative[CurrentMatch].Angle := Last_Start;
          Form1.Cursor := crCOOP_1;
          if Cooperative[CurrentMatch].Angle = 2 then
             Form1.Cursor := crCOOP_2;
          if Cooperative[CurrentMatch].Angle = 3 then
             Form1.Cursor := crCOOP_3;
          if Cooperative[CurrentMatch].Angle = 4 then
             Form1.Cursor := crCOOP_4;
          if Cooperative[CurrentMatch].Angle = 5 then
             Form1.Cursor := crCOOP_5;
          if Cooperative[CurrentMatch].Angle = 6 then
             Form1.Cursor := crCOOP_6;
          Label11.Visible := True;
          UpDown1.Visible := True;
          UpDown1.Cursor := Form1.Cursor;
     end;

     if ComboBox1.Text = 'info_player_deathmatch' then
     begin
          UpDown1.Position := Last_Start;
          Deathmatch[CurrentMatch].Angle := Last_Start;
          Form1.Cursor := crMATCH_1;
          if Deathmatch[CurrentMatch].Angle = 2 then
             Form1.Cursor := crMATCH_2;
          if Deathmatch[CurrentMatch].Angle = 3 then
             Form1.Cursor := crMATCH_3;
          if Deathmatch[CurrentMatch].Angle = 4 then
             Form1.Cursor := crMATCH_4;
          if Deathmatch[CurrentMatch].Angle = 5 then
             Form1.Cursor := crMATCH_5;
          if Deathmatch[CurrentMatch].Angle = 6 then
             Form1.Cursor := crMATCH_6;
          Label11.Visible := True;
          UpDown1.Visible := True;
          UpDown1.Cursor := Form1.Cursor;
     end;

     if ComboBox1.Text = 'func_door' then
     begin
          UpDown1.Position := Last_Door;
          if UpDown1.Position = 1 then
             Form1.Cursor := crDOOR_1;
          if UpDown1.Position = 2 then
             Form1.Cursor := crDOOR_2;
          if UpDown1.Position = 3 then
             Form1.Cursor := crDOOR_3;
          if UpDown1.Position = 4 then
             Form1.Cursor := crDOOR_4;
          if UpDown1.Position = 5 then
             Form1.Cursor := crDOOR_5;
          if UpDown1.Position = 6 then
             Form1.Cursor := crDOOR_6;
          Label11.Visible := True;
          UpDown1.Visible := True;
          UpDown1.Cursor := Form1.Cursor;
     end;
end;

procedure TForm1.Open1Click(Sender: TObject);
var
   count, count2, count3, face, p, p1, hex, commaTotal: integer;
   st, st1, st2: string;
   CoopFull, MatchFull: boolean;
begin
     OpenDialog1.Filename := curFile;
     If OpenDialog1.Execute then
     begin
          curFile := OpenDialog1.Filename;
// parse out the new CurFile name

               st := CurFile;
               st1 := '';
               p := 0;
               p1 := 3;
          While (st[p1] <> '.') do
          begin
               p1 := p1 +1;
               if st[p1] = '\' then
                  p := p1;
          end;
          for p := (p+1) to (p1-1) do
          begin
               st1 := st1 +st[p];
          end;
          CurFile := st1;
          st := '';
          st1 := '';
//          p := 0;
//          p1 := 0;
// end parse out the new CurFile name
          Form1.Caption :=
              Title +'  {' +curFile+ '}';

          for count := 1 to 919 do
          begin
               Hmap[count].valid := false;
               for face := 1 to 8 do
               begin
                   Hmap[count].wall[face] := 1;
               end;
          end;
          PlayerStart.Valid := False;
          PlayerStart2.Valid := False;
          for count := 1 to 8 do
          begin
               Cooperative[count].Valid := False;
               Deathmatch[count].Valid := False;
          end;
          light := 6;
          TrackBar1.Position := (light - 64) * -1;
          ListBox1.Clear;
          ListBox2.Clear;
          ListBox1.Items.LoadFromFile(OpenDialog1.FileName);

//////////
//        Parse in the halls
//////////
          Count := StrToInt(ListBox1.Items[0]);
          for count := 1 to count do
          begin
               st := ListBox1.Items[count];
               p := 0;
               p1 := 1;
               commaTotal := 0;
               while commaTotal < 8 do
               begin
                    P := P +1;
                    if st[p] = ',' then
                    begin
                         commaTotal := commaTotal + 1;
                         st1 := '';
                         while p1 < p do
                         begin
                              st1 := st1 + st[p1];
                              p1 := p1 + 1;
                         end;
                         p1 := p1 + 1;
                         ListBox2.items.add(st1);
                    end;
               end;
               st1 := st[p1];
               ListBox2.items.add(st1);
               Hex := StrToInt(ListBox2.Items[0]);
               Hmap[hex].wall[1] := StrToInt(ListBox2.Items[1]);
               Hmap[hex].wall[2] := StrToInt(ListBox2.Items[2]);
               Hmap[hex].wall[3] := StrToInt(ListBox2.Items[3]);
               Hmap[hex].wall[4] := StrToInt(ListBox2.Items[4]);
               Hmap[hex].wall[5] := StrToInt(ListBox2.Items[5]);
               Hmap[hex].wall[6] := StrToInt(ListBox2.Items[6]);
               Hmap[hex].wall[7] := StrToInt(ListBox2.Items[7]);
               Hmap[hex].wall[8] := StrToInt(ListBox2.Items[8]);
               Hmap[hex].valid := True;
               ListBox2.Items.Clear;
          end;
//////////
//        First delete the hall data
//////////
          count := StrToInt(ListBox1.Items[0]);
          for count := 0 to count do
          begin
               ListBox1.Items.Delete(0);
          end;
//////////
//        Now to parse in the player/deathmatch starts & monsters
//////////
          count2 := 0;
          count3 := 0;
          CoopFull := False;
          MatchFull := False;
          while ListBox1.Items.Count > 0 do
          begin
               st := ListBox1.Items[0];
               p := 0;
               p1 := 1;
               commaTotal := 0;
               while commaTotal < 1 do
               begin
                    P := P +1;
                    if st[p] = ',' then
                    begin
                         commaTotal := commaTotal + 1;
                         st1 := '';
                         while p1 < p do
                         begin
                              st1 := st1 + st[p1];
                              p1 := p1 + 1;
                         end;
                         p1 := p1 + 1;
                         ListBox2.items.add(st1);
                    end;
               end;
               st2 := ListBox2.Items[0];
               p := Length(st);
               st1 := '';
               for p1 := p1 to p do
               begin
                    st1 := st1 + st[p1]
               end;

               Hex := StrToInt(st1);
               if LowerCase(st2) = 'playerstart' then
               begin
                    PlayerStart.Hex := Hex;
                    PlayerStart.Valid := True;
                    PlayerStart.angle := UpDown1.Position;
               end;

               if LowerCase(st2) = 'playerstart2' then
               begin
                    PlayerStart2.Hex := Hex;
                    PlayerStart2.Valid := True;
                    PlayerStart2.angle := UpDown1.Position;
               end;

               if LowerCase(st2) = 'cooperative' then
               begin
                    if count2 < 8 then
                    begin
                    count2 := count2 + 1;
                    Cooperative[count2].Hex := Hex;
                    Cooperative[count2].Valid := True;
                    Cooperative[count2].angle := UpDown1.Position;
                    end
                    else
                    begin
                         if CoopFull = False then
                         begin
                         messagedlg('8 Cooperative start positions have already been defined.  '+
                                    'Discarding the remainder', mtWarning, [mbOK], 0);
                         end;
                         CoopFull := True;
                    end;
               end;

               if LowerCase(st2) = 'deathmatch' then
               begin
                    if count3 < 8 then
                    begin
                    count3 := count3 + 1;
                    Deathmatch[count3].Hex := Hex;
                    Deathmatch[count3].Valid := True;
                    Cooperative[count3].angle := UpDown1.Position;
                    end
                    else
                    begin
                         if MatchFull = False then
                         begin
                         messagedlg('8 Deathmatch start positions have already been defined.  '+
                                    'Discarding the remainder', mtWarning, [mbOK], 0);
                         end;
                         MatchFull := True;
                    end;
               end;

//////////
//        Now to parse in the  Light level
//////////
               if LowerCase(st2) = 'light' then
               begin
                    Light := Hex;
                    if Light < -48 then
                       Light := -48;
                    if Light > 112 then
                       Light := 112;
                    TrackBar1.Position := (Light -64) * -1;
                    Label10.Caption := IntToStr(Light);
                    if (light > -56) and (light <= 5) then
                    begin
                         Label7.Font.Color := clBlack;
                         Label8.Font.Color := clBlack;
                         Label9.Font.Color := clRed;
                    end;
                    if (light > 5) and (light <= 58) then
                    begin
                         Label7.Font.Color := clBlack;
                         Label8.Font.Color := clRed;
                         Label9.Font.Color := clBlack;
                    end;
                    if (light > 58) and (light <= 112) then
                    begin
                         Label7.Font.Color := clRed;
                         Label8.Font.Color := clBlack;
                         Label9.Font.Color := clBlack;
                    end;
               end;



//////////
//        Now to parse in the custom rooms
//////////

//////////
//        End of      parse in custom rooms
//////////

               ListBox1.Items.Delete(0);
               ListBox2.Items.clear;
          end;
     end;


     IsSaved := True;
     User_Total_Saved :=
        IntToStr(StrToInt(User_Total_Saved)+1);
//     if StrToInt(User_Total_Saved) = 18 then
//     begin
//          Form1.Invalidate;
//     end;
//     If PlayerStart.Valid then
//          Run2.Enabled := True;
     Form1.Invalidate;
end;

procedure TForm1.Save1Click(Sender: TObject);
var
   st, st1: string;
   p, p1: integer;
begin
     PrepairToSave(1);
     SaveDialog1.FileName := curFile;
     if LowerCase(curFile) = 'unnamed' then
     begin
          if SaveDialog1.Execute then
          begin
          curFile := SaveDialog1.Filename;

// parse out the new CurFile name

               st := CurFile;
               st1 := '';
               p := 0;
               p1 := 3;
          While (st[p1] <> '.') do
          begin
               p1 := p1 +1;
               if st[p1] = '\' then
                  p := p1;
          end;
          for p := (p+1) to (p1-1) do
          begin
               st1 := st1 +st[p];
          end;
          CurFile := st1;
          st := '';
          st1 := '';
//          p := 0;
//          p1 := 0;
// end parse out the new CurFile name


          ListBox1.Items.SaveToFile(SaveDialog1.Filename);
          ListBox1.Clear;
          ListBox2.Clear;
          IsSaved := True;
          User_Total_Saved :=
            IntToStr(StrToInt(User_Total_Saved) + 1);
          if StrToInt(User_Total_Saved) = 18 then
          begin
               Form1.Invalidate;
          end;
          If PlayerStart.Valid then
//             Run2.Enabled := True;
          end;
     end
     else
     begin
          curFile := SaveDialog1.Filename;
// parse out the new CurFile name

               st := CurFile;
               st1 := '';
               p := 0;
               p1 := 3;
          While (st[p1] <> '.') do
          begin
               p1 := p1 +1;
               if st[p1] = '\' then
                  p := p1;
          end;
          for p := (p+1) to (p1-1) do
          begin
               st1 := st1 +st[p];
          end;
          CurFile := st1;
          st := '';
          st1 := '';
//          p := 0;
//          p1 := 0;
// end parse out the new CurFile name
     Form1.Caption := Title +'  {' +curFile+ '}';


          ListBox1.Items.SaveToFile(SaveDialog1.Filename);
          ListBox1.Clear;
          ListBox2.Clear;
          IsSaved := True;
          User_Total_Saved :=
          IntToStr(StrToInt(User_Total_Saved) + 1);
          if StrToInt(User_Total_Saved) = 18 then
          begin
               Form1.Invalidate;
          end;
     end;
end;

procedure TForm1.SaveAs1Click(Sender: TObject);
var
   st, st1: string;
   p, p1: integer;
begin
     PrepairToSave(1);
     SaveDialog1.FileName := curFile;
     If SaveDialog1.Execute then
     begin
          curFile := SaveDialog1.Filename;
// parse out the new CurFile name

               st := CurFile;
               st1 := '';
               p := 0;
               p1 := 3;
          While (st[p1] <> '.') do
          begin
               p1 := p1 +1;
               if st[p1] = '\' then
                  p := p1;
          end;
          for p := (p+1) to (p1-1) do
          begin
               st1 := st1 +st[p];
          end;
          CurFile := st1;
          st := '';
          st1 := '';
//          p := 0;
//          p1 := 0;
// end parse out the new CurFile name
     Form1.Caption := Title +'  {' +curFile+ '}';


          ListBox1.Items.SaveToFile(SaveDialog1.Filename);
          ListBox1.Clear;
          ListBox2.Clear;
          IsSaved := True;
          User_Total_Saved :=
          IntToStr(StrToInt(User_Total_Saved) + 1);
          if StrToInt(User_Total_Saved) = 18 then
          begin
               Form1.Invalidate;
          end;

          If PlayerStart.Valid then
     end;
end;

procedure TForm1.Exit1Click(Sender: TObject);
var
   st, st1: string;
   p, p1: integer;
begin
     if (isSaved) or (LowerCase(CurFile) = 'unnamed') then
     begin
          Application.Terminate;
     end
     else
     begin
          if messageDlg(CurFile+' is not saved.  Do you wish '+
                     'to save your changes?',mtWarning,[mbYes,mbNo],0)
             = mrNo then
             begin
                  Application.Terminate;
             end
             else
             begin
                  PrepairToSave(1);
                  SaveDialog1.FileName := curFile;
                  If SaveDialog1.Execute then
                  begin
                       curFile := SaveDialog1.Filename;
// parse out the new CurFile name

               st := CurFile;
               st1 := '';
               p := 0;
               p1 := 3;
          While (st[p1] <> '.') do
          begin
               p1 := p1 +1;
               if st[p1] = '\' then
                  p := p1;
          end;
          for p := (p+1) to (p1-1) do
          begin
               st1 := st1 +st[p];
          end;
          CurFile := st1;
          st := '';
          st1 := '';
//          p := 0;
//          p1 := 0;
// end parse out the new CurFile name


                       ListBox1.Items.SaveToFile(SaveDialog1.Filename);
                       ListBox1.Clear;
                       ListBox2.Clear;
                       IsSaved := True;
                       User_Total_Saved :=
                       IntToStr(StrToInt(User_Total_Saved) + 1);
                       if StrToInt(User_Total_Saved) = 18 then
                       begin
                            Form1.Invalidate;
                       end;

                       If PlayerStart.Valid then
//                           Run2.Enabled := True;
                       Application.Terminate;
                  end;
             end;
     end;
end;


procedure TForm1.YOU1Click(Sender: TObject);
begin
     ClosingProcedure(CurFile);
end;


procedure TForm1.Close1Click(Sender: TObject);
var
   st, st1: string;
   p, p1: integer;
begin
     if (isSaved) or (LowerCase(CurFile) = 'unnamed') then
     begin
          // Closing Procedure Call
          ClosingProcedure(CurFile);
     end
     else
     begin
          // Saving Porcedure Call
          if messageDlg(CurFile+' is not saved.  Do you wish '+
                     'to save your changes?',mtWarning,[mbYes,mbNo],0)
             = mrNo then
             begin
                  // Closing Procedure Call
                  ClosingProcedure(CurFile);
             end
             else
             begin
                  PrepairToSave(1);
                  SaveDialog1.FileName := curFile;
                  If SaveDialog1.Execute then
                  begin
                       curFile := SaveDialog1.Filename;
// parse out the new CurFile name

               st := CurFile;
               st1 := '';
               p := 0;
               p1 := 3;
          While (st[p1] <> '.') do
          begin
               p1 := p1 +1;
               if st[p1] = '\' then
                  p := p1;
          end;
          for p := (p+1) to (p1-1) do
          begin
               st1 := st1 +st[p];
          end;
          CurFile := st1;
          st := '';
          st1 := '';
//          p := 0;
//          p1 := 0;
// end parse out the new CurFile name


                       ListBox1.Items.SaveToFile(SaveDialog1.Filename);
                       ListBox1.Clear;
                       ListBox2.Clear;
                       IsSaved := True;
                       User_Total_Saved :=
                       IntToStr(StrToInt(User_Total_Saved) + 1);
                       if StrToInt(User_Total_Saved) = 18 then
                       begin
                            Form1.Invalidate;
                       end;

                       If PlayerStart.Valid then
//                           Run2.Enabled := True;
                  end;
             end;
     end;
end;


procedure TForm1.About1Click(Sender: TObject);
begin
     MessageDlg('(C) 1998 David Michael Grouchy II'+#34+
                ' All Rights Reserved.'+#34+
                #34+
                #34+
                'Branya, BrandX, and Hex_Lab are trademarks'+#34+
                'of Chipped tooth Productions.'+
                #34+
                #34+
                ' David Michael Grouchy II'+#34+
                ' 1233 Dare Street'+#34+
                ' Baton Rouge, La 70802', mtInformation, [mbok],0);

end;

procedure TForm1.WebPage1Click(Sender: TObject);
begin
     MessageDlg('The Web Page is at www.     .com',mtinformation,[mbok],0);
end;

procedure TForm1.FormMouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin

{     if drag_enabled then
     begin
//          drag_enabled := False;
//          ReleaseCapture;
     end;}
end;



procedure TForm1.Contents1Click(Sender: TObject);
begin
    executeFile('help.txt','text_file', 'c:\Progra~1\Hex_Lab\Branya', SW_SHOWNORMAL);
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
     IniFile.WriteString('Hex_Lab', 'User_Total_Saved', User_Total_Saved);
     IniFile.Destroy;

    Form1.Canvas.Brush.Bitmap := nil;
    BlankBmp.Free;
    CeilBmp.Free;
    WallBmp.Free;
    FloorBmp.Free;

end;

procedure TForm1.New1Click(Sender: TObject);
begin
     ClosingProcedure(CurFile);
end;

procedure TForm1.Run2Click(Sender: TObject);
begin
  If PlayerStart.Valid then
  begin
     Qpath := IniFile.ReadString('Hex_Lab', 'Qpath', Qpath);
     if Qpath = '' then
     begin
          MessageDlg('Path to Quake.exe is not available.',
                       mtInformation,[mbok],0);
          executeFile('set_dir.exe','','c:\Progra~1\Hex_Lab\Branya',SW_SHOW);
     end
     else
     begin
          WriteMapFile(CurFile);

          ListBox2.Items.Add('qbsp c:\progra~1\branya\hex_lab\'+ CurFile +'.map '+
                        Qpath+'\'+id1+'\'+maps+'\'+CurFile);
          ListBox2.Items.Add('vis '+Qpath+'\'+id1+'\'+maps+'\'+CurFile+'.bsp');
          ListBox2.Items.Add('light '+Qpath+'\'+id1+'\'+maps+'\'+CurFile+'.bsp');
          ListBox2.Items.SaveToFile('c:\Progra~1\Branya\Hex_Lab\ae.bat');

          executeFile('ae.bat','','c:\Progra~1\Branya\Hex_Lab', SW_SHOWNORMAL);
     end;
  end
  else
  begin
       MessageDlg('Need player_start before run will work.',MtInformation,[mbok],0);
  end;
end;

procedure TForm1.RunInQuakeClick(Sender: TObject);
var
   engine: string;
begin
  If PlayerStart.Valid then
  begin
     Qpath := IniFile.ReadString('Hex_Lab', 'Qpath', Qpath);
     if Qpath = '' then
     begin
            MessageDlg('Path to Quake.exe is not availiable.',
                       mtInformation,[mbok],0);
            executeFile('set_dir.exe','','c:\Progra~1\Hex_Lab\Branya',SW_SHOW);
     end
     else
     begin
          WriteMapFile(CurFile);
          if IniFile.ReadBool('Hex_Lab', 'Qexe', Qexe) then
          begin
               engine := 'quake.exe';

               ListBox2.Items.Add('qbsp c:\progra~1\branya\hex_lab\'+ CurFile +'.map '+
                        Qpath+'\'+id1+'\'+maps+'\'+CurFile);
               ListBox2.Items.Add('vis '+Qpath+'\'+id1+'\'+maps+'\'+CurFile+'.bsp');
               ListBox2.Items.Add('light '+Qpath+'\'+id1+'\'+maps+'\'+CurFile+'.bsp');
               ListBox2.Items.Add('cd '+Qpath);
               ListBox2.Items.Add(engine+' +map '+CurFile);

               ListBox2.Items.SaveToFile('c:\Progra~1\Branya\Hex_Lab\ae.bat');
               executeFile('ae.bat','','c:\Progra~1\Branya\Hex_Lab', SW_SHOWNORMAL);
          end
          else
          begin
               MessageDlg('The path to Quake.exe is not availiable.  Now launching '+
                     'Set_Path.exe.',mtInformation,[MbOk],0);
               executeFile('Set_Path.exe','','', SW_SHOWNORMAL);
          end;
     end;
  end
  else
  begin
       MessageDlg('Need player_start before run will work.',MtInformation,[mbok],0);
  end;

end;

procedure TForm1.RuninGLQuakeClick(Sender: TObject);
var
   engine: string;
begin
  If PlayerStart.Valid then
  begin
     Qpath := IniFile.ReadString('Hex_Lab', 'Qpath', Qpath);
     if Qpath = '' then
     begin
            MessageDlg('Path to Quake.exe is not availiable',
                       mtInformation,[mbok],0);
            executeFile('set_dir.exe','','c:\Progra~1\Hex_Lab\Branya',SW_SHOW);
     end
     else
     begin
          WriteMapFile(CurFile);
          if IniFile.ReadBool('Hex_Lab', 'GLQexe', GLQexe) then
          begin
               engine := 'glquake.exe';
               ListBox2.Items.Add('qbsp c:\progra~1\branya\hex_lab\'+ CurFile +'.map '+
                        Qpath+'\'+id1+'\'+maps+'\'+CurFile);
               ListBox2.Items.Add('vis '+Qpath+'\'+id1+'\'+maps+'\'+CurFile+'.bsp');
               ListBox2.Items.Add('light '+Qpath+'\'+id1+'\'+maps+'\'+CurFile+'.bsp');
               ListBox2.Items.Add('cd '+Qpath);
               ListBox2.Items.Add(engine+' +map '+CurFile);

               ListBox2.Items.SaveToFile('c:\Progra~1\Branya\Hex_Lab\ae.bat');
               executeFile('ae.bat','','c:\Progra~1\Branya\Hex_Lab', SW_SHOWNORMAL);
          end
          else
          begin
               MessageDlg('The path to GLQuake.exe is not availiable.  Now launching '+
                     'Set_Path.exe.',mtInformation,[MbOk],0);
               executeFile('Set_Path.exe','','', SW_SHOWNORMAL);
          end;
     end;
  end
  else
  begin
       MessageDlg('Need player_start before run will work.',MtInformation,[mbok],0);
  end;
end;

procedure TForm1.SetPath1Click(Sender: TObject);
begin
     executeFile('set_dir.exe','','c:\Progra~1\Hex_Lab\Branya',SW_SHOW);
end;

procedure TForm1.UpDown1Changing(Sender: TObject;
  var AllowChange: Boolean);
begin
     if (lowercase(ComboBox1.Text) = 'info_player_start') then
     begin
          PlayerStart.Angle := UpDown1.Position;
          Last_Start := UpDown1.Position;
          if PlayerStart.Angle = 1 then
             Form1.Cursor := crSTART_1;
          if PlayerStart.Angle = 2 then
             Form1.Cursor := crSTART_2;
          if PlayerStart.Angle = 3 then
             Form1.Cursor := crSTART_3;
          if PlayerStart.Angle = 4 then
             Form1.Cursor := crSTART_4;
          if PlayerStart.Angle = 5 then
             Form1.Cursor := crSTART_5;
          if PlayerStart.Angle = 6 then
             Form1.Cursor := crSTART_6;
     end;

     if (lowercase(ComboBox1.Text) = 'info_player_start2') then
     begin
          PlayerStart2.Angle := UpDown1.Position;
          Last_Start := UpDown1.Position;
          if PlayerStart2.Angle = 1 then
             Form1.Cursor := crSTART2_1;
          if PlayerStart2.Angle = 2 then
             Form1.Cursor := crSTART2_2;
          if PlayerStart2.Angle = 3 then
             Form1.Cursor := crSTART2_3;
          if PlayerStart2.Angle = 4 then
             Form1.Cursor := crSTART2_4;
          if PlayerStart2.Angle = 5 then
             Form1.Cursor := crSTART2_5;
          if PlayerStart2.Angle = 6 then
             Form1.Cursor := crSTART2_6;
     end;

     if (lowercase(ComboBox1.Text) = 'info_player_coop') then
     begin
          Cooperative[currentCoop].Angle := UpDown1.Position;
          Last_Start := UpDown1.Position;
          if Cooperative[currentCoop].Angle = 1 then
             Form1.Cursor := crCOOP_1;
          if Cooperative[currentCoop].Angle = 2 then
             Form1.Cursor := crCOOP_2;
          if Cooperative[currentCoop].Angle = 3 then
             Form1.Cursor := crCOOP_3;
          if Cooperative[currentCoop].Angle = 4 then
             Form1.Cursor := crCOOP_4;
          if Cooperative[currentCoop].Angle = 5 then
             Form1.Cursor := crCOOP_5;
          if Cooperative[currentCoop].Angle = 6 then
             Form1.Cursor := crCOOP_6;
     end;

     if (lowercase(ComboBox1.Text) = 'info_player_deathmatch') then
     begin
          Deathmatch[currentMatch].Angle := UpDown1.Position;
          Last_Start := UpDown1.Position;
          if Deathmatch[currentMatch].Angle = 1 then
             Form1.Cursor := crMATCH_1;
          if Deathmatch[currentMatch].Angle = 2 then
             Form1.Cursor := crMATCH_2;
          if Deathmatch[currentMatch].Angle = 3 then
             Form1.Cursor := crMATCH_3;
          if Deathmatch[currentMatch].Angle = 4 then
             Form1.Cursor := crMATCH_4;
          if Deathmatch[currentMatch].Angle = 5 then
             Form1.Cursor := crMATCH_5;
          if Deathmatch[currentMatch].Angle = 6 then
             Form1.Cursor := crMATCH_6;
     end;

     if lowercase(ComboBox1.Text) = 'func_door' then
     begin
          Last_Door := UpDown1.Position;
          if UpDown1.Position = 1 then
             Form1.Cursor := crDOOR_1;
          if UpDown1.Position = 2 then
             Form1.Cursor := crDOOR_2;
          if UpDown1.Position = 3 then
             Form1.Cursor := crDOOR_3;
          if UpDown1.Position = 4 then
             Form1.Cursor := crDOOR_4;
          if UpDown1.Position = 5 then
             Form1.Cursor := crDOOR_5;
          if UpDown1.Position = 6 then
             Form1.Cursor := crDOOR_6;
          Label11.Visible := True;
          UpDown1.Visible := True;
          UpDown1.Cursor := Form1.Cursor;
     end;

     UpDown1.Cursor := Form1.Cursor;
end;

procedure TForm1.Allhexes1Click(Sender: TObject);
begin
     Allhexes1.Checked := not Allhexes1.Checked;
     Form1.Invalidate;
end;

procedure TForm1.ZoomOut1Click(Sender: TObject);
var
   count: integer;
begin
     For count := 1 to 919 do
     begin
          RenderWireHex(count);
     end;

     zoom := zoom +1;
     if zoom > 17 then
        zoom := 1;

     scale := ch /((Hmap[919].y-128+Hmap[919].y) *zoom / 17);
//     scale := ch /(Hmap[919].y /zoom);

     ty := Round(128 * scale);
     rx := Round(112 * scale);
     ry := Round(64 * scale);
//     Form1.Invalidate;
     For count := 1 to 919 do
     begin
          if Hmap[count].Valid then
            RenderHex(count);
     end;
end;

procedure TForm1.ZoomIn1Click(Sender: TObject);
begin
     zoom := zoom -1;
     if zoom < 1 then
        zoom := 17;
     scale := ch /((Hmap[919].y-128+Hmap[919].y) *zoom / 17);
     ty := Round(128 * scale);
     rx := Round(112 * scale);
     ry := Round(64 * scale);
     Form1.Invalidate;
end;

procedure TForm1.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
     Form1.Caption := IntToStr(Key);
     case Key of
       37:
       begin
            view_x := view_x - Zoom;
            Key := 0;
       end;
       38:
       begin
            view_y := view_y - Zoom;
            Key := 0;
       end;
       39:
       begin
            view_x := view_x + Zoom;
            Key := 0;
       end;
       40:
       begin
             view_y := view_y + Zoom;
            Key := 0;
       end;
     end;
     ch := Form1.ClientHeight;
     cw := Form1.ClientWidth;
     cy := Round(ch div 2)+view_y;
     cx := Round(cw div 2)+view_x;
       Form1.invalidate;
end;

end.
