unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  OGLClass, OGLCam, OGLView, OGLShape, OGLLight, OGLMat, OGLTex, ExtCtrls,
  OGLCntrl;

type
  TForm1 = class(TForm)
    OGLView1: TOGLView;
    MyCamera: TOGLCamera;
    OGLSphere1: TOGLSphere;
    OGLLight1: TOGLLight;
    OGLMaterial1: TOGLMaterial;
    OGLTexture1: TOGLTexture;
    Timer1: TTimer;
    Astro: TOGLHumanController;
    procedure OGLView1Paint(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.OGLView1Paint(Sender: TObject);
begin
     OGLLight1.Render;
     OGLMaterial1.Render;
     OGLTexture1.Render;
     OGLSphere1.Render;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
     if OGLSphere1.Rotation.Y > 360 then OGLSphere1.Rotation.Y := 1
     else OGLSphere1.Rotation.Y :=
         OGLSphere1.Rotation.Y + 1;
     OGLView1.InvalidateGL;
end;

procedure TForm1.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
     Astro.HandleKey(Key, Shift);
     
end;

end.
