unit armoury_p;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, StdCtrls, Buttons, Grids, DBGrids, Db, DBTables, ExtCtrls;

type
  TForm1 = class(TForm)
    RichEdit1: TRichEdit;
    BitBtn1: TBitBtn;
    TrackBar1: TTrackBar;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    BitBtn4: TBitBtn;
    BitBtn5: TBitBtn;
    RichEdit2: TRichEdit;
    Panel1: TPanel;
    Table1: TTable;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    Table1Weapon: TStringField;
    Table1Twohanded: TBooleanField;
    Table1Mult: TFloatField;
    Table1Percentage: TSmallintField;
    Table1Body: TSmallintField;
    Table1Average: TFloatField;
    Table1Dice: TStringField;
    Table1Acc: TSmallintField;
    Table1Fac: TFloatField;
    Table1Soul: TSmallintField;
    Table1Enc: TFloatField;
    Table1Rank: TSmallintField;
    Table1Cost: TCurrencyField;
    procedure FormCreate(Sender: TObject);
    procedure FormClick(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

  sword_matrix = record
    weapon: string;
    mult: real;
    percent: integer;
    BodY: integer;
    avg: real;
    dice: string;
    acc: integer;
    fac: real;
    SouL: integer;
    enc: real;
    rank: integer;
    cost: extended;
    end;

var
  Form1: TForm1;
  swords: array [1..99] of sword_matrix;

implementation

{$R *.DFM}

procedure sword_print;
var
   count: integer;
begin
   for count := 1 to 99 do
   begin
      Form1.RichEdit1.Lines.Add('Weapon: '+
         Swords[count].weapon+
         '    Mult: '+
         FloatToSTr(Swords[count].mult)+
         '    enc: '+
         FloatToStr(Swords[count].Enc)+
         '    Rank: '+
         IntToSTr(Swords[count].Rank));
   end;

end;

procedure TForm1.FormCreate(Sender: TObject);
var
   count: integer;
begin
   Form1.RichEdit2.Lines.Clear;
   Form1.RichEdit2.Lines.LoadFromFile('armour.txt');
   for count := 1 to 99 do
   begin
       Swords[count].weapon := RichEdit2.Lines[count-1];
   end;

{   last := 0;
   count := 1;
   Form1.RichEdit2.SelStart := last;
   Form1.RichEdit2.SelLength := 1;
   while Form1.RichEdit2.SelText <> ',' do
   begin
      Form1.RichEdit2.SelStart := count;
      Form1.RichEdit2.SelLength := 1;
      inc(count);
   end;
   Form1.RichEdit2.SelStart := last;
   last := last+count;
   Form1.RichEdit2.SelLength := count-1;
   temp := StrToFloat(Form1.RichEdit2.SelText);
   Swords[1].mult := temp;

   count := 1;
   while Form1.RichEdit2.SelText <> ',' do
   begin
      Form1.RichEdit2.SelStart := last + count;
      Form1.RichEdit2.SelLength := 1;
      inc(count);
   end;
   Form1.RichEdit2.SelStart := last;
   last := last+count;
   Form1.RichEdit2.SelLength := count-1;
   temp := StrToFloat(Form1.RichEdit2.SelText);
   Swords[1].enc := temp;

   count := 1;
   while Form1.RichEdit2.SelText <> ',' do
   begin
      Form1.RichEdit2.SelStart := last + count;
      Form1.RichEdit2.SelLength := 1;
      inc(count);
   end;
   Form1.RichEdit2.SelStart := last;
   last := last+count;
   Form1.RichEdit2.SelLength := count-1;
   Swords[1].Rank := StrToInt(Form1.RichEdit2.SelText);

   sword_print;}
end;

procedure TForm1.FormClick(Sender: TObject);
var
   count: integer;
begin
   for count := 1 to 9 do
   begin
      Swords[count].weapon := Table1weapon.AsString;
      Swords[count].mult := (Table1mult.AsFloat);
      Swords[count].percent := Table1percentage.Value;
      Table1.Next;
   end;
   sword_print;
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
var
   count: integer;
begin
   table1.First;
   if table1.CanModify then
   begin
   for count := 1 to 9 do
   begin
      Table1weapon.Value := Swords[count].weapon;
      Table1mult.Value := Swords[count].mult;
      Table1percentage.Value := Swords[count].percent;
      Table1.Next;
   end;
   end;

end;

end.
